*******************************************
****SINGLE LINE PER INDIVIDUAL DATASETS****
*******************************************
****HHGrid****
*All variables exaxt same at both waves except for BHCASS00 (child assessments completed) and CHNVOC00 (Naming Vocab outcome) -- were the closest to each other 

*Making datasets with just the variables of interest
****69,204 observations
cd "H:\0000.MCS\July merge datasets"
use "mcs2_hhgrid", clear
describe
keep MCSID BHCSEX00 BHCAGE00 BPNUM00 BCNUM00 BELIG00 BRESP00 BHINTM00 BHINTY00 BHCPRS00 BHPRES00 BHCASS00 BHCREL00 BHPTPC00 BHPDBM00 BHPDBY00 BHPAGE00
describe
sort MCSID
save "H:\0000.MCS\July merge datasets\JM_mcs2_hhgrid"
*Making edits to data so they can merge with all of the other datasets
cd "H:\0000.MCS\July merge datasets"
use "H:\0000.MCS\July merge datasets\JM_mcs2_hhgrid", clear
*Semi-useful to generate as other datasets to merge will also have at least one of these.
gen PNUM = BPNUM00
gen ELIG = BELIG00
gen CMNUM = BCNUM00
replace CMNUM = -1 if CMNUM ==.
gen ELIG_New = 1 if BELIG00 != .
replace ELIG_New = 2 if BELIG00 == 2
replace ELIG_New = 2 if BELIG00 == 3
replace ELIG_New = 3 if BELIG00 == 4
replace ELIG_New = -1 if CMNUM == 1
replace ELIG_New = -1 if CMNUM == 2
*Making a unique identifier for Each individual in the family as this will help when merging the responder only level datasets later
tab BPNUM00
gen PnumID = MCSID + string(BPNUM00) if (BPNUM00 > 0)
*Making a unique identifier for CMs for merging this and the CM only level datasets later
tab BPNUM00
tab BCNUM00
gen CMnumID = MCSID + string(BCNUM00) if (BCNUM00 > 0) & (BPNUM00 !=100 | BPNUM00 !=200)
replace CMnumID = MCSID + string(BPNUM00) + "_NonCM" if BPNUM00 == 1 | BPNUM00 == 2 | BPNUM00 == 3 | BPNUM00 == 4 | BPNUM00 == 5 | BPNUM00 == 6 | BPNUM00 == 7 | BPNUM00 == 8 | BPNUM00 == 9 | BPNUM00 == 10 | BPNUM00 == 11 | BPNUM00 == 12 | BPNUM00 == 13 | BPNUM00 == 14 | BPNUM00 == 15 | BPNUM00 == 16 | BPNUM00 == 17
save "H:\0000.MCS\July merge datasets\JM_mcs2_hhgrid", replace


*Making datasets with just the variables of interest 
****74,849 observations
cd "H:\0000.MCS\July merge datasets"
use "mcs3_hhgrid", clear
describe
keep MCSID CHCSEX00 CHCAGE00 CPNUM00 CCNUM00 CELIG00 CRESP00 CHINTM00 CHINTY00 CHCPRS00 CHPRES00 CHNVOC00 CHCREL00 CHPTPC00 CHPDBM00 CHPDBY00 CHPAGE00
describe
sort MCSID
save "H:\0000.MCS\July merge datasets\JM_mcs3_hhgrid"
*Making edits to data so they can merge with all of the other datasets
cd "H:\0000.MCS\July merge datasets"
use "H:\0000.MCS\July merge datasets\JM_mcs3_hhgrid", clear
*Semi-useful to generate as other datasets to merge will also have at least one of these.
gen PNUM = CPNUM00
gen ELIG = CELIG00
gen CMNUM = CCNUM00
replace CMNUM = -1 if CMNUM ==.
gen ELIG_New = 1 if CELIG00 != .
replace ELIG_New = 2 if CELIG00 == 2
replace ELIG_New = 2 if CELIG00 == 3
replace ELIG_New = 3 if CELIG00 == 4
replace ELIG_New = -1 if CMNUM == 1
replace ELIG_New = -1 if CMNUM == 2
*Making a unique identifier for Each individual in the family as this will help when merging the responder only level datasets later
tab CPNUM00
gen PnumID = MCSID + string(CPNUM00) if (CPNUM00 > 0)
*Making a unique identifier for CMs for merging this and the CM only level datasets later
tab CPNUM00
tab CCNUM00
gen CMnumID = MCSID + string(CCNUM00) if (CCNUM00 > 0) & (CPNUM00 !=100 | CPNUM00 !=200)
replace CMnumID = MCSID + string(CPNUM00) + "_NonCM" if CPNUM00 == 1 | CPNUM00 == 2 | CPNUM00 == 3 | CPNUM00 == 4 | CPNUM00 == 5 | CPNUM00 == 6 | CPNUM00 == 7 | CPNUM00 == 8 | CPNUM00 == 9 | CPNUM00 == 10 | CPNUM00 == 11 | CPNUM00 == 12 | CPNUM00 == 13 | CPNUM00 == 14 | CPNUM00 == 15 | CPNUM00 == 16 | CPNUM00 == 17 | CPNUM00 == 18 | CPNUM00 == 19
save "H:\0000.MCS\July merge datasets\JM_mcs3_hhgrid", replace


************************************
****ONE LINE PER FAMILY DATASETS****
************************************



***Longitudinal family file****

*Making datasets with just the variables of interest
***19,243 observations
cd "H:\0000.MCS\July merge datasets"
use "mcs_longitudinal_family_file", clear
describe
keep MCSID NOCMHH SENTRY COUNTRY PTTYPE2 WEIGHT1 WEIGHT2 WEIGHTGB AISSUED AAOUTC00 AOVWT1 AOVWT2 BISSUED BAOUTC00 BOVWT1 BOVWT2 BNRESPWT BOVWTGB CISSUED CAOUTC00 COVWT1 COVWT2 COVWTGB DUALBABYFAMILY
describe
sort MCSID
save "H:\0000.MCS\July merge datasets\JM_mcs_longitudinal_family_file.dta"
*Making edits to data
cd "H:\0000.MCS\July merge datasets"
use "H:\0000.MCS\July merge datasets\JM_mcs_longitudinal_family_file.dta", clear
gen NOCM = NOCMHH
save "H:\0000.MCS\July merge datasets\JM_mcs_longitudinal_family_file.dta", replace

***Family derived variables datasets***
*Differing variables between datasets were: Stratum within country (BDPTY200), respondent status same as last sweep/ same as last sweep (compared with interview)/ respondent status at last sweep (BDPSAM00 / BDPSMI00 / BDPLST00), sweep where family entered study (BDSENT00)
*Making datasets with just the variables of interest
****15,576 observations
cd "H:\0000.MCS\July merge datasets"
use "mcs2_family_derived", clear
describe
keep MCSID BDHLAN00 BDOEDP00 BOECDUK0 BOECDSC0 BACTRY00 BDMINT00 BDPINT00 BDCNTR00 BDPTY200 BDWGT100 BDWGT200 BDRSPO00 BDHTYS00 BDPSAM00 BDPSMI00 BDPLST00 BDSENT00 BDNOCM00
describe
sort MCSID
save "H:\0000.MCS\July merge datasets\JM_mcs2_family_derived.dta"
*Making edits to data
cd "H:\0000.MCS\July merge datasets"
use "H:\0000.MCS\July merge datasets\JM_mcs2_family_derived.dta", clear
gen NOCM = BDNOCM00
save "H:\0000.MCS\July merge datasets\JM_mcs2_family_derived.dta", replace

*Making datasets with just the variables of interest
****15,236 observations
cd "H:\0000.MCS\July merge datasets"
use "mcs3_family_derived", clear
describe
keep MCSID CDHLAN00 CDOEDP00 COECDUK0 COECDSC0 CACTRY00 CDCNTY00 COECDUK0 CDMINT00 CDPINT00 COECDSC0 CDRSPO00 CDHTYS00 CDNOCM00
describe 
sort MCSID
save "H:\0000.MCS\July merge datasets\JM_mcs3_family_derived.dta"
*Making edits to data
cd "H:\0000.MCS\July merge datasets"
use "H:\0000.MCS\July merge datasets\JM_mcs3_family_derived.dta", clear
gen NOCM = CDNOCM00
save "H:\0000.MCS\July merge datasets\JM_mcs3_family_derived.dta", replace

***Geographically linked data dataset***
*All variables the same at both waves.

*Making datasets with just the variables of interest
****15,590 observations
cd "H:\0000.MCS\July merge datasets"
use "mcs2_geographically_linked_data", clear
describe
keep mcsid bactry00 BIMDLEDE
describe
sort mcsid
save "H:\0000.MCS\July merge datasets\JM_mcs2_geographically_linked_data.dta"
*Making edits to data 
cd "H:\0000.MCS\July merge datasets"
use "H:\0000.MCS\July merge datasets\JM_mcs2_geographically_linked_data.dta", clear
rename mcsid MCSID
rename bactry00 BACTRY00
save "H:\0000.MCS\July merge datasets\JM_mcs2_geographically_linked_data.dta", replace

*Making datasets with just the variables of interest
****15,246 observations
cd "H:\0000.MCS\July merge datasets"
use "mcs3_geographically_linked_data", clear
describe
keep mcsid cactry00 CIMDLEDE
describe
sort mcsid
save "H:\0000.MCS\July merge datasets\JM_mcs3_geographically_linked_data.dta"
*Making edits to data
cd "H:\0000.MCS\July merge datasets"
use "H:\0000.MCS\July merge datasets\JM_mcs3_geographically_linked_data.dta", clear
rename mcsid MCSID
rename cactry00 CACTRY00
save "H:\0000.MCS\July merge datasets\JM_mcs3_geographically_linked_data.dta", replace

*************************************
****ONE LINE PER CM ONLY DATASETS****
*************************************

****CM cognitive assessment****
*All variables exaxt same at both waves except for BSRA-R variables (BDSRCS00, BDSRCN00) only being present at wave 2, BCCASS00 (if child assessments completed for BAS-2 and BSRA-R), consent for BAS-2 naming vocb (CCANCC00), and derived variable age in Y:M for BAS-2 and BSRA-R scoring (BCASAG00, BCRKNAGE)

*Making datasets with just the variables of interest
****15,778 observations
cd "H:\0000.MCS\July merge datasets" 
use "mcs2_cm_cognitive_assessment", clear
describe
keep MCSID BCNUM00 BDBAST00 BDSRCS00 BDSRCN00 BCNUM00 BCCASS00 BCASAG00 BCRKNAGE
describe
sort MCSID
save "H:\0000.MCS\July merge datasets\JM_mcs2_cm_cognitive_assessment"
*Making edits to data
cd "H:\0000.MCS\July merge datasets" 
use "H:\0000.MCS\July merge datasets\JM_mcs2_cm_cognitive_assessment", clear
gen CMNUM = BCNUM00
save "H:\0000.MCS\July merge datasets\JM_mcs2_cm_cognitive_assessment", replace

*Making datasets with just the variables of interest
****15,431 observations
cd "H:\0000.MCS\July merge datasets" 
use "mcs3_cm_cognitive_assessment", clear
describe
keep MCSID CCNUM00 CCNVTSCORE CCANCC00
describe
sort MCSID
save "H:\0000.MCS\July merge datasets\JM_mcs3_cm_cognitive_assessment"
*Making edits to data
cd "H:\0000.MCS\July merge datasets" 
use "H:\0000.MCS\July merge datasets\JM_mcs3_cm_cognitive_assessment", clear
gen CMNUM = CCNUM00
save "H:\0000.MCS\July merge datasets\JM_mcs3_cm_cognitive_assessment", replace

***CM derived variables datsets***
*All variables exact same at both waves.

*Making datasets with just the variables of interest
****15,778 observations
cd "H:\0000.MCS\July merge datasets" 
use "mcs2_cm_derived", clear
describe
keep MCSID BCNUM00 BEMOTION BCONDUCT BHYPER BPEER BPROSOC BEBDTOT BDC06E00
describe
sort MCSID 
save "H:\0000.MCS\July merge datasets\JM_mcs2_cm_derived.dta"
*Making edits to data
cd "H:\0000.MCS\July merge datasets" 
use "H:\0000.MCS\July merge datasets\JM_mcs2_cm_derived.dta", clear
gen CMNUM = BCNUM00
save "H:\0000.MCS\July merge datasets\JM_mcs2_cm_derived.dta", replace

*Making datasets with just the variables of interest
****15,431 observations
cd "H:\0000.MCS\July merge datasets"
use "mcs3_cm_derived", clear
describe
keep MCSID CCNUM00 CEMOTION CCONDUCT CHYPER CPEER CPROSOC CEBDTOT CDC06E00
describe
sort MCSID
save "H:\0000.MCS\July merge datasets\JM_mcs3_cm_derived.dta"
*Making edits to data
cd "H:\0000.MCS\July merge datasets" 
use "H:\0000.MCS\July merge datasets\JM_mcs3_cm_derived.dta", clear
gen CMNUM = CCNUM00
save "H:\0000.MCS\July merge datasets\JM_mcs3_cm_derived.dta", replace

**FSP Outcome dataset (wave 3 only)
*Making datasets with just the variables of interest
****15,431 observations
cd "H:\0000.MCS\July merge datasets"
use "mcs3_cm_fsp_teacher_survey", clear
describe
*Making edits to data
rename CC_FSPTOTAL FSPT
rename CC_PSE PSE
rename CC_CLL CLL
rename CC_MD MD
rename CC_KUW KUW
rename CC_CD CD
rename CC_PD PD
rename CC_ZFSP FSPZ
rename CC_ZPSE PSEZ
rename CC_ZCLL CLLZ
rename CC_ZMD MDZ
rename CC_ZKUW KUWZ
rename CC_ZCD CDZ
rename CC_ZPD PDZ
describe
gen CMNUM = CCNUM00
describe
sort MCSID
save "H:\0000.MCS\July merge datasets\JM_mcs3_cm_fsp_teacher_survey.dta"


*************************************************
****ONE LINE PER RESPONDER TYPE ONLY DATASETS****
*************************************************


****Parent interview about CM****
*wave 2 had a larger number of variables because it had HLE variables (taken at wave 2 only) and the specific speech and langauge concern variables (nothing like this provided at wave 3) 

*Making datasets with just the variables of interest
****26,243 observations
****Partner responses are not used for any of the variables that I am including in this dataset (except for the HLE read to variable). 
cd "H:\0000.MCS\July merge datasets" 
use "mcs2_parent_cm_interview", clear
describe
keep MCSID BPNUM00 BCNUM00 BELIG00 BRESP00 BPCLSI00 BPCLSL00 BPSPLM0A BPSPLM0B BPSPLM0C BPSPLM0D BPSPLM0E BPSPLM0F BPSPLM0G BPSPLM0H BPSPLM0I BPSPLM0J BPSPLM0K BPSPLM0L BPSPLM0M BPOFRE00 BPREEL00 BPREOF00 BPTOLI00 BPOFLI00 BPDRAW00 BPPAMA00 BPALPH00 BPOFAB00 BPNUMB00 BPOFCO00 BPSONG00 BPOFSO00 BPLSTC00 BPCLST00 BPOTHCA0 BPTYPCA0 BPSTLCA0 BPOTHCB0 BPTYPCB0 BPSTLCB0 BPOTHCC0 BPTYPCC0 BPSTLCC0 BPOTHCD0 BPTYPCD0 BPSTLCD0 BPOTHCE0 BPTYPCE0 BPSTLCE0 BPOTHCF0 BPTYPCF0 BPSTLCF0 BPOTHCG0 BPTYPCG0 BPSTLCG0 BPSAMC00 BPSAMO00 BPFFCC00
describe
sort MCSID
save "H:\0000.MCS\July merge datasets\JM_mcs2_parent_cm_interview"
*Making edits to data
cd "H:\0000.MCS\July merge datasets" 
use "H:\0000.MCS\July merge datasets\JM_mcs2_parent_cm_interview", clear
*creates person ID for each person
gen PnumID = MCSID + string(BPNUM00) if (BPNUM00 > 0)
*Creates variables to label their person number and interview responder status
gen PNUM = BPNUM00
gen ELIG = BELIG00
gen ELIG_New = 1 if BELIG00 != .
replace ELIG_New = 0 if BELIG00 == -1
replace ELIG_New = 2 if BELIG00 == 2
replace ELIG_New = 2 if BELIG00 == 3
replace ELIG_New = 3 if BELIG00 == 4
label define ELIGW2 0 "Not Applicable" 1 "Main Interview" 2 "Partner (in person/proxy)" 3 "Not eligible"
label values ELIG_New ELIGW2
label variable ELIG_New "Eligibility for interview with partner in person/proxy merged"
save "H:\0000.MCS\July merge datasets\JM_mcs2_parent_cm_interview", replace

*Resctructured so that both CMs (if applicable) are on the same responder line.
reshape wide BPNUM00 BRESP00 BPCLSI00 BPCLSL00 BPSPLM0A BPSPLM0B BPSPLM0C BPSPLM0D BPSPLM0E BPSPLM0F BPSPLM0G BPSPLM0H BPSPLM0I BPSPLM0J BPSPLM0K BPSPLM0L BPSPLM0M BPOFRE00 BPREEL00 BPREOF00 BPTOLI00 BPOFLI00 BPDRAW00 BPPAMA00 BPALPH00 BPOFAB00 BPNUMB00 BPOFCO00 BPSONG00 BPOFSO00 BPLSTC00 BPCLST00 BPOTHCA0 BPTYPCA0 BPSTLCA0 BPOTHCB0 BPTYPCB0 BPSTLCB0 BPOTHCC0 BPTYPCC0 BPSTLCC0 BPOTHCD0 BPTYPCD0 BPSTLCD0 BPOTHCE0 BPTYPCE0 BPSTLCE0 BPOTHCF0 BPTYPCF0 BPSTLCF0 BPOTHCG0 BPTYPCG0 BPSTLCG0 BPSAMC00 BPSAMO00 BPFFCC00, i(MCSID BELIG00) j (BCNUM00)

*Dropped the extra PNUM and RESP variables (just duplicate data on the same line) and then renamed the first set just to indicate unique variable.
drop BPNUM002 BRESP002
rename BPNUM001 BPNUM00
label variable BPNUM00 "Person Number for Main or Partner respondent"
rename BRESP001 BRESP00
label variable BRESP00 "Response in survey: Whether respondent (of ELIG) participated in interview"
label define bresp -1 "Not applicable" 1 "Main interview" 2 "Partner Interview" 3 "Partner Proxy Interview" 4 "No interview" 5 "Imputed Main Interview (Only child data)"
label values BRESP00 bresp

******************************************************************************************
*Re-labelled each variable (as these labels seem to get lost when reshaping the dataset).
*Added -1 value to any CM2 variables where only one CM was in the family.
******************************************************************************************
****
*Set label definitions for each HLE variable
label define HLEtime1 -1 "Not applicable" 1 "Every day" 2 "Several times a week" 3 "Once or twice a week" 4 "Once or twice a month" 5 "Less often" 6 "Not at all"
label define HLEtime2 -1 "Not applicable" 1 "On special occasions" 2 "Once a month" 3 "Once a fortnight" 4 "Once a week"
label define HLEtime3 -2 "Not answered" -1 "Not applicable" 1 "Occasionally or less than once a week" 2 "1-2 days per week" 3 "3 times a week" 4 "4 times a week" 5 "5 times a week" 6 "6 times a week" 7 "7 times a week/constantly"
label define HLEYNNA -1 "Not applicable" 1 "Yes" 2 "No"

*HLE variables re-labelled after being split into CM1 and CM2

*How often do you read to the child?
rename BPOFRE001 BPOFRE00CM1
label variable BPOFRE00CM1 "How often do you read to the child CM1"
rename BPOFRE002 BPOFRE00CM2
label variable BPOFRE00CM2 "How often do you read to the child CM2"
replace BPOFRE00CM2 = -1 if BPOFRE00CM2 ==.

*Does anyone else read to the child?
rename BPREEL001 BPREEL00CM1
label variable BPREEL00CM1 "Anyone else read to the child CM1"
rename BPREEL002 BPREEL00CM2
label variable BPREEL00CM2 "Anyone else read to the child CM2"
replace BPREEL00CM2 = -1 if BPREEL00CM2 ==.

*How often does someone else read to the child?
rename BPREOF001 BPREOF00CM1
label variable BPREOF00CM1 "How often does anyone else read to the child CM1"
rename BPREOF002 BPREOF00CM2
label variable BPREOF00CM2 "How often does anyone else read to the child CM2"
replace BPREOF00CM2 = -1 if BPREOF00CM2 ==.

*Anyone at home take child to the library?
rename BPTOLI001 BPTOLI00CM1
label variable BPTOLI00CM1 "Anyone at home take child to the library CM1"
rename BPTOLI002 BPTOLI00CM2
label variable BPTOLI00CM2 "Anyone at home take child to the library CM2"
replace BPTOLI00CM2 = -1 if BPTOLI00CM2 ==.

*How often child taken to library?
rename BPOFLI001 BPOFLI00CM1
label variable BPOFLI00CM1 "How often child taken to library CM1"
rename BPOFLI002 BPOFLI00CM2
label variable BPOFLI00CM2 "How often child taken to library CM2"
replace BPOFLI00CM2 = -1 if BPOFLI00CM2 ==.

*Does anyone help CM with alphabet and reading? 
rename BPALPH001 BPALPH00CM1
label variable BPALPH00CM1 "Does anyone help CM with alphabet and reading? CM1"
rename BPALPH002 BPALPH00CM2
label variable BPALPH00CM2 "Does anyone help CM with alphabet and reading? CM2"
replace BPALPH00CM2 = -1 if BPALPH00CM2 ==.

*How often help child learn alphabet?
rename BPOFAB001 BPOFAB00CM1
label variable BPOFAB00CM1 "How often help child learn alphabet CM1"
rename BPOFAB002 BPOFAB00CM2
label variable BPOFAB00CM2 "How often help child learn alphabet CM2"
replace BPOFAB00CM2 = -1 if BPOFAB00CM2 ==.

*Anyone at home teach child counting?
rename BPNUMB001 BPNUMB00CM1
label variable BPNUMB00CM1 "Anyone at home teach child counting CM1"
rename BPNUMB002 BPNUMB00CM2
label variable BPNUMB00CM2 "Anyone at home teach child counting CM2"
replace BPNUMB00CM2 = -1 if BPNUMB00CM2 ==.

*How often at home try to teach child counting?
rename BPOFCO001 BPOFCO00CM1
label variable BPOFCO00CM1 "How often at home try to teach child counting CM1"
rename BPOFCO002 BPOFCO00CM2
label variable BPOFCO00CM2 "How often at home try to teach child counting CM2"
replace BPOFCO00CM2 = -1 if BPOFCO00CM2 ==.

*Anyone at home try teach child songs etc?
rename BPSONG001 BPSONG00CM1
label variable BPSONG00CM1 "Anyone at home try teach child songs etc CM1"
rename BPSONG002 BPSONG00CM2
label variable BPSONG00CM2 "Anyone at home try teach child songs etc CM2"
replace BPSONG00CM2 = -1 if BPSONG00CM2 ==.

*How often teach child songs/poems/rhymes?
rename BPOFSO001 BPOFSO00CM1
label variable BPOFSO00CM1 "How often teach child songs/poems/rhymes CM1"
rename BPOFSO002 BPOFSO00CM2
label variable BPOFSO00CM2 "How often teach child songs/poems/rhymes CM2"
replace BPOFSO00CM2 = -1 if BPOFSO00CM2 ==.

*Does child paint/draw at home?
rename BPDRAW001 BPDRAW00CM1
label variable BPDRAW00CM1 "Does child paint/draw at home CM1"
rename BPDRAW002 BPDRAW00CM2
label variable BPDRAW00CM2 "Does child paint/draw at home CM2"
replace BPDRAW00CM2 = -1 if BPDRAW00CM2 ==.

*How often does CM paint/draw at home?
rename BPPAMA001 BPPAMA00CM1
label variable BPPAMA00CM1 "How often does CM paint/draw at home CM1"
rename BPPAMA002 BPPAMA00CM2
label variable BPPAMA00CM2 "How often does CM paint/draw at home CM2"
replace BPPAMA00CM2 = -1 if BPPAMA00CM2 ==.

label values BPOFRE00CM1 BPOFRE00CM2 BPREOF00CM1 BPREOF00CM2 HLEtime1
label values BPOFLI00CM1 BPOFLI00CM2 HLEtime2
label values BPOFAB00CM1 BPOFAB00CM2 BPOFCO00CM1 BPOFCO00CM2 BPOFSO00CM1 BPOFSO00CM2 BPPAMA00CM1 BPPAMA00CM2 HLEtime3
label values BPREEL00CM1 BPREEL00CM2 BPTOLI00CM1 BPTOLI00CM2 BPALPH00CM1 BPALPH00CM2 BPNUMB00CM1 BPNUMB00CM2 BPSONG00CM1 BPSONG00CM1 BPDRAW00CM1 BPDRAW00CM2 HLEYNNA

****
*Set label definitions for each childcare variable
label define SLCpresent -1 "Not applicable" 0 "No" 1 "Yes"
label define LTHpresentlimit -1 "Not applicable" 1 "Yes" 2 "No"

*LTHC variables re-labelled after being split into CM1 and CM2
rename BPCLSI001 BPCLSI00CM1
label variable BPCLSI00CM1 "Child any longstanding health conditions CM1"
rename BPCLSI002 BPCLSI00CM2
label variable BPCLSI00CM2 "Child any longstanding health conditions CM2"
replace BPCLSI00CM2 = -1 if BPCLSI00CM2 ==.
 
rename BPCLSL001 BPCLSL00CM1
label variable BPCLSL00CM1 "Does it limit child in normal activities CM1"
rename BPCLSL002 BPCLSL00CM2
label variable BPCLSL00CM2 "Does it limit child in normal activities CM2"
replace BPCLSL00CM2 = -1 if BPCLSL00CM2 ==.

label values BPCLSI00CM1 BPCLSI00CM2 BPCLSL00CM1 BPCLSL00CM2 LTHpresentlimit

*SLC variables re-labelled after being split into CM1 and CM2
rename BPSPLM0A1 BPSPLM0ACM1
label variable BPSPLM0ACM1"Speech/language concerns - None CM1"
rename BPSPLM0A2 BPSPLM0ACM2
label variable BPSPLM0ACM2 "Speech/language concerns - None CM2"
replace BPSPLM0ACM2 = -1 if BPSPLM0ACM2 ==.

rename BPSPLM0B1 BPSPLM0BCM1
label variable BPSPLM0BCM1 "Speech/language concerns - Language developing slowly CM1"
rename BPSPLM0B2 BPSPLM0BCM2
label variable BPSPLM0BCM2 "Speech/language concerns - Language developing slowly CM2"
replace BPSPLM0BCM2 = -1 if BPSPLM0BCM2 ==.

rename BPSPLM0C1 BPSPLM0CCM1
label variable BPSPLM0CCM1 "Speech/language concerns - Doesnt understand others CM1"
rename BPSPLM0C2 BPSPLM0CCM2
label variable BPSPLM0CCM2 "Speech/language concerns - Doesnt understand others CM2"
replace BPSPLM0CCM2 = -1 if BPSPLM0CCM2 ==.

rename BPSPLM0D1 BPSPLM0DCM1
label variable BPSPLM0DCM1 "Speech/language concerns - Pronounces words poorly CM1"
rename BPSPLM0D2 BPSPLM0DCM2
label variable BPSPLM0DCM2 "Speech/language concerns - Pronounces words poorly CM2"
replace BPSPLM0DCM2 = -1 if BPSPLM0DCM2 ==.

rename BPSPLM0E1 BPSPLM0ECM1
label variable BPSPLM0ECM1 "Speech/language concerns - Doesnt hear well CM1"
rename BPSPLM0E2 BPSPLM0ECM2
label variable BPSPLM0ECM2 "Speech/language concerns - Doesnt hear well CM2"
replace BPSPLM0ECM2 = -1 if BPSPLM0ECM2 ==.

rename BPSPLM0F1 BPSPLM0FCM1
label variable BPSPLM0FCM1 "Speech/language concerns - Stutters CM1"
rename BPSPLM0F2 BPSPLM0FCM2
label variable BPSPLM0FCM2 "Speech/language concerns - Stutters CM2"
replace BPSPLM0FCM2 = -1 if BPSPLM0FCM2 ==.

rename BPSPLM0G1 BPSPLM0GCM1
label variable BPSPLM0GCM1 "Speech/language concerns - Lisp CM1"
rename BPSPLM0G2 BPSPLM0GCM2
label variable BPSPLM0GCM2 "Speech/language concerns - Lisp CM2"
replace BPSPLM0GCM2 = -1 if BPSPLM0GCM2 ==.

rename BPSPLM0H1 BPSPLM0HCM1
label variable BPSPLM0HCM1 "Speech/language concerns - Seeing speech therapist CM1"
rename BPSPLM0H2 BPSPLM0HCM2
label variable BPSPLM0HCM2 "Speech/language concerns - Seeing speech therapist CM2"
replace BPSPLM0HCM2 = -1 if BPSPLM0HCM2 ==.

rename BPSPLM0I1 BPSPLM0ICM1
label variable BPSPLM0ICM1 "Speech/language concerns - Difficulty with certain letters CM1"
rename BPSPLM0I2 BPSPLM0ICM2
label variable BPSPLM0ICM2 "Speech/language concerns - Difficulty with certain letters CM2"
replace BPSPLM0ICM2 = -1 if BPSPLM0ICM2 ==.

rename BPSPLM0J1 BPSPLM0JCM1
label variable BPSPLM0JCM1 "Speech/language concerns - Tongue tied CM1"
rename BPSPLM0J2 BPSPLM0JCM2
label variable BPSPLM0JCM2 "Speech/language concerns - Tongue tied CM2"
replace BPSPLM0JCM2 = -1 if BPSPLM0JCM2 ==.

rename BPSPLM0K1 BPSPLM0KCM1
label variable BPSPLM0KCM1 "Speech/language concerns - Doesn't speak - not started CM1"
rename BPSPLM0K2 BPSPLM0KCM2
label variable BPSPLM0KCM2 "Speech/language concerns - Doesn't speak - not started CM2"
replace BPSPLM0KCM2 = -1 if BPSPLM0KCM2 ==.

rename BPSPLM0L1 BPSPLM0LCM1
label variable BPSPLM0LCM1 "Speech/language concerns - Other answer CM1"
rename BPSPLM0L2 BPSPLM0LCM2
label variable BPSPLM0LCM2 "Speech/language concerns - Other answer CM2"
replace BPSPLM0LCM2 = -1 if BPSPLM0LCM2 ==.

rename BPSPLM0M1 BPSPLM0MCM1
label variable BPSPLM0MCM1 "Speech/language concerns - irrelevant CM1"
rename BPSPLM0M2 BPSPLM0MCM2
label variable BPSPLM0MCM2 "Speech/language concerns - irrelevant CM2"
replace BPSPLM0MCM2 = -1 if BPSPLM0MCM2 ==.

label values BPSPLM0ACM1 BPSPLM0ACM2 BPSPLM0BCM1 BPSPLM0BCM2 BPSPLM0CCM1 BPSPLM0CCM2 BPSPLM0DCM1 BPSPLM0DCM2 BPSPLM0ECM1 BPSPLM0ECM2 BPSPLM0FCM1 BPSPLM0FCM2 BPSPLM0GCM1 BPSPLM0GCM2 BPSPLM0HCM1 BPSPLM0HCM2 BPSPLM0ICM1 BPSPLM0ICM2 BPSPLM0JCM1 BPSPLM0JCM2 BPSPLM0KCM1 BPSPLM0KCM2 BPSPLM0LCM1 BPSPLM0LCM2 BPSPLM0MCM1 BPSPLM0MCM2 SLCpresent

****
*Set label definitions for each chilcare variable
label define arrangement -2 "Not answered" -1 "Not applicable" 1 "Yes" 2 "No"
label define CCType1MO -1 "Not applicable" 1 "Looking after the child yourself while you were working at home or at your workplace" 2 "Resident husband wife partner" 3 "Grandparent in my home" 4 "Other relative (including non-resident parent) in my home" 5 "Care in grandparent's home" 6 "Care in other relatives home (including non-resident parent)" 7 "Non-relative (including nannies and au pairs) in my home" 8 "Non-relative elsewhere (e.g. friend, neighbour)" 9 "Childminder" 10 "Workplace  college nursery creche" 11 "Private / independent day nursery/creche" 12 "Local Authority nursery" 13 "Nursery School" 14 "Nursery or Reception class in a primary or infants school" 15 "Special day school or nursery or unit for children with SEN" 16 "Playgroup" 17 "Combined Child Family Centre" 18 "Other"
label define CCType2FF -1 "not working - no care 2" 1 "Respondent his herself" 2 "Husband Wife Partner" 4 "Your Mother" 6 "Your partners mother" 10 "Other relative" 11 "Friend neighbour" 14 "Registered childminder" 15 "Unregistered childminder" 16 "Workplace College day nursery creche" 17 "Local authority day nursery creche" 18 "Private day nursery creche" 20 "not working - main care nk" 21 "not working - no care" 95 "unspecified"
label define Ongoing -2 "Not answered" -1 "Not applicable" 1 "Still going on"

*Childcare variables re-labelled after being split into CM1 and CM2
*Main childcare type (not FF)
rename BPCLST001 BPCLST00CM1
label variable BPCLST00CM1 "Main arrangement for childcare CM1"
rename BPCLST002 BPCLST00CM2
label variable BPCLST00CM2 "Main arrangement for childcare CM2"
replace BPCLST00CM2 = -1 if BPCLST00CM2 ==.
label values BPCLST00CM1 BPCLST00CM2 CCType1MO

*Main childcare still ongoing? (not FF)
rename BPLSTC001 BPLSTC00CM1
label variable BPLSTC00CM1 "Main childcare arrangement still going on CM1"
rename BPLSTC002 BPLSTC00CM2
label variable BPLSTC00CM2 "Main childcare arrangement still going on CM2"
replace BPLSTC00CM2 = -1 if BPLSTC00CM2 ==.
label values BPLSTC00CM1 BPLSTC00CM2 Ongoing

*Additional instance of CC (R1)?
rename BPOTHCA01 BPOTHCA0CM1
label variable BPOTHCA0CM1 "R1 instance Childcare arrangement CM1"
rename BPOTHCA02 BPOTHCA0CM2
label variable BPOTHCA0CM2 "R1 instance Childcare arrangement CM2"
replace BPOTHCA0CM2 = -1 if BPOTHCA0CM2 ==.
label values BPOTHCA0CM1 BPOTHCA0CM2 arrangement

*Additional instance of CC type (R1)
rename BPTYPCA01 BPTYPCA0CM1
label variable BPTYPCA0CM1 "What type of arrangement R1 instance CM1"
rename BPTYPCA02 BPTYPCA0CM2
label variable BPTYPCA0CM2 "What type of arrangement R1 instance CM2"
replace BPTYPCA0CM2 = -1 if BPTYPCA0CM2 ==.
label values BPTYPCA0CM1 BPTYPCA0CM2 CCType1MO

*Additional instance of CC still ongoing (R1)?
rename BPSTLCA01 BPSTLCA0CM1
label variable BPSTLCA0CM1 "R1 instance Childcare arrangement still going on CM1"
rename BPSTLCA02 BPSTLCA0CM2
label variable BPSTLCA0CM2 "R1 instance Childcare arrangement still going on CM2"
replace BPSTLCA0CM2 = -1 if BPSTLCA0CM2 ==.
label values BPSTLCA0CM1 BPSTLCA0CM2 Ongoing

*Additional instance of CC (R2)?
rename BPOTHCB01 BPOTHCB0CM1
label variable BPOTHCB0CM1 "R2 instance Childcare arrangement CM1"
rename BPOTHCB02 BPOTHCB0CM2
label variable BPOTHCB0CM2 " R2 instance Childcare arrangement CM2"
replace BPOTHCB0CM2 = -1 if BPOTHCB0CM2 ==.
label values BPOTHCB0CM1 BPOTHCB0CM2 arrangement

*Additional instance of CC type (R2)
rename BPTYPCB01 BPTYPCB0CM1
label variable BPTYPCB0CM1 "What type of arrangement R2 instance CM1"
rename BPTYPCB02 BPTYPCB0CM2
label variable BPTYPCB0CM2 "What type of arrangement R2 instance CM2"
replace BPTYPCB0CM2 = -1 if BPTYPCB0CM2 ==.
label values BPTYPCB0CM1 BPTYPCB0CM2 CCType1MO

*Additional instance of CC still ongoing (R2)?
rename BPSTLCB01 BPSTLCB0CM1
label variable BPSTLCB0CM1 "R2 instance Childcare arrangement still going on CM1"
rename BPSTLCB02 BPSTLCB0CM2
label variable BPSTLCB0CM2 "R2 instance Childcare arrangement still going on CM2"
replace BPSTLCB0CM2 = -1 if BPSTLCB0CM2 ==.
label values BPSTLCB0CM1 BPSTLCB0CM2 Ongoing

*Additional instance of CC (R3)?
rename BPOTHCC01 BPOTHCC0CM1
label variable BPOTHCC0CM1 "R3 instance Childcare arrangement CM1"
rename BPOTHCC02 BPOTHCC0CM2
label variable BPOTHCC0CM2 "R3 instance Childcare arrangement CM2"
replace BPOTHCC0CM2 = -1 if BPOTHCC0CM2 ==.
label values BPOTHCC0CM1 BPOTHCC0CM2 arrangement

*Additional instance of CC type (R3)
rename BPTYPCC01 BPTYPCC0CM1
label variable BPTYPCC0CM1 "What type of arrangement R3 instance CM1"
rename BPTYPCC02 BPTYPCC0CM2
label variable BPTYPCC0CM2 "What type of arrangement R3 instance CM2"
replace BPTYPCC0CM2 = -1 if BPTYPCC0CM2 ==.
label values BPTYPCC0CM1 BPTYPCC0CM2 CCType1MO

*Additional instance of CC still ongoing (R3)?
rename BPSTLCC01 BPSTLCC0CM1
label variable BPSTLCC0CM1 "R3 instance Childcare arrangement still going on CM1"
rename BPSTLCC02 BPSTLCC0CM2
label variable BPSTLCC0CM2 "R3 instance Childcare arrangement still going on CM2"
replace BPSTLCC0CM2 = -1 if BPSTLCC0CM2 ==.
label values BPSTLCC0CM1 BPSTLCC0CM2 Ongoing

*Additional instance of CC (R4)?
rename BPOTHCD01 BPOTHCD0CM1
label variable BPOTHCD0CM1 "R4 instance Childcare arrangement CM1"
rename BPOTHCD02 BPOTHCD0CM2
label variable BPOTHCD0CM2 "R4 instance Childcare arrangement CM2"
replace BPOTHCD0CM2 = -1 if BPOTHCD0CM2 ==.
label values BPOTHCD0CM1 BPOTHCD0CM2 arrangement

*Additional instance of CC type (R4)
rename BPTYPCD01 BPTYPCD0CM1
label variable BPTYPCD0CM1 "What type of arrangement R4 instance CM1"
rename BPTYPCD02 BPTYPCD0CM2
label variable BPTYPCD0CM2 "What type of arrangement R4 instance CM2"
replace BPTYPCD0CM2 = -1 if BPTYPCD0CM2 ==.
label values BPTYPCD0CM1 BPTYPCD0CM2 CCType1MO

*Additional instance of CC still ongoing (R4)?
rename BPSTLCD01 BPSTLCD0CM1
label variable BPSTLCD0CM1 "R4 instance Childcare arrangement still going on CM1"
rename BPSTLCD02 BPSTLCD0CM2
label variable BPSTLCD0CM2 "R4 instance Childcare arrangement still going on CM2"
replace BPSTLCD0CM2 = -1 if BPSTLCD0CM2 ==.
label values BPSTLCD0CM1 BPSTLCD0CM2 Ongoing

*Additional instance of CC (R5)?
rename BPOTHCE01 BPOTHCE0CM1
label variable BPOTHCE0CM1 "R5 instance Childcare arrangement CM1"
rename BPOTHCE02 BPOTHCE0CM2
label variable BPOTHCE0CM2 "R5 instance Childcare arrangement CM2"
replace BPOTHCE0CM2 = -1 if BPOTHCE0CM2 ==.
label values BPOTHCE0CM1 BPOTHCE0CM1 arrangement

*Additional instance of CC type (R5)
rename BPTYPCE01 BPTYPCE0CM1
label variable BPTYPCE0CM1 "What type of arrangement R5 instance CM1"
rename BPTYPCE02 BPTYPCE0CM2
label variable BPTYPCE0CM2 "What type of arrangement R5 instance CM2"
replace BPTYPCE0CM2 = -1 if BPTYPCE0CM2 ==.
label values BPTYPCE0CM1 BPTYPCE0CM2 CCType1MO

*Additional instance of CC still ongoing (R5)?
rename BPSTLCE01 BPSTLCE0CM1
label variable BPSTLCE0CM1 "R5 instance Childcare arrangement still going on CM1"
rename BPSTLCE02 BPSTLCE0CM2
label variable BPSTLCE0CM2 "R5 instance Childcare arrangement still going on CM2"
replace BPSTLCE0CM2 = -1 if BPSTLCE0CM2 ==.
label values BPSTLCE0CM1 BPSTLCE0CM2 Ongoing

*Additional instance of CC (R6)?
rename BPOTHCF01 BPOTHCF0CM1
label variable BPOTHCF0CM1 "R6 instance Childcare arrangement CM1"
rename BPOTHCF02 BPOTHCF0CM2
label variable BPOTHCF0CM2 "R6 instance Childcare arrangement CM2"
replace BPOTHCF0CM2 = -1 if BPOTHCF0CM2 ==.
label values BPOTHCF0CM1 BPOTHCF0CM2 arrangement

*Additional instance of CC type (R6)
rename BPTYPCF01 BPTYPCF0CM1
label variable BPTYPCF0CM1 "What type of arrangement R6 instance CM1"
rename BPTYPCF02 BPTYPCF0CM2
label variable BPTYPCF0CM2 "What type of arrangement R6 instance CM2"
replace BPTYPCF0CM2 = -1 if BPTYPCF0CM2 ==.
label values BPTYPCF0CM1 BPTYPCF0CM2 CCType1MO

*Additional instance of CC still ongoing (R6)?
rename BPSTLCF01 BPSTLCF0CM1
label variable BPSTLCF0CM1 "R6 instance Childcare arrangement still going on CM1"
rename BPSTLCF02 BPSTLCF0CM2
label variable BPSTLCF0CM2 "R6 instance Childcare arrangement still going on CM2"
replace BPSTLCF0CM2 = -1 if BPSTLCF0CM2 ==.
label values BPSTLCF0CM1 BPSTLCF0CM2 Ongoing

*Additional instance of CC (R7)?
rename BPOTHCG01 BPOTHCG0CM1
label variable BPOTHCG0CM1 "R7 instance Childcare arrangement CM1"
rename BPOTHCG02 BPOTHCG0CM2
label variable BPOTHCG0CM2 "R7 instance Childcare arrangement CM2"
replace BPOTHCG0CM2 = -1 if BPOTHCG0CM2 ==.
label values BPOTHCG0CM1 BPOTHCG0CM2 arrangement

*Additional instance of CC type (R7)
rename BPTYPCG01 BPTYPCG0CM1
label variable BPTYPCG0CM1 "What type of arrangement R7 instance CM1"
rename BPTYPCG02 BPTYPCG0CM2
label variable BPTYPCG0CM2 "What type of arrangement R7 instance CM2"
replace BPTYPCG0CM2 = -1 if BPTYPCG0CM2 ==.
label values BPTYPCG0CM1 BPTYPCG0CM2 CCType1MO

*Additional instance of CC still ongoing (R7)?
rename BPSTLCG01 BPSTLCG0CM1
label variable BPSTLCG0CM1 "R7 instance Childcare arrangement still going on CM1"
rename BPSTLCG02 BPSTLCG0CM2
label variable BPSTLCG0CM2 "R7 instance Childcare arrangement still going on CM2"
replace BPSTLCG0CM2 = -1 if BPSTLCG0CM2 ==.
label values BPSTLCG0CM1 BPSTLCG0CM2 Ongoing

*Same childcare arrangement as in last interview (main)?
rename BPSAMC001 BPSAMC00CM1
label variable BPSAMC00CM1 "Same childcare arrangement as in last interview CM1"
rename BPSAMC002 BPSAMC00CM2
label variable BPSAMC00CM2 "Same childcare arrangement as in last interview CM2"
label values BPSAMC00CM1 BPSAMC00CM2 Ongoing

*Same childcare arrangement as in last interview (other)
rename BPSAMO001 BPSAMO00CM1
label variable BPSAMO00CM1 "Same childcare arrangement as in last interview CM1"
rename BPSAMO002 BPSAMO00CM2
label variable BPSAMO00CM2 "Same childcare arrangement as in last interview CM2"
label values BPSAMO00CM1 BPSAMO00CM2 Ongoing
 
*Feed forward childcare arrangement type data 
rename BPFFCC001 BPFFCC00CM1
label variable BPFFCC00CM1 "Feed forward childcare data CM1"
rename BPFFCC002 BPFFCC00CM2
label variable BPFFCC00CM2 "Feed forward childcare data CM2"
label values BPFFCC00CM1 BPFFCC00CM2 CCType2FF

*checks all variables have been labelled properly
describe
label list

save "H:\0000.MCS\July merge datasets\JM_mcs2_parent_cm_interview", replace

**Wave 3
*Making datasets with just the variables of interest
****26,005 observations
cd "H:\0000.MCS\July merge datasets" 
use "mcs3_parent_cm_interview", clear
describe
keep MCSID CCNUM00 CPNUM00 CELIG00 CRESP00 CPCLSI00 CPCLSL00
describe
sort MCSID
save "H:\0000.MCS\July merge datasets\JM_mcs3_parent_cm_interview"
*Making edits to data
cd "H:\0000.MCS\July merge datasets" 
use "H:\0000.MCS\July merge datasets\JM_mcs3_parent_cm_interview", clear
*creates person ID for each person
gen PnumID = MCSID + string(CPNUM00) if (CPNUM00 > 0)
*Creates variables to label their person number and interview responder status
gen PNUM = CPNUM00
gen ELIG = CELIG00
gen ELIG_New = 1 if CELIG00 != .
replace ELIG_New = 0 if CELIG00 == -1
replace ELIG_New = 2 if CELIG00 == 2
replace ELIG_New = 2 if CELIG00 == 3
replace ELIG_New = 3 if CELIG00 == 4
label define ELIGW3 0 "Not Applicable" 1 "Main Interview" 2 "Partner (in person/proxy)" 3 "Not eligible"
label values ELIG_New ELIGW3
label variable ELIG_New "Eligibility for interview with partner in person/proxy merged"
save "H:\0000.MCS\July merge datasets\JM_mcs3_parent_cm_interview", replace
*Resctructured so that both CMs (if applicable) are on the same responder line.
cd "H:\0000.MCS\July merge datasets" 
use "H:\0000.MCS\July merge datasets\JM_mcs3_parent_cm_interview", clear
reshape wide CPNUM00 CRESP00 CPCLSI00 CPCLSL00, i(MCSID CELIG00) j (CCNUM00)
*Dropped the extra PNUM and RESP variables (just duplicate data on the same line) and then renamed the first set just to indicate unique variable.
drop CPNUM002 CRESP002
rename CPNUM001 CPNUM00
label variable CPNUM00 "Person Number for Main or Partner respondent"
rename CRESP001 CRESP00
label variable CRESP00 "Response in survey: Whether respondent (of ELIG) participated in interview"
label define cresp -1 "Not applicable" 1 "Main interview" 2 "Partner Interview" 3 "Partner Proxy Interview" 4 "No interview" 5 "Imputed Main Interview (Only child data)"
label values CRESP00 cresp

*Re-labelled each variable (as these labels seem to get lost when reshaping the dataset).
*Added -1 value to any CM2 variables where only one CM was in the family.

label define LTHpresentlimitC -9 "refusal" -8 "Dont know" -1 "Not applicable" 1 "Yes" 2 "No"

rename CPCLSI001 CPCLSI00CM1
label variable CPCLSI00CM1 "Whether CM has longstanding illness CM1"
rename CPCLSI002 CPCLSI00CM2
label variable CPCLSI00CM2 "Whether CM has longstanding illness CM2"
replace CPCLSI00CM2 = -1 if CPCLSI00CM2 ==.

rename CPCLSL001 CPCLSL00CM1
label variable CPCLSL00CM1 "Do CM illnesses limit activity CM1"
rename CPCLSL002 CPCLSL00CM2
label variable CPCLSL00CM2 "Do CM illnesses limit activity CM2"
replace CPCLSL00CM2 = -1 if CPCLSL00CM2 ==.

label values CPCLSI00CM1 CPCLSI00CM2 CPCLSL00CM1 CPCLSL00CM2 LTHpresentlimitC

*checks all variables have been labelled properly
describe
label list
save "H:\0000.MCS\July merge datasets\JM_mcs3_parent_cm_interview", replace
*****************************************************************************

***Parent derived variables dataset***
*All the same except wave 3 had variables for Respondent same as at sweep 2 (CDDSAM00) and respondent status at sweep 2 (CDDLST00)

**Wave 2
*Making datasets with just the variables of interest
****28,424 observations
cd "H:\0000.MCS\July merge datasets" 
use "mcs2_parent_derived", clear
describe
keep MCSID BPNUM00 BELIG00 BRESP00 BDDRES00 BDDREL00 BDDNVQ00 BDKESS00
describe
sort MCSID
save "H:\0000.MCS\July merge datasets\JM_mcs2_parent_derived.dta"
*Making edits to data
cd "H:\0000.MCS\July merge datasets" 
use "H:\0000.MCS\July merge datasets\JM_mcs2_parent_derived.dta", clear
*creates person ID for each person
gen PnumID = MCSID + string(BPNUM00) if (BPNUM00 > 0)
*Creates variables to label their person number and interview responder status
gen PNUM = BPNUM00
gen ELIG = BELIG00
gen ELIG_New = 1 if BELIG00 != .
replace ELIG_New = 0 if BELIG00 == -1
replace ELIG_New = 2 if BELIG00 == 2
replace ELIG_New = 2 if BELIG00 == 3
replace ELIG_New = 3 if BELIG00 == 4
label define eligW2 0 "Not Applicable" 1 "Main Interview" 2 "Partner (in person/proxy)" 3 "Not eligible"
label values ELIG_New eligW2
label variable ELIG_New "Eligibility for interview with partner in person/proxy merged"
save "H:\0000.MCS\July merge datasets\JM_mcs2_parent_derived.dta", replace

**Wave 3
*Making datasets with just the variables of interest
****27,444 observations
cd "H:\0000.MCS\July merge datasets" 
use "mcs3_parent_derived", clear
describe
keep MCSID CPNUM00 CELIG00 CRESP00 CDDRES00 CDDREL00 CDDSAM00 CDDLST00 CDDNVQ00 CDKESS00
describe
sort MCSID
save "H:\0000.MCS\July merge datasets\JM_mcs3_parent_derived.dta"
*Making edits to data
cd "H:\0000.MCS\July merge datasets" 
use "H:\0000.MCS\July merge datasets\JM_mcs3_parent_derived.dta", clear
*creates person ID for each person
gen PnumID = MCSID + string(CPNUM00) if (CPNUM00 > 0)
*Creates variables to label their person number and interview responder status
gen PNUM = CPNUM00
gen ELIG = CELIG00
gen ELIG_New = 1 if CELIG00 != .
replace ELIG_New = 0 if CELIG00 == -1
replace ELIG_New = 2 if CELIG00 == 2
replace ELIG_New = 2 if CELIG00 == 3
replace ELIG_New = 3 if CELIG00 == 4
label define eligW3 0 "Not Applicable" 1 "Main Interview" 2 "Partner (in person/proxy)" 3 "Not eligible"
label values ELIG_New eligW3
label variable ELIG_New "Eligibility for interview with partner in person/proxy merged"
save "H:\0000.MCS\July merge datasets\JM_mcs3_parent_derived.dta", replace

