********************************************************************************
************Full merge dataset initial clean up - Wave 2************************
********************************************************************************
*3,653 families is no data ones from 19,243 in longitudinal family file - removed
*10 were triplet families - removed (for now)
*60,999 individuals who were both at waves 2 and 3
*11,869 individuals only in wave 2
*10,860 individuals only in wave 3
tab merge_2_3

********************************************************************************
*******Irrelevant data removal (both actual and potential)**********************
********************************************************************************
cd "H:\0000.MCS\July merge datasets"
use "MCS_2and3_Jmerge", clear
sort MCSID PnumID

******Removing families that had no coded data at both wave 2 or 3**************
*1. Dropped all of the families which were not "productive" families (n=3,653 observations)
drop if merge_LFD_GLDFDV2 ==1

*2. Dropped the 10 "productive" that had no data at all
drop if PnumID == "M15310U_GLD"
drop if PnumID == "M22583L_GLD"
drop if PnumID == "M13234R_GLD"
drop if PnumID == "M19649L_GLD"
drop if PnumID == "M24550K_GLD"
drop if PnumID == "M26360P_GLD"
drop if PnumID == "M21294A_GLD"
drop if PnumID == "M25458U_GLD"
drop if PnumID == "M33835W_GLD"
drop if PnumID == "M22911G_GLD"

*Seems that there was a duplication of these 10 families without PnumID -- makes sense when looking at the merge data information (They only have the longitudinal family file data that said they were productive)
****These seem to be the 10 families that had triplets! (NOCMHH = 3) -- makes sense that 30 children are missing from wave 2 - all triplet family CMs
****9/10 entered the sweep at wave 1; 1/10 at wave 2
****All were issued at waves 1-3 but the one who entered at wave 2 (issued at 2 and 3)
****5/10 England; 2/10 Wales; 2/10 Scotland; 1/10 NI
****Do have MCS weights
****5/10 had IMD 2004 Living Environment Domain Decile information (all the English families - M15310U M19649L M21294A M33835W M22911G) at wave 2, but not at wave 3 - these were all at different deciles: 1 lest deprived, 1 upper middle, 1 middle, 1 lower middle, 1 most deprived

list NOCMHH SENTRY COUNTRY PTTYPE2 WEIGHT1 WEIGHT2 WEIGHTGB AISSUED AAOUTC00 AOVWT1 AOVWT2 BISSUED BAOUTC00 BOVWT1 BOVWT2 BNRESPWT BOVWTGB CISSUED CAOUTC00 COVWT1 COVWT2 COVWTGB DUALBABYFAMILY BACTRY00 BIMDLEDE if MCSID == "M15310U"

list NOCMHH SENTRY COUNTRY PTTYPE2 WEIGHT1 WEIGHT2 WEIGHTGB AISSUED AAOUTC00 AOVWT1 AOVWT2 BISSUED BAOUTC00 BOVWT1 BOVWT2 BNRESPWT BOVWTGB CISSUED CAOUTC00 COVWT1 COVWT2 COVWTGB DUALBABYFAMILY BACTRY00 BIMDLEDE if MCSID == "M22583L"

list NOCMHH SENTRY COUNTRY PTTYPE2 WEIGHT1 WEIGHT2 WEIGHTGB AISSUED AAOUTC00 AOVWT1 AOVWT2 BISSUED BAOUTC00 BOVWT1 BOVWT2 BNRESPWT BOVWTGB CISSUED CAOUTC00 COVWT1 COVWT2 COVWTGB DUALBABYFAMILY BACTRY00 BIMDLEDE if MCSID == "M13234R"

list NOCMHH SENTRY COUNTRY PTTYPE2 WEIGHT1 WEIGHT2 WEIGHTGB AISSUED AAOUTC00 AOVWT1 AOVWT2 BISSUED BAOUTC00 BOVWT1 BOVWT2 BNRESPWT BOVWTGB CISSUED CAOUTC00 COVWT1 COVWT2 COVWTGB DUALBABYFAMILY BACTRY00 BIMDLEDE if MCSID == "M19649L"

list NOCMHH SENTRY COUNTRY PTTYPE2 WEIGHT1 WEIGHT2 WEIGHTGB AISSUED AAOUTC00 AOVWT1 AOVWT2 BISSUED BAOUTC00 BOVWT1 BOVWT2 BNRESPWT BOVWTGB CISSUED CAOUTC00 COVWT1 COVWT2 COVWTGB DUALBABYFAMILY BACTRY00 BIMDLEDE if MCSID == "M24550K"

list NOCMHH SENTRY COUNTRY PTTYPE2 WEIGHT1 WEIGHT2 WEIGHTGB AISSUED AAOUTC00 AOVWT1 AOVWT2 BISSUED BAOUTC00 BOVWT1 BOVWT2 BNRESPWT BOVWTGB CISSUED CAOUTC00 COVWT1 COVWT2 COVWTGB DUALBABYFAMILY BACTRY00 BIMDLEDE if MCSID == "M26360P"

list NOCMHH SENTRY COUNTRY PTTYPE2 WEIGHT1 WEIGHT2 WEIGHTGB AISSUED AAOUTC00 AOVWT1 AOVWT2 BISSUED BAOUTC00 BOVWT1 BOVWT2 BNRESPWT BOVWTGB CISSUED CAOUTC00 COVWT1 COVWT2 COVWTGB DUALBABYFAMILY BACTRY00 BIMDLEDE if MCSID == "M21294A"

list NOCMHH SENTRY COUNTRY PTTYPE2 WEIGHT1 WEIGHT2 WEIGHTGB AISSUED AAOUTC00 AOVWT1 AOVWT2 BISSUED BAOUTC00 BOVWT1 BOVWT2 BNRESPWT BOVWTGB CISSUED CAOUTC00 COVWT1 COVWT2 COVWTGB DUALBABYFAMILY BACTRY00 BIMDLEDE if MCSID == "M25458U"

list NOCMHH SENTRY COUNTRY PTTYPE2 WEIGHT1 WEIGHT2 WEIGHTGB AISSUED AAOUTC00 AOVWT1 AOVWT2 BISSUED BAOUTC00 BOVWT1 BOVWT2 BNRESPWT BOVWTGB CISSUED CAOUTC00 COVWT1 COVWT2 COVWTGB DUALBABYFAMILY BACTRY00 BIMDLEDE if MCSID == "M33835W"

list NOCMHH SENTRY COUNTRY PTTYPE2 WEIGHT1 WEIGHT2 WEIGHTGB AISSUED AAOUTC00 AOVWT1 AOVWT2 BISSUED BAOUTC00 BOVWT1 BOVWT2 BNRESPWT BOVWTGB CISSUED CAOUTC00 COVWT1 COVWT2 COVWTGB DUALBABYFAMILY BACTRY00 BIMDLEDE if MCSID == "M22911G"

*3. I dropped these for now because other than the variables above they had no data-- but have a record of them in case I want them added in again (just skip this syntax step)

list if MCSID == "M15310U" 
list if MCSID == "M22583L" 
list if MCSID == "M13234R" 
list if MCSID == "M19649L" 
list if MCSID == "M24550K" 
list if MCSID == "M26360P" 
list if MCSID == "M21294A" 
list if MCSID == "M25458U" 
list if MCSID == "M33835W" 
list if MCSID == "M22911G" 

drop if MCSID == "M15310U"
drop if MCSID == "M22583L"
drop if MCSID == "M13234R"
drop if MCSID == "M19649L"
drop if MCSID == "M24550K"
drop if MCSID == "M26360P"
drop if MCSID == "M21294A"
drop if MCSID == "M25458U"
drop if MCSID == "M33835W"
drop if MCSID == "M22911G"

*There was another family that did not have any data -- M22110F at either time point (found using PNUM and -2 of CMSweepPresent) - this explains why at the end of the merge there is 3,564 rather than 3,563 families with no data....! has either no or N/A data (for the longitudinal data file information)
*4. I dropped this
list if MCSID == "M22110F" 
drop if MCSID == "M22110F"

*Checked to see the status of all the CMs. 1 at wave 3 had died. When examining the family, this was a 2CM family in Wales. This would be dropped due to being a family based in Wales, as well as a 2CM family anyway. -- But dropped now.
tab CHCPRS00
list MCSID if CHCPRS00 ==3
list if MCSID == "M12300E"
drop if MCSID == "M12300E"

*Just did this check in case of any other anomalies.
***Only unique MCSID PnumID individuals in the dataset now
sort MCSID PnumID
by MCSID PnumID: assert _N==1

*5.***************Removing Families which have more than one CM********************
gen onecm = 1 if NOCM==1
replace onecm = 0 if NOCM==2
replace onecm = 0 if NOCM==3
tab PNUM if onecm== 0 
drop if onecm== 0

*6.**************Removing Families which are not English at wave 3****************
*I decided on this because the reason country is interesting to me to drop is because they don't have the FSP data. Therefore, even if they had lived in Wales, Scotland or NI in wave 2, if they are in England wave 3, I am keeping them (the syntax below shows evidence that even if in England at W2, if they weren't at W3; they didn't have FSP data, and the opposite is for those only in England at wave 3). 
****n=7,172
tab BACTRY00 CACTRY00
tab FSPT if CACTRY00 ==1
tab FSPT if BACTRY00 ==1 & CACTRY00 !=1
tab FSPT if BACTRY00 !=1 & CACTRY00 ==1
tab PNUM if CACTRY00 !=1
drop if CACTRY00 !=1
tab BACTRY00 CACTRY00

*7.****************Removing if person was not a responder or CM at both waves [NOTE: THIS IS WITH THE ANALYSIS IN MIND WHERE 2ND AND 3RD CMS NOT COUNTED]
*Repurposed a variable (CHCPRS00) to note the status of CMs and presence at wave 2 and 3 (originally a wave 3 variable) - NOTE: IT APPEARS THAT BY WHEN I DO MY CLEARNING (BY STAGE 7), THE CMS AT WAVE 2 ONLY ARE NO LONGER THERE - Both wave 2 and 3 = 8803, wave 3 =829. -- This is to help differentiate those CMs who were present at individual or both waves.
tab CHCPRS00
replace CHCPRS00 = 0 if (PNUM ==100 | PNUM ==200) & CHCPRS00 ==.
replace CHCPRS00 = -1 if CHCPRS00 ==.
replace CHCPRS00 = 5 if merge_2_3 ==1 & (CCNUM00 == 1 | CCNUM00 ==2)
label define CHCPRS00 -1 "Not applicable - not CMs" 0 "Wave 2 only" 1 "Both at wave 2 and wave 3" 2 "Left" 3 "Died" 4 "Never in HH" 5 "Wave 3 only", replace
label values CHCPRS00 CHCPRS00
rename CHCPRS00 WCMPresent
label variable WCMPresent "CM wave present"
tab PNUM WCMPresent

*Checked for the type of responders at wave 2 and 3
tab BELIG00 BRESP00
tab PNUM if BELIG00 ==-1
tab CELIG00 CRESP00
tab PNUM if CELIG00 ==-1
*Made any CMs into -2 (in the -1 with non-CMs) for CMs at that stage; made -3 if CM is not at wave 3 
replace BELIG00 = -2 if PNUM ==100
replace BELIG00 = -3 if PNUM ==100 & WCMPresent ==5
replace CELIG00 = -2 if PNUM ==100 

*tab to check what these look like now
*Did BELIG00 on its own because the W3 CMs won't show up in the ELIG RESP crosstab
****Wave 2 still has a lot of non-CMs in -1, while wave 3 only has n=1 where it is -1 for both, and 1 which is -1 CELIG00, 4 CRESP00 for the other
tab BELIG00
tab CELIG00
tab BELIG00 BRESP00
tab CELIG00 CRESP00
*7a.*This removes anyone who was not eligible for interview at both waves, not applicable at both waves, and dubbed not applicable at wave 2 and not eligible for interview at wave 3 (n=12,110, n=0, n=2,225 respectively)
drop if BELIG00 ==4 & CELIG00 ==4
tab BELIG00 
tab CELIG00
tab BELIG00 BRESP00
tab CELIG00 CRESP00
drop if BELIG00 ==-1 & CELIG00 ==4
tab BELIG00 
tab CELIG00
tab BELIG00 BRESP00
tab CELIG00 CRESP00
*These give me an indication whether the person who responded as main/partner/proxy/no interview/not applicable also responded the same or different at wave 3
*There were some main responders who changed to partner/proxies (n=187) or had no interview at wave 3 (n=98)
tab CRESP00 if BRESP00==1
*There were some partner responders who changed to main (n=210), proxies (n=92) or had no interview at wave 3 (n=786)
tab CRESP00 if BRESP00==2
*There were some proxy responders who changed to partner (n=60) or had no interview (n=25) at wave 3 
tab CRESP00 if BRESP00==3
*There were some people who were coded not applicable or didn't have an interview at wave 2 who were mains (n=99)/partners (n=656)/proxies (n=59) or had no interview (n=352) at wave 3
tab CRESP00 if BRESP00==4
*Some of those who were not applicable at wave 1 were main (n=9), partner/proxy (n=42) or had no interview (n=14) at wave 
tab CRESP00 if BRESP00==-1

*7b.*Dropped anyone who wasn't present at wave 2, and was not ELIG for interview (note: none of these actually had an interview either), n=4,157 
drop if BELIG00 ==. & CELIG00==4
tab BELIG00 
tab CELIG00
tab BELIG00 BRESP00
tab CELIG00 CRESP00

*7c.One in sweep 3 which seemed to have an odd pairing of -1 and 4 for CELIG00 CRESP00 respectively (M26519U). Checked it an it is a non CM child. Removed.
list MCSID if CELIG00 ==-1 & CRESP00==4
drop if CELIG00 ==-1 & CRESP00==4

*7d. There was just 1 wave 3 person who had -1 in both eligible and response (M10782C). They were a grandparent who also did not seem to be a responder at wave 2, so dropped.
list MCSID if CELIG00 ==-1 & CRESP00==-1
drop if CELIG00 ==-1 & CRESP00==-1
tab CELIG00 CRESP00
tab BELIG00 BRESP00
tab BELIG00
*Now this just leaves:
*W2 = CMs wave 3 only (-3), CMs (-2xN/A), N/A, Main ELIGxRESP, Partner/Proxy ELIGXRESP, Main ELIGx no interview, Partner/Proxy ELIGx no interview, not elig x no interview
*W3 = CMs (-2xN/A), Main ELIGxRESP, Partner/Proxy ELIGXRESP, Main ELIGx no interview, Partner/Proxy ELIGx no interview, not elig x no interview

*First make the CMs have -2 value for BRESP00 and responders 6 value for BELIG00 and BRESP00
*There were people in wave 3 who were not in wave 2
replace BELIG00 =6 if BELIG00 ==.
tab CELIG00 CRESP00 if BELIG00 ==6
replace BRESP00 =-2 if BELIG00 ==-2
replace BRESP00 =-3 if BELIG00 ==-3
replace BRESP00 =6 if BRESP00 ==.
tab BELIG00 BRESP00
tab BELIG00 BRESP00 if BRESP00 ==6
tab CELIG00 CRESP00 if BRESP00 ==6

gen Responses_W2 = 7 if BELIG00 !=. & BRESP00!=.
*0s: These are to code anyone who wasn't a responder at wave 2 = 0 "CM or person Not present at wave 2" -- expected n = 2,530; individual n = 1,701, CM1 n = 829 
replace Responses_W2 = 0 if BELIG00 ==6 & BRESP00==6
replace Responses_W2 = 0 if BELIG00 ==-3 & BRESP00==-3
*1s should only have ELIG main x RESP main left at the end of creating the variable. -- expected n =8,735
replace Responses_W2 = 1 if BELIG00 ==1 & BRESP00==1
*2s should only have ELIG partner or proxy x RESP partner or proxy -- expected n = 6,265
replace Responses_W2 = 2 if (BELIG00 ==2 & BRESP00==2) | (BELIG00 ==2 & BRESP00==3) | (BELIG00 ==3 & BRESP00==2) | (BELIG00 ==3 & BRESP00==3)
*3s should only be CMs -- expected n = 8,803
replace Responses_W2 = 3 if (BELIG00 ==-2 & BRESP00==-2)
*4s should only be ELIG main x RESP no interview -- expected n =66
replace Responses_W2 = 4 if (BELIG00 ==1 & BRESP00==4)
*5s should only be ELIG partner/proxy x RESP no interview -- expected n =1,078
replace Responses_W2 = 5 if (BELIG00 ==2 | BELIG00==3) & BRESP00==4
*6s should only be ELIG -1/not eligible for interview x RESP no interview -- expected not eligible, no interview n =22 + N/A ELIGxRESP n=65
replace Responses_W2 = 6 if (BELIG00 ==-1 & BRESP00==-1)
replace Responses_W2 = 6 if (BELIG00 ==4 & BRESP00==4)
tab Responses_W2
tab Responses_W2 if BELIG00 ==.
tab Responses_W2 if BRESP00 ==.
tab Responses_W2 if BELIG00 ==-3
tab Responses_W2 if CELIG00 ==.
tab Responses_W2 if CRESP00 ==.
tab PNUM if Responses_W2 ==0

*When doing this, there were no people in wave 2 who weren't in wave 3 when the data has been reduced with the prior steps
replace CELIG00 =6 if CELIG00 ==.
replace CRESP00 =6 if CRESP00 ==.
*There were no CMs in wave 2 who weren't in wave 3 when the data has been reduced with the prior steps
replace CRESP00 =-2 if CELIG00 ==-2
tab CELIG00 CRESP00


gen Responses_W3 = 7 if CELIG00 !=. & CRESP00!=.
*These are to code anyone who wasn't a responder at wave 3 = 0 "CM or person Not present at wave 3" -- expected n = 0
replace Responses_W3 = 0 if CELIG00 ==. & CRESP00==.
*1s should only have ELIG main x RESP main left at the end of creating the variable. -- expected n =9,592
replace Responses_W3 = 1 if CELIG00 ==1 & CRESP00==1
*2s should only have ELIG partner or proxy x RESP partner or proxy -- expected n = 6,837
replace Responses_W3 = 2 if (CELIG00 ==2 & CRESP00==2) | (CELIG00 ==2 & CRESP00==3) | (CELIG00 ==3 & CRESP00==2) | (CELIG00 ==3 & CRESP00==3)
replace Responses_W3 = 2 if (CELIG00 ==1 & CRESP00==2) | (CELIG00 ==1 & CRESP00==3)
*3s should only be CMs -- expected n = 9,632
replace Responses_W3 = 3 if (CELIG00 ==-2 & CRESP00==-2)
*4s should only be ELIG main x RESP no interview -- expected n =40
replace Responses_W3 = 4 if (CELIG00 ==1 & CRESP00==4)
*5s should only be ELIG partner/proxy x RESP no interview -- expected n =878
replace Responses_W3 = 5 if (CELIG00 ==2 | CELIG00==3) & CRESP00==4
*6s should only be not eligible for interview x RESP no interview -- expected n = 585
replace Responses_W3 = 6 if (CELIG00 ==4 & CRESP00==4)
tab Responses_W3
tab Responses_W3 if CELIG00 ==.
tab Responses_W3 if CRESP00 ==.
tab Responses_W3 if CELIG00 ==-2
tab Responses_W3 if BELIG00 ==.
tab Responses_W3 if BRESP00 ==.
label define RW 0 "Not a responder at wave" 1 "Main" 2 "Partner/proxy" 3 "CMs at wave" 4 "Elig Main, no interview" 5 "Elig Partner/proxy no interview" 6 "Not eligible for interview" 
label values Responses_W2 Responses_W3 RW

*These will be a group of people who don't fall into the categories below: Are not at wave 2, main eligible/partner proxy eligible but not interviewed @Wave 2; and main/partner/proxy,  main eligible/partner proxy eligible but not interviewed, not eligible for interview @ wave 3-- n=2,597

*11s will be people who were a main responder at wave 3, but were not present at wave 2 -- n=824
gen Responses_All = 11 if Responses_W2 !=. & Responses_W3 !=.
*1s should only be purely main responder at wave 2 and 3 -- n == 8,450
replace Responses_All = 1 if Responses_W2 ==1 & Responses_W3 ==1
*2s should only be purely partner/proxy responder at wave 2 and 3 -- n == 5,244
replace Responses_All = 2 if Responses_W2 ==2 & Responses_W3 ==2
*3s should only be purely CMs at wave 2 and 3 -- n == 8,803
replace Responses_All = 3 if Responses_W2 ==3 & Responses_W3 ==3
*4s should only be purely be main ELIG, not interviewed at wave 2 and 3 -- n == 1
replace Responses_All = 4 if Responses_W2 ==4 & Responses_W3 ==4
*5s should only be purely be partner/proxy ELIG, not interviewed at wave 2 and 3 -- n == 247
replace Responses_All = 5 if Responses_W2 ==5 & Responses_W3 ==5
*6s should only be purely be non-responders at wave 2 and 3 -- n == 0 (this should have been expected as they were removed prior)
replace Responses_All = 6 if Responses_W2 ==6 & Responses_W3 ==6
*7s should be CMs only at wave 3 -- n == 829
replace Responses_All = 7 if BRESP00 ==-3
*8s should be main at wave 2, but in a different role at wave 3 -- n == 285
replace Responses_All = 8 if Responses_W2 ==1 & Responses_W3 !=1
*9s should be proxy/partner at wave 2, but in a different role at wave 3 -- n == 1,021
replace Responses_All = 9 if Responses_W2 ==2 & Responses_W3 !=2
*10s should be not applicable/no interview at wave 2, but in a different role at wave 3 -- n == 87
replace Responses_All = 10 if Responses_W2 ==6 & Responses_W3 !=6
*12s are people who were a partner/proxy responder at wave 3, but were not present at wave 2 -- n=649
replace Responses_All = 12 if Responses_W3 ==2 & Responses_W2==0
*13s are people who were ELIG main x RESP no interview at wave 2, but a main at wave 3 --n=58
replace Responses_All = 13 if Responses_W3 ==1 & Responses_W2==4
*14s are people who were ELIG partner/proxy x RESP no interview at wave 2, but a main at wave 3 --n=31
replace Responses_All = 14 if Responses_W3 ==1 & Responses_W2==5
*15s are people who were ELIG main x RESP no interview at wave 2, but a partner/proxy at wave 3 --n=7
replace Responses_All = 15 if Responses_W3 ==2 & Responses_W2==4
*16s are people who were ELIG partner/proxy x RESP no interview at wave 2, but a partner/proxy at wave 3 --n=701
replace Responses_All = 16 if Responses_W3 ==2 & Responses_W2==5
label define RAll 1 "Main at both waves" 2 "Partner/proxy at both waves" 3 "CMs at both waves" 4 "Main eligible, but not interviewed at either wave" 5 "Partner/proxy eligible, but not interviewed at either wave" 6 "Non-responders at both waves" 7 "CMs at wave 3 only" 8 "Main at W2, different role at W3" 9 "Proxy/partner at W2, different role at W3" 10 "N/A or not interviewed at W2, different role at W3" 11 "main responder W3, not present W2" 12 "partner/proxy responder W3, not present W2" 13 "ELIG main x RESP no interview at wave 2, but a main at wave 3" 14 "ELIG partner/proxy x RESP no interview at W2, but a main at W3" 15 "ELIG main x RESP no interview at W2, but a partner/proxy at W3" 16 "ELIG partner/proxy x RESP no interview at W2, but a partner/proxy at W3"
label values Responses_All RAll
tab Responses_All


*7e.*Removing main and partners who did not get interviewed at either wave (n=248)
drop if Responses_All == 4
drop if Responses_All == 5

*7f. Removed anyone who was not at wave 2, and not interviewed at wave 3 (0,4 n=11; 0,5 n=217; 5,6 n=99)
drop if Responses_All ==11 & Responses_W2==0 & Responses_W3==4
drop if Responses_All ==11 & Responses_W2==0 & Responses_W3==5
drop if Responses_All ==11 & Responses_W2==5 & Responses_W3==6

********************************************************************************
************Preperations for predictors and moderators/covariates***************
********************************************************************************


************BAS-NV/language**************

*Renaming for ease of reference
rename BDBAST00 BAS_NV_Standard_W2
rename CCNVTSCORE BAS_NV_Standard_W3
*Relabbeling and adding -2 (CMs not at wave 2) added + A non-CM code (-99)
tab WCMPresent if BAS_NV_Standard_W2==. & PNUM ==100
replace BAS_NV_Standard_W2 = -2 if BAS_NV_Standard_W2==. & PNUM ==100
replace BAS_NV_Standard_W2 = -99 if PNUM !=100
replace BAS_NV_Standard_W3 = -99 if PNUM !=100
*Labelling
label define BASlabel -99 "Not CM" -8 "Ended early" -7 "Not carried out" -6 "Not administered" -2 "Not at wave 2"
label values BAS_NV_Standard_W2 BAS_NV_Standard_W3 BASlabel
*Final checks
tab BAS_NV_Standard_W2
tab BAS_NV_Standard_W3
count if BAS_NV_Standard_W2 ==. & PNUM ==100
count if BAS_NV_Standard_W3 ==. & PNUM ==100


*Renaming the outcomes of testing
rename BHCASS00 BASNV_BSRAR_TestOutcome_W2
rename CHNVOC00 BAS_NV_TestOutcome_W3

************Bracken/NVIQ**************

*Renaming for ease of reference
rename BDSRCS00 BSRAR_Standard
rename BDSRCN00 BSRAR_NormClas
*The BSRAR variable needed a -2 variable and to have its labels added again
tab WCMPresent if BSRAR_Standard==. & PNUM==100
tab WCMPresent if BSRAR_NormClas==. & PNUM==100
*Adding in -2 for those not at wave 2 (had to change a -2 in the normative classification variable to -9 so I could have a consistent -2 variable) + A non-CM code (-99)
replace BSRAR_Standard = -2 if BSRAR_Standard==. & WCMPresent==5 & PNUM==100
replace BSRAR_NormClas = -9 if BSRAR_NormClas==-2
replace BSRAR_NormClas = -2 if BSRAR_NormClas==. & WCMPresent==5 & PNUM==100
replace BSRAR_Standard = -99 if PNUM !=100
replace BSRAR_NormClas = -99 if PNUM !=100
*Labelling
label define BSRAR -99 "Not CM" -7 "Not carried out" -4 "Sub-test not completed" -3 "Age unknown" -2 "Not at wave 2"
label values BSRAR_Standard BSRAR
label define BSRARNC -99 "Not CM" -9 "No interview date" -8 "Refused" -7 "Not carried out" -4 "Sub-test not completed" -3 "Age unknown" -2 "Not at wave 2" -1 "Not applicable" 1 "Very Delayed" 2 "Delayed" 3 "Average" 4 "Advanced" 5 "Very Advanced"
label values BSRAR_NormClas BSRARNC
*Final checks
tab BSRAR_Standard
count if BSRAR_Standard==. & PNUM==100
tab BSRAR_NormClas
count if BSRAR_NormClas==. & PNUM==100

***************Age***************

*Repurposed the age (in days) variable to months -- I used 30 days as this was closer to 365 days than dividing by 28, 29 and 31 days
gen Age_InMonths_W2 = BHCAGE00/30
gen Age_InMonths_W3 = CHCAGE00/30
*I wanted to keep these for now to check which would be the most accurate as a covariate for later
rename BHCAGE00 Age_InDays_W2
rename CHCAGE00 Age_InDays_W3

*Age variables also had -1 added for wave 2 if the data was missing at wave 2 and they were not the wave 3 only CMs "Missing data" -- no missing data at wave 3
tab Age_InDays_W2 
tab Age_InMonths_W2 
count if Age_InDays_W2 ==. & PNUM==100
count if Age_InMonths_W2 ==. & PNUM==100
tab WCMPresent if Age_InDays_W2 ==. & PNUM==100
replace Age_InDays_W2 =-2 if Age_InDays_W2==. & WCMPresent ==5 & PNUM==100
replace Age_InDays_W2 =-1 if Age_InDays_W2==. & WCMPresent !=5 & PNUM==100
replace Age_InDays_W2 =-99 if PNUM!=100
tab WCMPresent if Age_InMonths_W2 ==. & PNUM==100
replace Age_InMonths_W2 =-2 if Age_InMonths_W2==. & WCMPresent ==5 & PNUM==100
replace Age_InMonths_W2 =-1 if Age_InMonths_W2==. & WCMPresent !=5 & PNUM==100
replace Age_InMonths_W2 =-99 if PNUM!=100
*labelling
label define age -99 "Not CM" -2 "Not at wave 2" -1 "Missing data", replace
label values Age_InDays_W2 Age_InMonths_W2 age
*Final checks*
tab Age_InDays_W2 
tab Age_InMonths_W2 
count if Age_InDays_W2 ==. & PNUM ==100
count if Age_InMonths_W2 ==. & PNUM ==100

********************************************************************************

****Gender assigned at birth*****

**Creating or editing some variables for setup --DO BEFORE ANY VARIABLE DROPS**
*Generated this variable because the prior variables for gender AAB did not have values at 1 wave for some CMs (because they only had data for 1 wave). This just made it something that can be consistently used for everyone.
*It was traditionally 1 = male, 2 = female. I changed this to 0 = male, 1 = female for moderation analysis sake
gen GENDERAAB = 0 if BHCSEX00 ==1
replace GENDERAAB = 0 if CHCSEX00 ==1
replace GENDERAAB = 1 if BHCSEX00 ==2
replace GENDERAAB = 1 if CHCSEX00 ==2
replace GENDERAAB = -1 if BHCSEX00 ==-1
replace GENDERAAB = -1 if CHCSEX00 ==-1
replace GENDERAAB = -99 if PNUM !=100
label define GENDERAAB -99 "Not CM" -1 "Not applicable" 0 "Male" 1 "Female"
label values GENDERAAB GENDERAAB 
label variable GENDERAAB "CM gender assigned at birth"
tab GENDERAAB
tab PNUM GENDERAAB

********************************************************************************

************AC - LTH**************
*Renaming for ease of reference
rename BPCLSI00CM1 LTHC_Present_W2
rename BPCLSL00CM1 LTHC_Limit_W2
rename CPCLSI00CM1 LTHC_Present_W3
rename CPCLSL00CM1 LTHC_Limit_W3

*Creating a variable which shows children without a LTHC, with but doesn't limit everyday activities, with a LTHC and it limites everyday activities
gen LTHC_Status_W2 = 2 if LTHC_Present_W2 !=. & LTHC_Limit_W2 !=.
replace LTHC_Status_W2 = -4 if LTHC_Present_W2 ==. & LTHC_Limit_W2 ==. & PNUM==100
replace LTHC_Status_W2 = -5 if LTHC_Present_W2 ==. & LTHC_Limit_W2 ==. & PNUM!=100
replace LTHC_Status_W2 = -1 if LTHC_Present_W2 ==-1 & PNUM !=100
replace LTHC_Status_W2 = 0 if LTHC_Present_W2 ==1 & LTHC_Limit_W2 ==1
replace LTHC_Status_W2 = 1 if LTHC_Present_W2 ==1 & LTHC_Limit_W2 ==2
replace LTHC_Status_W2 = -6 if LTHC_Present_W2 ==-1 & PNUM==100
*Creating the save variable for wave 3
*W3 (don't know or refusal at LTHC_Present_W3 is counted as -1)
*"Don't know" responses for LTHC_Limit_W3 were put with no limits if children had LTHC because the issues were likely not present enough for them to state yes?
tab LTHC_Present_W3 LTHC_Limit_W3
gen LTHC_Status_W3 = 2 if LTHC_Present_W3 !=. & LTHC_Limit_W3 !=.
replace LTHC_Status_W3 = -6 if LTHC_Present_W3 ==. & LTHC_Limit_W3 ==. & PNUM ==100
replace LTHC_Status_W3 = -1 if LTHC_Present_W3 ==-9 & LTHC_Limit_W3 ==-1
replace LTHC_Status_W3 = -1 if LTHC_Present_W3 ==-8 & LTHC_Limit_W3 ==-1
replace LTHC_Status_W3 = -1 if LTHC_Present_W3 ==-1 
replace LTHC_Status_W3 = -5 if LTHC_Present_W3 ==. & LTHC_Limit_W3 ==. & PNUM !=100
replace LTHC_Status_W3 = 0 if LTHC_Present_W3 ==1 & LTHC_Limit_W3 ==1
replace LTHC_Status_W3 = 1 if LTHC_Present_W3 ==1 & LTHC_Limit_W3 ==-8
replace LTHC_Status_W3 = 1 if LTHC_Present_W3 ==1 & LTHC_Limit_W3 ==2
*Labelling
label define LTHC -6 "CMs" -5 "Missing adults" -4 "Missing CMs at wave 2" -1 "Not applicable" 0 "Has LTHC, limits" 1 "Has LTHC, does not limit" 2 "Does not have LTHC"
label variable LTHC_Status_W2 "W2 Presence and affect of long term health condition"
label variable LTHC_Status_W3 "W3 Presence and affect of long term health condition"
label values LTHC_Status_W2 LTHC_Status_W3 LTHC
*Final checks
tab LTHC_Status_W2
tab LTHC_Status_W3
count if LTHC_Status_W2 ==. & PNUM !=100
count if LTHC_Status_W3 ==. & PNUM !=100
tab LTHC_Status_W2 if PNUM ==100
tab LTHC_Status_W3 if PNUM ==100

********************************************************************************

************AC - speech and language concerns***** 
*Renaming for ease of reference
rename BPSPLM0ACM1 NoConcern
rename BPSPLM0BCM1 SlowDevLang
rename BPSPLM0CCM1 NotUnderstOth
rename BPSPLM0DCM1 PronWordsPoor
rename BPSPLM0ECM1 Hearing
rename BPSPLM0FCM1 Stutters
rename BPSPLM0GCM1 Lisp
rename BPSPLM0HCM1 SeeingSLT
rename BPSPLM0ICM1 DiffCertLetter
rename BPSPLM0JCM1 TongueTied
rename BPSPLM0KCM1 NoSpeaking
rename BPSPLM0LCM1 Other
rename BPSPLM0MCM1 Irrelevant


********************************************************************************

************AC - Behaviour************
*Renaming and labelling for ease of reference
rename BEBDTOT SDQTotal_W2
rename CEBDTOT SDQTotal_W3
*Added a code for non-CMs to each variable
replace SDQTotal_W2 = -99 if PNUM !=100
replace SDQTotal_W3 = -99 if PNUM !=100 & SDQTotal_W3==.
*The SDQ variable at wave 2 also needed a -2 variable -- n=8,803 again only at wave 2; but all at wave 3
tab SDQTotal_W2 if PNUM !=100
tab SDQTotal_W3 if PNUM !=100
tab WCMPresent if SDQTotal_W2==.
tab WCMPresent if SDQTotal_W3==.
replace SDQTotal_W2 = -2 if SDQTotal_W2==. & WCMPresent==5 & PNUM==100
*labelling
label define SDQ -99 "Not CM" -9 "Refusal" -8 "Don't know" -2 "CM not at wave 2" -1 "Not applicable"
label values SDQTotal_W2 SDQTotal_W3 SDQ
label variable SDQTotal_W2 "SDQ Total Difficulties_W2"
label variable SDQTotal_W3 "SDQ Total Difficulties_W3"
*last checks
tab SDQTotal_W2
tab SDQTotal_W3
tab SDQTotal_W2 if PNUM !=100
tab SDQTotal_W3 if PNUM !=100
count if SDQTotal_W2 ==.
count if SDQTotal_W3 ==.

********************************************************************************
************SES - OECD**************
**Wave 2 and 3 OECD 60% median**
*Changed into Family OECD on the CM's line.
*Gives the (1st) CM the OECD value
tab BDOEDP00
tab BDOEDP00 if PNUM ==100
gen Family60MedW2 = BDOEDP00 if PNUM ==100
tab CDOEDP00
tab CDOEDP00 if PNUM ==100
gen Family60MedW3 = CDOEDP00 if PNUM ==100
*Anyone who isn't a CM is put into -99 "Not applicable"
replace Family60MedW2 =-99 if PNUM !=100
replace Family60MedW3 =-99 if PNUM !=100
*n=2 CMs were not coded and at wave 2, but n=829 missing and not coded as being at wave 2 so added into missing data; the other 829 were not present at wave 2
count if BDOEDP00==. & PNUM==100
tab WCMPresent if BDOEDP00 ==.
tab WCMPresent if BDOEDP00 ==. & WCMPresent !=5 & PNUM==100
replace Family60MedW2 =-1 if BDOEDP00 ==. & WCMPresent !=5 & PNUM==100
replace Family60MedW2 =-2 if BDOEDP00 ==. & WCMPresent ==5 & PNUM==100
count if CDOEDP00==. & PNUM==100
count if BDOEDP00==. & CDOEDP00==. & PNUM==100
*Labelling variables
label define OECD -99 "NA, not CM" -1 "Missing data" -2 "Not at wave 2" 0 "above 60% median" 1 "below 60% median"
label values Family60MedW2 Family60MedW3 OECD
label variable Family60MedW2 "Family 60% poverty median at wave 2"
label variable Family60MedW2 "Family 60% poverty median at wave 3"
*Final checks*
tab Family60MedW2
tab Family60MedW3
count if Family60MedW2==. & PNUM==100
count if Family60MedW3==. & PNUM==100


**Wave 2 and 3 OECD income weighted quintiles**
tab BOECDSC0
tab BOECDSC0 if PNUM ==100
gen FamilyOECDQuintilesW2 = BOECDSC0 if PNUM ==100
tab COECDSC0
tab COECDSC0 if PNUM ==100
gen FamilyOECDQuintilesW3 = COECDSC0 if PNUM ==100
*Anyone who isn't a CM is put into -2 "Not applicable"
replace FamilyOECDQuintilesW2 =-99 if PNUM !=100
replace FamilyOECDQuintilesW3 =-99 if PNUM !=100
*n=2 CMs were not coded and at wave 2, but n=829 missing and not coded as being at wave 2 so added into missing data; the other 829 were not present at wave 2
count if BOECDSC0==. & PNUM==100
tab WCMPresent if BOECDSC0 ==.
tab WCMPresent if BOECDSC0 ==. & WCMPresent !=5 & PNUM==100
replace FamilyOECDQuintilesW2 =-1 if BOECDSC0 ==. & WCMPresent !=5 & PNUM==100
replace FamilyOECDQuintilesW2 =-2 if BOECDSC0 ==. & WCMPresent ==5 & PNUM==100
count if COECDSC0==. & PNUM==100
count if BOECDSC0==. & COECDSC0==. & PNUM==100
*Labelling variables
label define FamilyOECDQuintiles -99 "Not CM" -2 "Not at wave 2" -1 "Not applicable" 1 "Lowest quintile" 2 "Second quintile" 3 "Third quintile" 4 "Fourth quintile" 5 "Highest quintile"
label values FamilyOECDQuintilesW2 FamilyOECDQuintilesW3 FamilyOECDQuintiles
label variable FamilyOECDQuintilesW2 "OECD quintiles at wave 2"
label variable FamilyOECDQuintilesW3 "OECD quintiles at wave 3"
*Final checks*
tab FamilyOECDQuintilesW2
tab FamilyOECDQuintilesW3
tab FamilyOECDQuintilesW2 if BOECDSC0==.
tab FamilyOECDQuintilesW3 if COECDSC0==. 


********************************************************************************

************SES - Parental NVQ******
*Renaming for ease of reference
rename BDDNVQ00 RespNVQ_W2
rename CDDNVQ00 RespNVQ_W3
*Added in some codes for non-CMs without a response, CMs at wave 2 and CMs not at wave 2
replace RespNVQ_W2 =-5 if RespNVQ_W2==. & PNUM!=100
replace RespNVQ_W2 =-5 if RespNVQ_W2==-10 & PNUM!=100
replace RespNVQ_W2 =-6 if RespNVQ_W2==-10 & PNUM==100
replace RespNVQ_W2 =-4 if RespNVQ_W2==. & PNUM==100
*Tabbed the responses at W2 to get an idea of who responsed to this question. There were mains, and partner/proxies; but also those eligible for main (n=65)/partner/proxy (n=732) which didn't get interviewed. n=8,735 responders dubbed as mains at this wave had coded NVQ information; n=6,265 dubbed as partner/proxies at this wave had coded NVQ information
tab RespNVQ_W2 if RespNVQ_W2 >=-1 & Responses_W2 ==1
tab RespNVQ_W2 if RespNVQ_W2 >=-1 & Responses_W2 ==2
tab RespNVQ_W2 if RespNVQ_W2 >=-1 & Responses_W2 ==4
tab RespNVQ_W2 if RespNVQ_W2 >=-1 & Responses_W2 ==5
tab Responses_W2 if RespNVQ_W2==.
*Wave 3 Added in some codes for non-CMs without a response, CMs at wave 3
replace RespNVQ_W3 =-5 if RespNVQ_W3==. & PNUM!=100
replace RespNVQ_W3 =-6 if RespNVQ_W3==. & PNUM==100
*Tabbed the responses at W3 to get an idea of who responsed to this question. There were mains, and partner/proxies; but also those eligible for main (n=65)/partner/proxy (n=732) which didn't get interviewed (note: Same as wave 2). n=8,693 responders dubbed as mains at this wave had coded NVQ information; n=5,821 dubbed as partner/proxies at this wave had coded NVQ information (note: different to wave 2)
tab RespNVQ_W3 if RespNVQ_W3 >=-1 & Responses_W2 ==1
tab RespNVQ_W3 if RespNVQ_W3 >=-1 & Responses_W2 ==2
tab RespNVQ_W3 if RespNVQ_W3 >=-1 & Responses_W2 ==4
tab RespNVQ_W3 if RespNVQ_W3 >=-1 & Responses_W2 ==5
*Labelling
label define NVQ -6 "CMs" -5 "Missing non-CMs" -4 "CMs Not at wave 2" -1 "Not applicable" 1 "NVQ level 1" 2 "NVQ level 2" 3 "NVQ level 3" 4 "NVQ level 4" 5 "NVQ level 5" 95 "Overseas qual only" 96 "None of these"
label values RespNVQ_W2 RespNVQ_W3 NVQ
*Final checks
tab RespNVQ_W2
tab RespNVQ_W3
count if RespNVQ_W2 ==. & PNUM !=100
count if RespNVQ_W3 ==. & PNUM !=100
tab RespNVQ_W2 if PNUM ==100
tab RespNVQ_W3 if PNUM ==100
********************************************************************************

***SES - IMD 2004 living environment domain decile***
*Generating a variable where the first CM gets the IMD score only
tab BIMDLEDE if PNUM==100
tab WCMPresent if BIMDLEDE==. & PNUM==100
gen FamIMDLEDD_W2 = BIMDLEDE if PNUM ==100
tab FamIMDLEDD_W2
tab CIMDLEDE if PNUM==100
tab WCMPresent if CIMDLEDE==. & PNUM ==100
gen FamIMDLEDD_W3 = CIMDLEDE if PNUM ==100
tab FamIMDLEDD_W3
*Adding a -1 for missing (and at wave 2, expected n=36; wave 1 n=1) + -2 code for wave 3 only CMs n=829 (They had missing data at this time point like OECD even though this was a family level variable)
replace FamIMDLEDD_W2 =-2 if BIMDLEDE==. & PNUM==100 & WCMPresent==5
replace FamIMDLEDD_W2 =-1 if BIMDLEDE==. & PNUM==100 & WCMPresent!=5
replace FamIMDLEDD_W2 =-99 if PNUM !=100
count if FamIMDLEDD_W2==.
tab FamIMDLEDD_W2
*Wave 3
tab WCMPresent if CIMDLEDE==. & PNUM==100 & WCMPresent!=5
replace FamIMDLEDD_W3 =-1 if CIMDLEDE==. & PNUM==100 & WCMPresent!=5
replace FamIMDLEDD_W3 =-99 if PNUM !=100
count if FamIMDLEDD_W3==.
tab FamIMDLEDD_W3
*Labels
label variable FamIMDLEDD_W2 "Family IMD 2004 living environment domain decile W2"
label variable FamIMDLEDD_W3 "Family IMD 2004 living environment domain decile W3"
label define FamIMDLEDD -99 "Not CM" -2 "CM not at wave 2" -1 "Missing data" 1 "Most Deprived Decile" 2 "10 - < 20%" 3 "20 - < 30%" 4 "30 - < 40%" 5 "40 - < 50%" 6 "50 - < 60%" 7 "60 - < 70%" 8 "70 - < 80%" 9 "80 - < 90%" 10 "Least Deprived Decile"
label values FamIMDLEDD_W2 FamIMDLEDD_W3 FamIMDLEDD
*Final checks
tab FamIMDLEDD_W2
count if FamIMDLEDD_W2 ==.
tab FamIMDLEDD_W3
count if FamIMDLEDD_W3 ==.
tab FamIMDLEDD_W2 if BIMDLEDE==.
tab FamIMDLEDD_W3 if CIMDLEDE==. 

*****************************

********************************************************************************

************SES - Childcare*********
*[NOTE: THESE ANALYSES ARE FOR 1ST CM MEMBERS ONLY]
*Renamed these back for ease (this syntax is based on me figuring things out in the main dataset and before putting it in here, so didn't want to change all of the names to have CM1 on the end when I am going to not use it for the majority of analysis)
rename BPSAMC00CM1 BPSAMC00
*My previous ongoing label missed out the 2 label! So put it on here.
label define Ongoing 2 "Not ongoing", add
label values BPSAMC00 CCSAMC00
rename BPSAMO00CM1 BPSAMO00
rename BPCLST00CM1 BPCLST00
rename BPLSTC00CM1 BPLSTC00
rename BPTYPCA0CM1 BPTYPCA0
rename BPOTHCA0CM1 BPOTHCA0
rename BPSTLCA0CM1 BPSTLCA0
rename BPOTHCB0CM1 BPOTHCB0
rename BPTYPCB0CM1 BPTYPCB0
rename BPSTLCB0CM1 BPSTLCB0
rename BPOTHCC0CM1 BPOTHCC0
rename BPTYPCC0CM1 BPTYPCC0
rename BPSTLCC0CM1 BPSTLCC0
rename BPOTHCD0CM1 BPOTHCD0
rename BPTYPCD0CM1 BPTYPCD0
rename BPSTLCD0CM1 BPSTLCD0
rename BPOTHCE0CM1 BPOTHCE0
rename BPTYPCE0CM1 BPTYPCE0
rename BPSTLCE0CM1 BPSTLCE0
rename BPOTHCF0CM1 BPOTHCF0
rename BPTYPCF0CM1 BPTYPCF0
rename BPSTLCF0CM1 BPSTLCF0
rename BPOTHCG0CM1 BPOTHCG0
rename BPTYPCG0CM1 BPTYPCG0
rename BPSTLCG0CM1 BPSTLCG0
rename BPFFCC00CM1 BPFFCC00
*****SAMC: At the time we last interviewed you on [FF date] I believe that your main childcare arrangement was (FF Childcare type). Is that correct?
*****SAMO: At the time we last interviewed you on (DATE), I believe that you did have some type of childcare. Is that correct? 
*SAMC n=3,195 yes, n=108 no, n=5,432 N/A (n=8,735)
tab BPSAMC00 if BELIG00 ==1
*SAMO n=648 yes, n=394 no, n=17 not answered, n=7,676 not applicable (n=8,735)
tab BPSAMO00 if BELIG00 ==1
*No weird overlaps of note
tab BPSAMC00 BPSAMO00 if BELIG00 ==1
*Made variable to put these together.
gen W1SameChildcare =1 if BPSAMC00 !=.
replace W1SameChildcare =2 if BPSAMO00 == 1
replace W1SameChildcare =3 if BPSAMC00 == 2
replace W1SameChildcare =4 if BPSAMO00 == 2
replace W1SameChildcare =-1 if BPSAMC00 == -1 & BELIG00!=1
replace W1SameChildcare =-1 if BPSAMC00 == -2 & BELIG00!=1
replace W1SameChildcare =-1 if BPSAMO00 == -1 & BELIG00!=1
replace W1SameChildcare =-1 if BPSAMO00 == -2 & BELIG00!=1
replace W1SameChildcare =-1 if BPSAMC00 ==. & PNUM !=100
replace W1SameChildcare =-1 if BPSAMO00 ==. & PNUM !=100
replace W1SameChildcare =-2 if BPSAMO00 == -2
replace W1SameChildcare =-2 if BPSAMC00 == -2
*Put in for the CMs
replace W1SameChildcare =-3 if PNUM ==100
****Only mains answered questions for CC
*****People who were missing because they were not at/interviewed wave 2. This was made up of people who were proxy/partner at both (n=67) or second (n=25) waves, N/A/ not interviewed at w2 (n=87), not present/interviewed at wave 2, but a main or partner/proxy at wave 3 (n=824+649+58+31+7+701 =n=2270) -- total expected n=2362
tab Responses_W2 W1SameChildcare
tab Responses_All W1SameChildcare
*Assigned a -4 code for these non-CMs who were not present/inteviewed at wave 2
*Labelling the variables
label define CCSame -3 "CMs" -2 "Not applicable (not answered by main)" -1 "Not applicable (not main or non-CMs without codes)" 1 "Same - Type specified" 2 "Same - Type other" 3 "Not same - Type specified" 4 "Not same - Type other"
label values W1SameChildcare CCSame 
label variable W1SameChildcare "If childcare was the same from wave 1 (type/other together)"
tab W1SameChildcare
tab W1SameChildcare BPSAMC00
tab W1SameChildcare BPSAMO00
count if W1SameChildcare ==.

label define ACC -1 "Not applicable (not main/interviewed)" 0 "Not applicable (not answered by main)" 1 "Looking after the child yourself while you were working at home or at your workplace - ongoing" 2 "Looking after the child yourself while you were working at home or at your workplace - Ended" 3 "Resident husband/wife/partner - ongoing" 4 "Resident husband/wife/partner - ended" 5 "Grandparent in my home - ongoing" 6 "Grandparent in my home - ended" 7 "Other relative (including non-resident parent) in my home - ongoing" 8 "Other relative (including non-resident parent) in my home - ended" 9 "Care in grandparents home - ongoing" 10 "Care in grandparents home - ended" 11 "Care in other relatives home (including non-resident parent) - ended" 12 "Care in other relatives home (including non-resident parent) - ended" 13 "Non-relative (including nannies and au pairs) in my home - ongoing" 14 "Non-relative (including nannies and au pairs) in my home - ended" 15 "Non-relative elsewhere (e.g. friend, neighbour) - ongoing" 16 "Non-relative elsewhere (e.g. friend, neighbour) - ended" 17 "Childminder - ongoing" 18 "Childminder - ended" 19 "Workplace/college nursery/creche - ongoing" 20 "Workplace/college nursery/creche - ended" 21 "Private / independent day nursery/creche - ongoing" 22 "Private / independent day nursery/creche - ended" 23 "Local Authority nursery - ongoing" 24 "Local Authority nursery - ended" 25 "Nursery school - ongoing" 26 "Nursery school - ended" 27 "Nursery or Reception class in a primary or infants school - ongoing" 28 "Nursery or Reception class in a primary or infants school - ended" 29 "Special day school or nursery or unit for children with SEN - ongoing" 30 "Special day school or nursery or unit for children with SEN - ended" 31 "Playgroup - ongoing" 32 "Playgroup - ended" 33 "Combined centre/Family Centre - ongoing" 34 "Combined centre/Family Centre - ended" 35 "Other - ongoing" 36 "Other - ended"

*Generated a variable to have ongoing and ended as seperate for each main childcare type
gen MainCC =0 if BPTYPCA0 !=.
replace MainCC =1 if BPCLST00 ==1 & BPLSTC00 ==1 & BELIG00==1
replace MainCC =2 if BPCLST00 ==1 & BPLSTC00 ==-1 & BELIG00==1
replace MainCC =3 if BPCLST00 ==2 & BPLSTC00 ==1 & BELIG00==1
replace MainCC =4 if BPCLST00 ==2 & BPLSTC00 ==-1 & BELIG00==1
replace MainCC =5 if BPCLST00 ==3 & BPLSTC00 ==1 & BELIG00==1
replace MainCC =6 if BPCLST00 ==3 & BPLSTC00 ==-1 & BELIG00==1
replace MainCC =7 if BPCLST00 ==4 & BPLSTC00 ==1 & BELIG00==1
replace MainCC =8 if BPCLST00 ==4 & BPLSTC00 ==-1 & BELIG00==1
replace MainCC =9 if BPCLST00 ==5 & BPLSTC00 ==1 & BELIG00==1
replace MainCC =10 if BPCLST00 ==5 & BPLSTC00 ==-1 & BELIG00==1
replace MainCC =11 if BPCLST00 ==6 & BPLSTC00 ==1 & BELIG00==1
replace MainCC =12 if BPCLST00 ==6 & BPLSTC00 ==-1 & BELIG00==1
replace MainCC =13 if BPCLST00 ==7 & BPLSTC00 ==1 & BELIG00==1
replace MainCC =14 if BPCLST00 ==7 & BPLSTC00 ==-1 & BELIG00==1
replace MainCC =15 if BPCLST00 ==8 & BPLSTC00 ==1 & BELIG00==1
replace MainCC =16 if BPCLST00 ==8 & BPLSTC00 ==-1 & BELIG00==1
replace MainCC =17 if BPCLST00 ==9 & BPLSTC00 ==1 & BELIG00==1
replace MainCC =18 if BPCLST00 ==9 & BPLSTC00 ==-1 & BELIG00==1
replace MainCC =19 if BPCLST00 ==10 & BPLSTC00 ==1 & BELIG00==1
replace MainCC =20 if BPCLST00 ==10 & BPLSTC00 ==-1 & BELIG00==1
replace MainCC =21 if BPCLST00 ==11 & BPLSTC00 ==1 & BELIG00==1
replace MainCC =22 if BPCLST00 ==11 & BPLSTC00 ==-1 & BELIG00==1
replace MainCC =23 if BPCLST00 ==12 & BPLSTC00 ==1 & BELIG00==1
replace MainCC =24 if BPCLST00 ==12 & BPLSTC00 ==-1 & BELIG00==1
replace MainCC =25 if BPCLST00 ==13 & BPLSTC00 ==1 & BELIG00==1
replace MainCC =26 if BPCLST00 ==13 & BPLSTC00 ==-1 & BELIG00==1
replace MainCC =27 if BPCLST00 ==14 & BPLSTC00 ==1 & BELIG00==1
replace MainCC =28 if BPCLST00 ==14 & BPLSTC00 ==-1 & BELIG00==1
replace MainCC =29 if BPCLST00 ==15 & BPLSTC00 ==1 & BELIG00==1
replace MainCC =30 if BPCLST00 ==15 & BPLSTC00 ==-1 & BELIG00==1
replace MainCC =31 if BPCLST00 ==16 & BPLSTC00 ==1 & BELIG00==1
replace MainCC =32 if BPCLST00 ==16 & BPLSTC00 ==-1 & BELIG00==1
replace MainCC =33 if BPCLST00 ==17 & BPLSTC00 ==1 & BELIG00==1
replace MainCC =34 if BPCLST00 ==17 & BPLSTC00 ==-1 & BELIG00==1
replace MainCC =35 if BPCLST00 ==18 & BPLSTC00 ==1 & BELIG00==1
replace MainCC =36 if BPCLST00 ==18 & BPLSTC00 ==-1 & BELIG00==1
replace MainCC = -1 if BELIG00!=1
*Labelling the variable
label variable MainCC "If main arrangement since W1 completed and if its still ongoing"
label values MainCC ACC
*Checking the variable
*Most did not respond to this or was N/A -- n=2,575 responses from mains
tab MainCC
tab MainCC if BELIG00==1
tab MainCC if MainCC>=1 & BELIG00==1
*n=65 missing values -- these were people who were not interviewed but eligible at wave 2, and ended up being main/partner/proxy at wave 3. Decided to assign them -1 as they are not main in this data. Edited -1 value label to reflect this.
count if MainCC ==.
replace MainCC= -1 if MainCC==.
count if MainCC ==.
tab MainCC

*"If main arrangement since W1 completed and if its still ongoing" (n=1,856)
tab MainCC if MainCC>=1 & BELIG00==1 & (MainCC== 1 | MainCC== 3 | MainCC== 5 | MainCC== 7 | MainCC== 9 | MainCC== 11 | MainCC== 13 | MainCC== 15 | MainCC== 17 | MainCC== 19 | MainCC== 21 | MainCC== 23 | MainCC== 25 | MainCC== 27 | MainCC== 29 | MainCC== 31 | MainCC== 33 | MainCC== 35)
*"If main arrangement since W1 completed and if its ended" (n=719)
tab MainCC if MainCC>=1 & BELIG00==1 & (MainCC== 2 | MainCC== 4 | MainCC== 6 | MainCC== 8 | MainCC== 10 | MainCC== 12 | MainCC== 14 | MainCC== 16 | MainCC== 18 | MainCC== 20 | MainCC== 22 | MainCC== 24 | MainCC== 26 | MainCC== 28 | MainCC== 30 | MainCC== 32 | MainCC== 34 | MainCC== 36) 

label define ACCA -1 "Not applicable (not main)" 0 "Not applicable (not answered by main)" 1 "Formal childcare - ongoing in W2" 2 "Informal - local and other - ongoing in W2" 3 "Informal - non-local non-audited - ongoing in W2" 4 "Formal childcare - ended" 5 "Informal childcare - local and other - ended" 6 "Informal childcare - non-local non-audited - ended"

*Generating a variable to assign the different types into categories and if still ongoing R1
*Informal - local and other: 1,2,3,4,5,6,7,8,18
*Informal - non-local, non-audited: 9,10,11,16,17 
*Formal - audited arrangement: 12,13,14,15 
*(Has the n=2,575 responses) and nothing missing
gen MCCOng = 0 if MainCC!=.
replace MCCOng = -1 if MainCC==-1
replace MCCOng = 1 if MainCC== 23 | MainCC== 25 | MainCC== 27 | MainCC== 29
replace MCCOng = 2 if MainCC== 1 | MainCC== 3 | MainCC== 5 | MainCC== 7 | MainCC== 9 | MainCC== 11 | MainCC== 13 | MainCC== 15 | MainCC== 35
replace MCCOng = 3 if MainCC== 17 | MainCC== 19 | MainCC== 21 | MainCC== 31 | MainCC== 33
replace MCCOng = 4 if MainCC== 24 | MainCC== 26 | MainCC== 28 | MainCC== 30
replace MCCOng = 5 if MainCC== 2 | MainCC== 4 | MainCC== 6 | MainCC== 8 | MainCC== 10 | MainCC== 12 | MainCC== 14 | MainCC== 16 | MainCC== 36
replace MCCOng = 6 if MainCC== 18 | MainCC== 20 | MainCC== 22 | MainCC== 32 | MainCC== 34
label values MCCOng ACCA
label variable MCCOng "If main formal or informal arrangement is still ongoing"
tab MCCOng
tab MCCOng if MCCOng>=1
count if MCCOng ==.


*************R1**************

*Checked out R1 If they had instance, type, and if still ongoing respectively
*Note for the still ongoing variable: This only has -1 (N/A) and 1 codes -- this is because if the CC did stop, the responder gave the year/month it did -- which I haven't grabbed the variables here (would make the constructions of the variables too complicated to also take into account that). 
*Numbers looked a bit weird, obviously not everyone would have a code
tab BPOTHCA0
tab BPTYPCA0
tab BPSTLCA0
tab BPTYPCA0 if BELIG00==1
tab BPOTHCA0 if BELIG00==1
tab BPSTLCA0 if BELIG00==1
*All of the missing (n=12,081) in 1st instance CC (if there was arrangement) was people who were not mains or eligible but not interviewed at wave 2. So, put them all in -1 coding -- counting even eligible mains in this (who werent interviewed)
count if BPOTHCA0 ==.
tab Responses_All if BPOTHCA0 ==.
replace BPOTHCA0 =-1 if BPOTHCA0 ==. 
tab BPOTHCA0
*Same for 1st instance CC (type of arrangement)
count if BPTYPCA0 ==.
tab Responses_All if BPTYPCA0 ==.
replace BPTYPCA0 =-1 if BPTYPCA0 ==.
tab BPTYPCA0
*Same for 1st instance CC (still ongoing or not)
count if BPSTLCA0 ==.
tab Responses_All if BPSTLCA0 ==.
replace BPSTLCA0=-1 if BPSTLCA0 ==.
tab BPSTLCA0

*looked at numbers with and without N/A (n=8,800 coded mains at wave 2: n=858 yes+type (n=607 ongoing), n=964 no, n=6,978 N/A responses for this variable)
tab BPOTHCA0 if BELIG00==1 
tab BPOTHCA0 if BELIG00==1 & BPOTHCA0 !=-1
tab BPTYPCA0 if BELIG00==1 
tab BPTYPCA0 if BELIG00==1 & BPTYPCA0 !=-1
tab BPSTLCA0 if BELIG00==1 
tab BPSTLCA0 if BELIG00==1 & BPSTLCA0 !=-1

*Generated a variable to have ongoing and ended as seperate for each childcare type (R1)
gen AnotherCCA =0 if BPTYPCA0 !=.
replace AnotherCCA =1 if BPTYPCA0 ==1 & BPSTLCA0 ==1 & BELIG00==1
replace AnotherCCA =2 if BPTYPCA0 ==1 & BPSTLCA0 ==-1 & BELIG00==1
replace AnotherCCA =3 if BPTYPCA0 ==2 & BPSTLCA0 ==1 & BELIG00==1
replace AnotherCCA =4 if BPTYPCA0 ==2 & BPSTLCA0 ==-1 & BELIG00==1
replace AnotherCCA =5 if BPTYPCA0 ==3 & BPSTLCA0 ==1 & BELIG00==1
replace AnotherCCA =6 if BPTYPCA0 ==3 & BPSTLCA0 ==-1 & BELIG00==1
replace AnotherCCA =7 if BPTYPCA0 ==4 & BPSTLCA0 ==1 & BELIG00==1
replace AnotherCCA =8 if BPTYPCA0 ==4 & BPSTLCA0 ==-1 & BELIG00==1
replace AnotherCCA =9 if BPTYPCA0 ==5 & BPSTLCA0 ==1 & BELIG00==1
replace AnotherCCA =10 if BPTYPCA0 ==5 & BPSTLCA0 ==-1 & BELIG00==1
replace AnotherCCA =11 if BPTYPCA0 ==6 & BPSTLCA0 ==1 & BELIG00==1
replace AnotherCCA =12 if BPTYPCA0 ==6 & BPSTLCA0 ==-1 & BELIG00==1
replace AnotherCCA =13 if BPTYPCA0 ==7 & BPSTLCA0 ==1 & BELIG00==1
replace AnotherCCA =14 if BPTYPCA0 ==7 & BPSTLCA0 ==-1 & BELIG00==1
replace AnotherCCA =15 if BPTYPCA0 ==8 & BPSTLCA0 ==1 & BELIG00==1
replace AnotherCCA =16 if BPTYPCA0 ==8 & BPSTLCA0 ==-1 & BELIG00==1
replace AnotherCCA =17 if BPTYPCA0 ==9 & BPSTLCA0 ==1 & BELIG00==1
replace AnotherCCA =18 if BPTYPCA0 ==9 & BPSTLCA0 ==-1 & BELIG00==1
replace AnotherCCA =19 if BPTYPCA0 ==10 & BPSTLCA0 ==1 & BELIG00==1
replace AnotherCCA =20 if BPTYPCA0 ==10 & BPSTLCA0 ==-1 & BELIG00==1
replace AnotherCCA =21 if BPTYPCA0 ==11 & BPSTLCA0 ==1 & BELIG00==1
replace AnotherCCA =22 if BPTYPCA0 ==11 & BPSTLCA0 ==-1 & BELIG00==1
replace AnotherCCA =23 if BPTYPCA0 ==12 & BPSTLCA0 ==1 & BELIG00==1
replace AnotherCCA =24 if BPTYPCA0 ==12 & BPSTLCA0 ==-1 & BELIG00==1
replace AnotherCCA =25 if BPTYPCA0 ==13 & BPSTLCA0 ==1 & BELIG00==1
replace AnotherCCA =26 if BPTYPCA0 ==13 & BPSTLCA0 ==-1 & BELIG00==1
replace AnotherCCA =27 if BPTYPCA0 ==14 & BPSTLCA0 ==1 & BELIG00==1
replace AnotherCCA =28 if BPTYPCA0 ==14 & BPSTLCA0 ==-1 & BELIG00==1
replace AnotherCCA =29 if BPTYPCA0 ==15 & BPSTLCA0 ==1 & BELIG00==1
replace AnotherCCA =30 if BPTYPCA0 ==15 & BPSTLCA0 ==-1 & BELIG00==1
replace AnotherCCA =31 if BPTYPCA0 ==16 & BPSTLCA0 ==1 & BELIG00==1
replace AnotherCCA =32 if BPTYPCA0 ==16 & BPSTLCA0 ==-1 & BELIG00==1
replace AnotherCCA =33 if BPTYPCA0 ==17 & BPSTLCA0 ==1 & BELIG00==1
replace AnotherCCA =34 if BPTYPCA0 ==17 & BPSTLCA0 ==-1 & BELIG00==1
replace AnotherCCA =35 if BPTYPCA0 ==18 & BPSTLCA0 ==1 & BELIG00==1
replace AnotherCCA =36 if BPTYPCA0 ==18 & BPSTLCA0 ==-1 & BELIG00==1
replace AnotherCCA = -1 if BELIG00!=1
*Labelling the variable
label values AnotherCCA ACC
label variable AnotherCCA "If additional CC arrangement and if its still ongoing R1"
*Checking the variable
tab AnotherCCA
tab AnotherCCA if AnotherCCA>=1 & BELIG00==1
count if AnotherCCA ==.
*"If additional arrangement since W1 completed and if its still ongoing R1"
tab AnotherCCA if AnotherCCA>=1 & BELIG00==1 & (AnotherCCA== 1 | AnotherCCA== 3 | AnotherCCA== 5 | AnotherCCA== 7 | AnotherCCA== 9 | AnotherCCA== 11 | AnotherCCA== 13 | AnotherCCA== 15 | AnotherCCA== 17 | AnotherCCA== 19 | AnotherCCA== 21 | AnotherCCA== 23 | AnotherCCA== 25 | AnotherCCA== 27 | AnotherCCA== 29 | AnotherCCA== 31 | AnotherCCA== 33 | AnotherCCA== 35)
*"If additional arrangement since W1 completed and if its ended R1"
tab AnotherCCA if AnotherCCA>=1 & BELIG00==1 & (AnotherCCA== 2 | AnotherCCA== 4 | AnotherCCA== 6 | AnotherCCA== 8 | AnotherCCA== 10 | AnotherCCA== 12 | AnotherCCA== 14 | AnotherCCA== 16 | AnotherCCA== 18 | AnotherCCA== 20 | AnotherCCA== 22 | AnotherCCA== 24 | AnotherCCA== 26 | AnotherCCA== 28 | AnotherCCA== 30 | AnotherCCA== 32 | AnotherCCA== 34 | AnotherCCA== 36)


*Generating a variable to assign the different types into categories and if still ongoing R1
*Informal - local and other: 1,2,3,4,5,6,7,8,18
*Informal - non-local, non-audited: 9,10,11,16,17 
*Formal - audited arrangement: 12,13,14,15 
gen R1CCOng = 0 if AnotherCCA!=.
replace R1CCOng = -1 if AnotherCCA==-1
replace R1CCOng = 1 if AnotherCCA== 23 | AnotherCCA== 25 | AnotherCCA== 27 | AnotherCCA== 29
replace R1CCOng = 2 if AnotherCCA== 1 | AnotherCCA== 3 | AnotherCCA== 5 | AnotherCCA== 7 | AnotherCCA== 9 | AnotherCCA== 11 | AnotherCCA== 13 | AnotherCCA== 15 | AnotherCCA== 35
replace R1CCOng = 3 if AnotherCCA== 17 | AnotherCCA== 19 | AnotherCCA== 21 | AnotherCCA== 31 | AnotherCCA== 33
replace R1CCOng = 4 if AnotherCCA== 24 | AnotherCCA== 26 | AnotherCCA== 28 | AnotherCCA== 30
replace R1CCOng = 5 if AnotherCCA== 2 | AnotherCCA== 4 | AnotherCCA== 6 | AnotherCCA== 8 | AnotherCCA== 10 | AnotherCCA== 12 | AnotherCCA== 14 | AnotherCCA== 16 | AnotherCCA== 36
replace R1CCOng = 6 if AnotherCCA== 18 | AnotherCCA== 20 | AnotherCCA== 22 | AnotherCCA== 32 | AnotherCCA== 34
label values R1CCOng ACCA
label variable R1CCOng "Formal/informal arrangement + if still ongoing R1"
tab R1CCOng if R1CCOng>=1



*************R2**************

*Checked out R2 If they had instance, type, and if still ongoing respectively
*Note for the still ongoing variable: This only has -1 (N/A) and 1 codes -- this is because if the CC did stop, the responder gave the year/month it did -- which I haven't grabbed the variables here (would make the constructions of the variables too complicated to also take into account that). 
*Numbers looked a bit weird, obviously not everyone would have a code
tab BPOTHCB0
tab BPTYPCB0
tab BPSTLCB0
tab BPTYPCB0 if BELIG00==1
tab BPOTHCB0 if BELIG00==1
tab BPSTLCB0 if BELIG00==1
*All of the missing (n=12,081) in 2nd instance CC (if there was arrangement) was people who were not mains or eligible but not interviewed at wave 2. So, put them all in -1 coding
count if BPOTHCB0 ==.
tab Responses_All if BPOTHCB0 ==.
replace BPOTHCB0 =-1 if BPOTHCB0 ==.
tab BPOTHCB0
*Same for 2nd instance CC (type of arrangement)
count if BPTYPCB0 ==.
tab Responses_All if BPTYPCB0 ==.
replace BPTYPCB0 =-1 if BPTYPCB0 ==.
tab BPTYPCB0
*Same for 2nd instance CC (still ongoing or not)
count if BPSTLCB0 ==.
tab Responses_All if BPSTLCB0 ==.
replace BPSTLCB0=-1 if BPSTLCB0 ==.
tab BPSTLCB0

*looked at numbers with and without N/A (n=8,800 coded mains at wave 2: n=1,753 yes+type (n=1,562 ongoing), n=3,226 no, n=1 not answered, n=3,820 N/A responses for this variable)
tab BPOTHCB0 if BELIG00==1 
tab BPOTHCB0 if BELIG00==1 & BPOTHCB0 !=-1
tab BPTYPCB0 if BELIG00==1 
tab BPTYPCB0 if BELIG00==1 & BPTYPCB0 !=-1
tab BPSTLCB0 if BELIG00==1 
tab BPSTLCB0 if BELIG00==1 & BPSTLCB0 !=-1


*Generated a variable to have ongoing and ended as seperate for each childcare type (R2)
gen AnotherCCB =0 if BPTYPCB0 !=.
replace AnotherCCB =1 if BPTYPCB0 ==1 & BPSTLCB0 ==1 & BELIG00==1
replace AnotherCCB =2 if BPTYPCB0 ==1 & BPSTLCB0 ==-1 & BELIG00==1
replace AnotherCCB =3 if BPTYPCB0 ==2 & BPSTLCB0 ==1 & BELIG00==1
replace AnotherCCB =4 if BPTYPCB0 ==2 & BPSTLCB0 ==-1 & BELIG00==1
replace AnotherCCB =5 if BPTYPCB0 ==3 & BPSTLCB0 ==1 & BELIG00==1
replace AnotherCCB =6 if BPTYPCB0 ==3 & BPSTLCB0 ==-1 & BELIG00==1
replace AnotherCCB =7 if BPTYPCB0 ==4 & BPSTLCB0 ==1 & BELIG00==1
replace AnotherCCB =8 if BPTYPCB0 ==4 & BPSTLCB0 ==-1 & BELIG00==1
replace AnotherCCB =9 if BPTYPCB0 ==5 & BPSTLCB0 ==1 & BELIG00==1
replace AnotherCCB =10 if BPTYPCB0 ==5 & BPSTLCB0 ==-1 & BELIG00==1
replace AnotherCCB =11 if BPTYPCB0 ==6 & BPSTLCB0 ==1 & BELIG00==1
replace AnotherCCB =12 if BPTYPCB0 ==6 & BPSTLCB0 ==-1 & BELIG00==1
replace AnotherCCB =13 if BPTYPCB0 ==7 & BPSTLCB0 ==1 & BELIG00==1
replace AnotherCCB =14 if BPTYPCB0 ==7 & BPSTLCB0 ==-1 & BELIG00==1
replace AnotherCCB =15 if BPTYPCB0 ==8 & BPSTLCB0 ==1 & BELIG00==1
replace AnotherCCB =16 if BPTYPCB0 ==8 & BPSTLCB0 ==-1 & BELIG00==1
replace AnotherCCB =17 if BPTYPCB0 ==9 & BPSTLCB0 ==1 & BELIG00==1
replace AnotherCCB =18 if BPTYPCB0 ==9 & BPSTLCB0 ==-1 & BELIG00==1
replace AnotherCCB =19 if BPTYPCB0 ==10 & BPSTLCB0 ==1 & BELIG00==1
replace AnotherCCB =20 if BPTYPCB0 ==10 & BPSTLCB0 ==-1 & BELIG00==1
replace AnotherCCB =21 if BPTYPCB0 ==11 & BPSTLCB0 ==1 & BELIG00==1
replace AnotherCCB =22 if BPTYPCB0 ==11 & BPSTLCB0 ==-1 & BELIG00==1
replace AnotherCCB =23 if BPTYPCB0 ==12 & BPSTLCB0 ==1 & BELIG00==1
replace AnotherCCB =24 if BPTYPCB0 ==12 & BPSTLCB0 ==-1 & BELIG00==1
replace AnotherCCB =25 if BPTYPCB0 ==13 & BPSTLCB0 ==1 & BELIG00==1
replace AnotherCCB =26 if BPTYPCB0 ==13 & BPSTLCB0 ==-1 & BELIG00==1
replace AnotherCCB =27 if BPTYPCB0 ==14 & BPSTLCB0 ==1 & BELIG00==1
replace AnotherCCB =28 if BPTYPCB0 ==14 & BPSTLCB0 ==-1 & BELIG00==1
replace AnotherCCB =29 if BPTYPCB0 ==15 & BPSTLCB0 ==1 & BELIG00==1
replace AnotherCCB =30 if BPTYPCB0 ==15 & BPSTLCB0 ==-1 & BELIG00==1
replace AnotherCCB =31 if BPTYPCB0 ==16 & BPSTLCB0 ==1 & BELIG00==1
replace AnotherCCB =32 if BPTYPCB0 ==16 & BPSTLCB0 ==-1 & BELIG00==1
replace AnotherCCB =33 if BPTYPCB0 ==17 & BPSTLCB0 ==1 & BELIG00==1
replace AnotherCCB =34 if BPTYPCB0 ==17 & BPSTLCB0 ==-1 & BELIG00==1
replace AnotherCCB =35 if BPTYPCB0 ==18 & BPSTLCB0 ==1 & BELIG00==1
replace AnotherCCB =36 if BPTYPCB0 ==18 & BPSTLCB0 ==-1 & BELIG00==1
replace AnotherCCB = -1 if BELIG00!=1

*Labelling the variable
label values AnotherCCB ACC
label variable AnotherCCB "If additional CC arrangement and if its still ongoing R2"
*Checking the variable
tab AnotherCCB
tab AnotherCCB if AnotherCCB>=1 & BELIG00==1
count if AnotherCCB ==.
*"If additional arrangement since W1 completed and if its still ongoing R2"
tab AnotherCCB if AnotherCCB>=1 & BELIG00==1 & (AnotherCCB== 1 | AnotherCCB== 3 | AnotherCCB== 5 | AnotherCCB== 7 | AnotherCCB== 9 | AnotherCCB== 11 | AnotherCCB== 13 | AnotherCCB== 15 | AnotherCCB== 17 | AnotherCCB== 19 | AnotherCCB== 21 | AnotherCCB== 23 | AnotherCCB== 25 | AnotherCCB== 27 | AnotherCCB== 29 | AnotherCCB== 31 | AnotherCCB== 33 | AnotherCCB== 35)
*"If additional arrangement since W1 completed and if its ended R2"
tab AnotherCCB if AnotherCCB>=1 & BELIG00==1 & (AnotherCCB== 2 | AnotherCCB== 4 | AnotherCCB== 6 | AnotherCCB== 8 | AnotherCCB== 10 | AnotherCCB== 12 | AnotherCCB== 14 | AnotherCCB== 16 | AnotherCCB== 18 | AnotherCCB== 20 | AnotherCCB== 22 | AnotherCCB== 24 | AnotherCCB== 26 | AnotherCCB== 28 | AnotherCCB== 30 | AnotherCCB== 32 | AnotherCCB== 34 | AnotherCCB== 36)
		  

*Generating a variable to assign the different types into categories and if still ongoing R2
*Informal - local and other: 1,2,3,4,5,6,7,8,18
*Informal - non-local, non-audited: 9,10,11,16,17 
*Formal - audited arrangement: 12,13,14,15 
gen R2CCOng = 0 if AnotherCCB!=.
replace R2CCOng = -1 if AnotherCCB==-1
replace R2CCOng = 1 if AnotherCCB== 23 | AnotherCCB== 25 | AnotherCCB== 27 | AnotherCCB== 29
replace R2CCOng = 2 if AnotherCCB== 1 | AnotherCCB== 3 | AnotherCCB== 5 | AnotherCCB== 7 | AnotherCCB== 9 | AnotherCCB== 11 | AnotherCCB== 13 | AnotherCCB== 15 | AnotherCCB== 35
replace R2CCOng = 3 if AnotherCCB== 17 | AnotherCCB== 19 | AnotherCCB== 21 | AnotherCCB== 31 | AnotherCCB== 33
replace R2CCOng = 4 if AnotherCCB== 24 | AnotherCCB== 26 | AnotherCCB== 28 | AnotherCCB== 30
replace R2CCOng = 5 if AnotherCCB== 2 | AnotherCCB== 4 | AnotherCCB== 6 | AnotherCCB== 8 | AnotherCCB== 10 | AnotherCCB== 12 | AnotherCCB== 14 | AnotherCCB== 16 | AnotherCCB== 36
replace R2CCOng = 6 if AnotherCCB== 18 | AnotherCCB== 20 | AnotherCCB== 22 | AnotherCCB== 32 | AnotherCCB== 34
label values R2CCOng ACCA
label variable R2CCOng "Formal/informal arrangement + if still ongoing R2"
tab R2CCOng
tab R2CCOng if R2CCOng>=1
count if R2CCOng==.


*************R3**************

*Checked out R3 If they had instance, type, and if still ongoing respectively
*Note for the still ongoing variable: This only has -1 (N/A) and 1 codes -- this is because if the CC did stop, the responder gave the year/month it did -- which I haven't grabbed the variables here (would make the constructions of the variables too complicated to also take into account that). 
*Numbers looked a bit weird, obviously not everyone would have a code
tab BPOTHCC0
tab BPTYPCC0
tab BPSTLCC0
tab BPTYPCC0 if BELIG00==1
tab BPOTHCC0 if BELIG00==1
tab BPSTLCC0 if BELIG00==1
*All of the missing (n=12,081) in 3rd instance CC (if there was arrangement) was people who were not mains or eligible but not interviewed at wave 2. So, put them all in -1 coding
count if BPOTHCC0 ==.
tab Responses_All if BPOTHCC0 ==.
replace BPOTHCC0 =-1 if BPOTHCC0 ==.
tab BPOTHCC0
*Same for 3rd instance CC (type of arrangement)
count if BPTYPCC0 ==.
tab Responses_All if BPTYPCC0 ==.
replace BPTYPCC0 =-1 if BPTYPCC0 ==.
tab BPTYPCC0
*Same for 3rd instance CC (still ongoing or not)
count if BPSTLCC0 ==.
tab Responses_All if BPSTLCC0 ==.
replace BPSTLCC0=-1 if BPSTLCC0 ==.
tab BPSTLCC0

*looked at numbers with and without N/A (n=8,800 coded mains at wave 2: n=392 yes+type (n=346 ongoing), n=1,361 no, n=7,047 N/A responses for this variable)
tab BPOTHCC0 if BELIG00==1 
tab BPOTHCC0 if BELIG00==1 & BPOTHCC0 !=-1
tab BPTYPCC0 if BELIG00==1 
tab BPTYPCC0 if BELIG00==1 & BPTYPCC0 !=-1
tab BPSTLCC0 if BELIG00==1 
tab BPSTLCC0 if BELIG00==1 & BPSTLCC0 !=-1

*Generated a variable to have ongoing and ended as seperate for each childcare type (R3)
gen AnotherCCC =0 if BPTYPCC0 !=.
replace AnotherCCC =1 if BPTYPCC0 ==1 & BPSTLCC0 ==1 & BELIG00==1
replace AnotherCCC =2 if BPTYPCC0 ==1 & BPSTLCC0 ==-1 & BELIG00==1
replace AnotherCCC =3 if BPTYPCC0 ==2 & BPSTLCC0 ==1 & BELIG00==1
replace AnotherCCC =4 if BPTYPCC0 ==2 & BPSTLCC0 ==-1 & BELIG00==1
replace AnotherCCC =5 if BPTYPCC0 ==3 & BPSTLCC0 ==1 & BELIG00==1
replace AnotherCCC =6 if BPTYPCC0 ==3 & BPSTLCC0 ==-1 & BELIG00==1
replace AnotherCCC =7 if BPTYPCC0 ==4 & BPSTLCC0 ==1 & BELIG00==1
replace AnotherCCC =8 if BPTYPCC0 ==4 & BPSTLCC0 ==-1 & BELIG00==1
replace AnotherCCC =9 if BPTYPCC0 ==5 & BPSTLCC0 ==1 & BELIG00==1
replace AnotherCCC =10 if BPTYPCC0 ==5 & BPSTLCC0 ==-1 & BELIG00==1
replace AnotherCCC =11 if BPTYPCC0 ==6 & BPSTLCC0 ==1 & BELIG00==1
replace AnotherCCC =12 if BPTYPCC0 ==6 & BPSTLCC0 ==-1 & BELIG00==1
replace AnotherCCC =13 if BPTYPCC0 ==7 & BPSTLCC0 ==1 & BELIG00==1
replace AnotherCCC =14 if BPTYPCC0 ==7 & BPSTLCC0 ==-1 & BELIG00==1
replace AnotherCCC =15 if BPTYPCC0 ==8 & BPSTLCC0 ==1 & BELIG00==1
replace AnotherCCC =16 if BPTYPCC0 ==8 & BPSTLCC0 ==-1 & BELIG00==1
replace AnotherCCC =17 if BPTYPCC0 ==9 & BPSTLCC0 ==1 & BELIG00==1
replace AnotherCCC =18 if BPTYPCC0 ==9 & BPSTLCC0 ==-1 & BELIG00==1
replace AnotherCCC =19 if BPTYPCC0 ==10 & BPSTLCC0 ==1 & BELIG00==1
replace AnotherCCC =20 if BPTYPCC0 ==10 & BPSTLCC0 ==-1 & BELIG00==1
replace AnotherCCC =21 if BPTYPCC0 ==11 & BPSTLCC0 ==1 & BELIG00==1
replace AnotherCCC =22 if BPTYPCC0 ==11 & BPSTLCC0 ==-1 & BELIG00==1
replace AnotherCCC =23 if BPTYPCC0 ==12 & BPSTLCC0 ==1 & BELIG00==1
replace AnotherCCC =24 if BPTYPCC0 ==12 & BPSTLCC0 ==-1 & BELIG00==1
replace AnotherCCC =25 if BPTYPCC0 ==13 & BPSTLCC0 ==1 & BELIG00==1
replace AnotherCCC =26 if BPTYPCC0 ==13 & BPSTLCC0 ==-1 & BELIG00==1
replace AnotherCCC =27 if BPTYPCC0 ==14 & BPSTLCC0 ==1 & BELIG00==1
replace AnotherCCC =28 if BPTYPCC0 ==14 & BPSTLCC0 ==-1 & BELIG00==1
replace AnotherCCC =29 if BPTYPCC0 ==15 & BPSTLCC0 ==1 & BELIG00==1
replace AnotherCCC =30 if BPTYPCC0 ==15 & BPSTLCC0 ==-1 & BELIG00==1
replace AnotherCCC =31 if BPTYPCC0 ==16 & BPSTLCC0 ==1 & BELIG00==1
replace AnotherCCC =32 if BPTYPCC0 ==16 & BPSTLCC0 ==-1 & BELIG00==1
replace AnotherCCC =33 if BPTYPCC0 ==17 & BPSTLCC0 ==1 & BELIG00==1
replace AnotherCCC =34 if BPTYPCC0 ==17 & BPSTLCC0 ==-1 & BELIG00==1
replace AnotherCCC =35 if BPTYPCC0 ==18 & BPSTLCC0 ==1 & BELIG00==1
replace AnotherCCC =36 if BPTYPCC0 ==18 & BPSTLCC0 ==-1 & BELIG00==1
replace AnotherCCC = -1 if BELIG00!=1
*Labelling the variable
label values AnotherCCC ACC
label variable AnotherCCC "If additional CC arrangement and if its still ongoing R3"
*Checking the variable
tab AnotherCCC
tab AnotherCCC if AnotherCCC>=1 & BELIG00==1
count if AnotherCCC ==.
*"If additional arrangement since W1 completed and if its still ongoing R3"
tab AnotherCCC if AnotherCCC>=1 & BELIG00==1 & (AnotherCCC== 1 | AnotherCCC== 3 | AnotherCCC== 5 | AnotherCCC== 7 | AnotherCCC== 9 | AnotherCCC== 11 | AnotherCCC== 13 | AnotherCCC== 15 | AnotherCCC== 17 | AnotherCCC== 19 | AnotherCCC== 21 | AnotherCCC== 23 | AnotherCCC== 25 | AnotherCCC== 27 | AnotherCCC== 29 | AnotherCCC== 31 | AnotherCCC== 33 | AnotherCCC== 35)
*"If additional arrangement since W1 completed and if its ended R3"
tab AnotherCCC if AnotherCCC>=1 & BELIG00==1 & (AnotherCCC== 2 | AnotherCCC== 4 | AnotherCCC== 6 | AnotherCCC== 8 | AnotherCCC== 10 | AnotherCCC== 12 | AnotherCCC== 14 | AnotherCCC== 16 | AnotherCCC== 18 | AnotherCCC== 20 | AnotherCCC== 22 | AnotherCCC== 24 | AnotherCCC== 26 | AnotherCCC== 28 | AnotherCCC== 30 | AnotherCCC== 32 | AnotherCCC== 34 | AnotherCCC== 36)
		  

*Generating a variable to assign the different types into categories and if still ongoing R3
*Informal - local and other: 1,2,3,4,5,6,7,8,18
*Informal - non-local, non-audited: 9,10,11,16,17 
*Formal - audited arrangement: 12,13,14,15 
gen R3CCOng = 0 if AnotherCCC!=.
replace R3CCOng = -1 if AnotherCCC==-1
replace R3CCOng = 1 if AnotherCCC== 23 | AnotherCCC== 25 | AnotherCCC== 27 | AnotherCCC== 29
replace R3CCOng = 2 if AnotherCCC== 1 | AnotherCCC== 3 | AnotherCCC== 5 | AnotherCCC== 7 | AnotherCCC== 9 | AnotherCCC== 11 | AnotherCCC== 13 | AnotherCCC== 15 | AnotherCCC== 35
replace R3CCOng = 3 if AnotherCCC== 17 | AnotherCCC== 19 | AnotherCCC== 21 | AnotherCCC== 31 | AnotherCCC== 33
replace R3CCOng = 4 if AnotherCCC== 24 | AnotherCCC== 26 | AnotherCCC== 28 | AnotherCCC== 30
replace R3CCOng = 5 if AnotherCCC== 2 | AnotherCCC== 4 | AnotherCCC== 6 | AnotherCCC== 8 | AnotherCCC== 10 | AnotherCCC== 12 | AnotherCCC== 14 | AnotherCCC== 16 | AnotherCCC== 36
replace R3CCOng = 6 if AnotherCCC== 18 | AnotherCCC== 20 | AnotherCCC== 22 | AnotherCCC== 32 | AnotherCCC== 34
label values R3CCOng ACCA
label variable R3CCOng "Formal/informal arrangement + if still ongoing R3"
tab R3CCOng
tab R3CCOng if R3CCOng>=1
count if R3CCOng==.


*************R4**************

*Checked out R4 If they had instance, type, and if still ongoing respectively
*Note for the still ongoing variable: This only has -1 (N/A) and 1 codes -- this is because if the CC did stop, the responder gave the year/month it did -- which I haven't grabbed the variables here (would make the constructions of the variables too complicated to also take into account that). 
*Numbers looked a bit weird, obviously not everyone would have a code
tab BPOTHCD0
tab BPTYPCD0
tab BPSTLCD0
tab BPTYPCD0 if BELIG00==1
tab BPOTHCD0 if BELIG00==1
tab BPSTLCD0 if BELIG00==1
*All of the missing (n=12,081) in 4th instance CC (if there was arrangement) was people who were not mains or eligible but not interviewed at wave 2. So, put them all in -1 coding
count if BPOTHCD0 ==.
tab Responses_All if BPOTHCD0 ==.
replace BPOTHCD0 =-1 if BPOTHCD0 ==.
tab BPOTHCD0
*Same for 4th instance CC (type of arrangement)
count if BPTYPCD0 ==.
tab Responses_All if BPTYPCD0 ==.
replace BPTYPCD0 =-1 if BPTYPCD0 ==.
tab BPTYPCD0
*Same for 4th instance CC (still ongoing or not)
count if BPSTLCD0 ==.
tab Responses_All if BPSTLCD0 ==.
replace BPSTLCD0=-1 if BPSTLCD0 ==.
tab BPSTLCD0

*looked at numbers with and without N/A (n=8,800 coded mains at wave 2: n=59 yes+type (n=53 ongoing), n=1,333 no, n=8,408 N/A responses for this variable)
tab BPOTHCD0 if BELIG00==1 
tab BPOTHCD0 if BELIG00==1 & BPOTHCD0 !=-1
tab BPTYPCD0 if BELIG00==1 
tab BPTYPCD0 if BELIG00==1 & BPTYPCD0 !=-1
tab BPSTLCD0 if BELIG00==1 
tab BPSTLCD0 if BELIG00==1 & BPSTLCD0 !=-1

*Generated a variable to have ongoing and ended as seperate for each childcare type (R4)
gen AnotherCCD =0 if BPTYPCD0 !=.
replace AnotherCCD =1 if BPTYPCD0 ==1 & BPSTLCD0 ==1 & BELIG00==1
replace AnotherCCD =2 if BPTYPCD0 ==1 & BPSTLCD0 ==-1 & BELIG00==1
replace AnotherCCD =3 if BPTYPCD0 ==2 & BPSTLCD0 ==1 & BELIG00==1
replace AnotherCCD =4 if BPTYPCD0 ==2 & BPSTLCD0 ==-1 & BELIG00==1
replace AnotherCCD =5 if BPTYPCD0 ==3 & BPSTLCD0 ==1 & BELIG00==1
replace AnotherCCD =6 if BPTYPCD0 ==3 & BPSTLCD0 ==-1 & BELIG00==1
replace AnotherCCD =7 if BPTYPCD0 ==4 & BPSTLCD0 ==1 & BELIG00==1
replace AnotherCCD =8 if BPTYPCD0 ==4 & BPSTLCD0 ==-1 & BELIG00==1
replace AnotherCCD =9 if BPTYPCD0 ==5 & BPSTLCD0 ==1 & BELIG00==1
replace AnotherCCD =10 if BPTYPCD0 ==5 & BPSTLCD0 ==-1 & BELIG00==1
replace AnotherCCD =11 if BPTYPCD0 ==6 & BPSTLCD0 ==1 & BELIG00==1
replace AnotherCCD =12 if BPTYPCD0 ==6 & BPSTLCD0 ==-1 & BELIG00==1
replace AnotherCCD =13 if BPTYPCD0 ==7 & BPSTLCD0 ==1 & BELIG00==1
replace AnotherCCD =14 if BPTYPCD0 ==7 & BPSTLCD0 ==-1 & BELIG00==1
replace AnotherCCD =15 if BPTYPCD0 ==8 & BPSTLCD0 ==1 & BELIG00==1
replace AnotherCCD =16 if BPTYPCD0 ==8 & BPSTLCD0 ==-1 & BELIG00==1
replace AnotherCCD =17 if BPTYPCD0 ==9 & BPSTLCD0 ==1 & BELIG00==1
replace AnotherCCD =18 if BPTYPCD0 ==9 & BPSTLCD0 ==-1 & BELIG00==1
replace AnotherCCD =19 if BPTYPCD0 ==10 & BPSTLCD0 ==1 & BELIG00==1
replace AnotherCCD =20 if BPTYPCD0 ==10 & BPSTLCD0 ==-1 & BELIG00==1
replace AnotherCCD =21 if BPTYPCD0 ==11 & BPSTLCD0 ==1 & BELIG00==1
replace AnotherCCD =22 if BPTYPCD0 ==11 & BPSTLCD0 ==-1 & BELIG00==1
replace AnotherCCD =23 if BPTYPCD0 ==12 & BPSTLCD0 ==1 & BELIG00==1
replace AnotherCCD =24 if BPTYPCD0 ==12 & BPSTLCD0 ==-1 & BELIG00==1
replace AnotherCCD =25 if BPTYPCD0 ==13 & BPSTLCD0 ==1 & BELIG00==1
replace AnotherCCD =26 if BPTYPCD0 ==13 & BPSTLCD0 ==-1 & BELIG00==1
replace AnotherCCD =27 if BPTYPCD0 ==14 & BPSTLCD0 ==1 & BELIG00==1
replace AnotherCCD =28 if BPTYPCD0 ==14 & BPSTLCD0 ==-1 & BELIG00==1
replace AnotherCCD =29 if BPTYPCD0 ==15 & BPSTLCD0 ==1 & BELIG00==1
replace AnotherCCD =30 if BPTYPCD0 ==15 & BPSTLCD0 ==-1 & BELIG00==1
replace AnotherCCD =31 if BPTYPCD0 ==16 & BPSTLCD0 ==1 & BELIG00==1
replace AnotherCCD =32 if BPTYPCD0 ==16 & BPSTLCD0 ==-1 & BELIG00==1
replace AnotherCCD =33 if BPTYPCD0 ==17 & BPSTLCD0 ==1 & BELIG00==1
replace AnotherCCD =34 if BPTYPCD0 ==17 & BPSTLCD0 ==-1 & BELIG00==1
replace AnotherCCD =35 if BPTYPCD0 ==18 & BPSTLCD0 ==1 & BELIG00==1
replace AnotherCCD =36 if BPTYPCD0 ==18 & BPSTLCD0 ==-1 & BELIG00==1
replace AnotherCCD = -1 if BELIG00!=1

*Labelling the variable
label values AnotherCCD ACC
label variable AnotherCCD "If additional CC arrangement and if its still ongoing R4"

*Checking the variable
tab AnotherCCD
tab AnotherCCD if AnotherCCD>=1 & BELIG00==1
count if AnotherCCD ==.
*"If additional arrangement since W1 completed and if its still ongoing R4"
tab AnotherCCD if AnotherCCD>=1 & BELIG00==1 & (AnotherCCD== 1 | AnotherCCD== 3 | AnotherCCD== 5 | AnotherCCD== 7 | AnotherCCD== 9 | AnotherCCD== 11 | AnotherCCD== 13 | AnotherCCD== 15 | AnotherCCD== 17 | AnotherCCD== 19 | AnotherCCD== 21 | AnotherCCD== 23 | AnotherCCD== 25 | AnotherCCD== 27 | AnotherCCD== 29 | AnotherCCD== 31 | AnotherCCD== 33 | AnotherCCD== 35)
*"If additional arrangement since W1 completed and if its ended R4"
tab AnotherCCD if AnotherCCD>=1 & BELIG00==1 & (AnotherCCD== 2 | AnotherCCD== 4 | AnotherCCD== 6 | AnotherCCD== 8 | AnotherCCD== 10 | AnotherCCD== 12 | AnotherCCD== 14 | AnotherCCD== 16 | AnotherCCD== 18 | AnotherCCD== 20 | AnotherCCD== 22 | AnotherCCD== 24 | AnotherCCD== 26 | AnotherCCD== 28 | AnotherCCD== 30 | AnotherCCD== 32 | AnotherCCD== 34 | AnotherCCD== 36)
		  

*Generating a variable to assign the different types into categories and if still ongoing R4
*Informal - local and other: 1,2,3,4,5,6,7,8,18
*Informal - non-local, non-audited: 9,10,11,16,17 
*Formal - audited arrangement: 12,13,14,15 
gen R4CCOng = 0 if AnotherCCD!=.
replace R4CCOng = -1 if AnotherCCD==-1
replace R4CCOng = 1 if AnotherCCD== 23 | AnotherCCD== 25 | AnotherCCD== 27 | AnotherCCD== 29
replace R4CCOng = 2 if AnotherCCD== 1 | AnotherCCD== 3 | AnotherCCD== 5 | AnotherCCD== 7 | AnotherCCD== 9 | AnotherCCD== 11 | AnotherCCD== 13 | AnotherCCD== 15 | AnotherCCD== 35
replace R4CCOng = 3 if AnotherCCD== 17 | AnotherCCD== 19 | AnotherCCD== 21 | AnotherCCD== 31 | AnotherCCD== 33
replace R4CCOng = 4 if AnotherCCD== 24 | AnotherCCD== 26 | AnotherCCD== 28 | AnotherCCD== 30
replace R4CCOng = 5 if AnotherCCD== 2 | AnotherCCD== 4 | AnotherCCD== 6 | AnotherCCD== 8 | AnotherCCD== 10 | AnotherCCD== 12 | AnotherCCD== 14 | AnotherCCD== 16 | AnotherCCD== 36
replace R4CCOng = 6 if AnotherCCD== 18 | AnotherCCD== 20 | AnotherCCD== 22 | AnotherCCD== 32 | AnotherCCD== 34
label values R4CCOng ACCA
label variable R4CCOng "Formal/informal arrangement + if still ongoing R4"
tab R4CCOng
tab R4CCOng if R4CCOng>=1
count if R4CCOng==.



*************R5**************
*Checked out R5 If they had instance, type, and if still ongoing respectively
*Note for the still ongoing variable: This only has -1 (N/A) and 1 codes -- this is because if the CC did stop, the responder gave the year/month it did -- which I haven't grabbed the variables here (would make the constructions of the variables too complicated to also take into account that). 
*Numbers looked a bit weird, obviously not everyone would have a code
tab BPOTHCE0
tab BPTYPCE0
tab BPSTLCE0
tab BPTYPCE0 if BELIG00==1
tab BPOTHCE0 if BELIG00==1
tab BPSTLCE0 if BELIG00==1
*All of the missing (n=12,081) in 5th instance CC (if there was arrangement) was people who were not mains or eligible but not interviewed at wave 2. So, put them all in -1 coding
count if BPOTHCE0 ==.
tab Responses_All if BPOTHCE0 ==.
replace BPOTHCE0 =-1 if BPOTHCE0 ==.
tab BPOTHCE0
*Same for 5th instance CC (type of arrangement)
count if BPTYPCE0 ==.
tab Responses_All if BPTYPCE0 ==.
replace BPTYPCE0 =-1 if BPTYPCE0 ==.
tab BPTYPCE0
*Same for 5th instance CC (still ongoing or not)
count if BPSTLCE0 ==.
tab Responses_All if BPSTLCE0 ==.
replace BPSTLCE0=-1 if BPSTLCE0 ==.
tab BPSTLCE0

*looked at numbers with and without N/A (n=8,800 coded mains at wave 2: n=10 yes+type (n=8 ongoing), n=49 no, n=8,741 N/A responses for this variable)
tab BPOTHCE0 if BELIG00==1 
tab BPOTHCE0 if BELIG00==1 & BPOTHCE0 !=-1
tab BPTYPCE0 if BELIG00==1 
tab BPTYPCE0 if BELIG00==1 & BPTYPCE0 !=-1
tab BPSTLCE0 if BELIG00==1 
tab BPSTLCE0 if BELIG00==1 & BPSTLCE0 !=-1

*Generated a variable to have ongoing and ended as seperate for each childcare type (R5)
gen AnotherCCE =0 if BPTYPCE0 !=.
replace AnotherCCE =1 if BPTYPCE0 ==1 & BPSTLCE0 ==1 & BELIG00==1
replace AnotherCCE =2 if BPTYPCE0 ==1 & BPSTLCE0 ==-1 & BELIG00==1
replace AnotherCCE =3 if BPTYPCE0 ==2 & BPSTLCE0 ==1 & BELIG00==1
replace AnotherCCE =4 if BPTYPCE0 ==2 & BPSTLCE0 ==-1 & BELIG00==1
replace AnotherCCE =5 if BPTYPCE0 ==3 & BPSTLCE0 ==1 & BELIG00==1
replace AnotherCCE =6 if BPTYPCE0 ==3 & BPSTLCE0 ==-1 & BELIG00==1
replace AnotherCCE =7 if BPTYPCE0 ==4 & BPSTLCE0 ==1 & BELIG00==1
replace AnotherCCE =8 if BPTYPCE0 ==4 & BPSTLCE0 ==-1 & BELIG00==1
replace AnotherCCE =9 if BPTYPCE0 ==5 & BPSTLCE0 ==1 & BELIG00==1
replace AnotherCCE =10 if BPTYPCE0 ==5 & BPSTLCE0 ==-1 & BELIG00==1
replace AnotherCCE =11 if BPTYPCE0 ==6 & BPSTLCE0 ==1 & BELIG00==1
replace AnotherCCE =12 if BPTYPCE0 ==6 & BPSTLCE0 ==-1 & BELIG00==1
replace AnotherCCE =13 if BPTYPCE0 ==7 & BPSTLCE0 ==1 & BELIG00==1
replace AnotherCCE =14 if BPTYPCE0 ==7 & BPSTLCE0 ==-1 & BELIG00==1
replace AnotherCCE =15 if BPTYPCE0 ==8 & BPSTLCE0 ==1 & BELIG00==1
replace AnotherCCE =16 if BPTYPCE0 ==8 & BPSTLCE0 ==-1 & BELIG00==1
replace AnotherCCE =17 if BPTYPCE0 ==9 & BPSTLCE0 ==1 & BELIG00==1
replace AnotherCCE =18 if BPTYPCE0 ==9 & BPSTLCE0 ==-1 & BELIG00==1
replace AnotherCCE =19 if BPTYPCE0 ==10 & BPSTLCE0 ==1 & BELIG00==1
replace AnotherCCE =20 if BPTYPCE0 ==10 & BPSTLCE0 ==-1 & BELIG00==1
replace AnotherCCE =21 if BPTYPCE0 ==11 & BPSTLCE0 ==1 & BELIG00==1
replace AnotherCCE =22 if BPTYPCE0 ==11 & BPSTLCE0 ==-1 & BELIG00==1
replace AnotherCCE =23 if BPTYPCE0 ==12 & BPSTLCE0 ==1 & BELIG00==1
replace AnotherCCE =24 if BPTYPCE0 ==12 & BPSTLCE0 ==-1 & BELIG00==1
replace AnotherCCE =25 if BPTYPCE0 ==13 & BPSTLCE0 ==1 & BELIG00==1
replace AnotherCCE =26 if BPTYPCE0 ==13 & BPSTLCE0 ==-1 & BELIG00==1
replace AnotherCCE =27 if BPTYPCE0 ==14 & BPSTLCE0 ==1 & BELIG00==1
replace AnotherCCE =28 if BPTYPCE0 ==14 & BPSTLCE0 ==-1 & BELIG00==1
replace AnotherCCE =29 if BPTYPCE0 ==15 & BPSTLCE0 ==1 & BELIG00==1
replace AnotherCCE =30 if BPTYPCE0 ==15 & BPSTLCE0 ==-1 & BELIG00==1
replace AnotherCCE =31 if BPTYPCE0 ==16 & BPSTLCE0 ==1 & BELIG00==1
replace AnotherCCE =32 if BPTYPCE0 ==16 & BPSTLCE0 ==-1 & BELIG00==1
replace AnotherCCE =33 if BPTYPCE0 ==17 & BPSTLCE0 ==1 & BELIG00==1
replace AnotherCCE =34 if BPTYPCE0 ==17 & BPSTLCE0 ==-1 & BELIG00==1
replace AnotherCCE =35 if BPTYPCE0 ==18 & BPSTLCE0 ==1 & BELIG00==1
replace AnotherCCE =36 if BPTYPCE0 ==18 & BPSTLCE0 ==-1 & BELIG00==1
replace AnotherCCE = -1 if BELIG00!=1

*Labelling the variable
label values AnotherCCE ACC
label variable AnotherCCE "If additional CC arrangement and if its still ongoing R5"

*Checking the variable
tab AnotherCCE
tab AnotherCCE if AnotherCCE>=1 & BELIG00==1
count if AnotherCCE ==.
tab Responses_All if AnotherCCE==.
*"If additional arrangement since W1 completed and if its still ongoing R5"
tab AnotherCCE if AnotherCCE>=1 & BELIG00==1 & (AnotherCCE== 1 | AnotherCCE== 3 | AnotherCCE== 5 | AnotherCCE== 7 | AnotherCCE== 9 | AnotherCCE== 11 | AnotherCCE== 13 | AnotherCCE== 15 | AnotherCCE== 17 | AnotherCCE== 19 | AnotherCCE== 21 | AnotherCCE== 23 | AnotherCCE== 25 | AnotherCCE== 27 | AnotherCCE== 29 | AnotherCCE== 31 | AnotherCCE== 33 | AnotherCCE== 35)
*"If additional arrangement since W1 completed and if its ended R5"
tab AnotherCCE if AnotherCCE>=1 & BELIG00==1 & (AnotherCCE== 2 | AnotherCCE== 4 | AnotherCCE== 6 | AnotherCCE== 8 | AnotherCCE== 10 | AnotherCCE== 12 | AnotherCCE== 14 | AnotherCCE== 16 | AnotherCCE== 18 | AnotherCCE== 20 | AnotherCCE== 22 | AnotherCCE== 24 | AnotherCCE== 26 | AnotherCCE== 28 | AnotherCCE== 30 | AnotherCCE== 32 | AnotherCCE== 34 | AnotherCCE== 36)
		  

*Generating a variable to assign the different types into categories and if still ongoing R5
*Informal - local and other: 1,2,3,4,5,6,7,8,18
*Informal - non-local, non-audited: 9,10,11,16,17 
*Formal - audited arrangement: 12,13,14,15 
gen R5CCOng = 0 if AnotherCCE!=.
replace R5CCOng = -1 if AnotherCCE==-1
replace R5CCOng = 1 if AnotherCCE== 23 | AnotherCCE== 25 | AnotherCCE== 27 | AnotherCCE== 29
replace R5CCOng = 2 if AnotherCCE== 1 | AnotherCCE== 3 | AnotherCCE== 5 | AnotherCCE== 7 | AnotherCCE== 9 | AnotherCCE== 11 | AnotherCCE== 13 | AnotherCCE== 15 | AnotherCCE== 35
replace R5CCOng = 3 if AnotherCCE== 17 | AnotherCCE== 19 | AnotherCCE== 21 | AnotherCCE== 31 | AnotherCCE== 33
replace R5CCOng = 4 if AnotherCCE== 24 | AnotherCCE== 26 | AnotherCCE== 28 | AnotherCCE== 30
replace R5CCOng = 5 if AnotherCCE== 2 | AnotherCCE== 4 | AnotherCCE== 6 | AnotherCCE== 8 | AnotherCCE== 10 | AnotherCCE== 12 | AnotherCCE== 14 | AnotherCCE== 16 | AnotherCCE== 36
replace R5CCOng = 6 if AnotherCCE== 18 | AnotherCCE== 20 | AnotherCCE== 22 | AnotherCCE== 32 | AnotherCCE== 34
label values R5CCOng ACCA
label variable R5CCOng "Formal/informal arrangement + if still ongoing R5"
tab R5CCOng
tab R5CCOng if R5CCOng>=1
count if R5CCOng==.


*************R6**************
*Checked out R6 If they had instance, type, and if still ongoing respectively
*Note for the still ongoing variable: This only has -1 (N/A) and 1 codes -- this is because if the CC did stop, the responder gave the year/month it did -- which I haven't grabbed the variables here (would make the constructions of the variables too complicated to also take into account that). 
*Numbers looked a bit weird, obviously not everyone would have a code
tab BPOTHCF0
tab BPTYPCF0
tab BPSTLCF0
tab BPTYPCF0 if BELIG00==1
tab BPOTHCF0 if BELIG00==1
tab BPSTLCF0 if BELIG00==1
*All of the missing (n=12,081) in 6th instance CC (if there was arrangement) was people who were not mains or eligible but not interviewed at wave 2. So, put them all in -1 coding
count if BPOTHCF0 ==.
tab Responses_All if BPOTHCF0 ==.
replace BPOTHCF0 =-1 if BPOTHCF0 ==.
tab BPOTHCF0
*Same for 6th instance CC (type of arrangement)
count if BPTYPCF0 ==.
tab Responses_All if BPTYPCF0 ==.
replace BPTYPCF0 =-1 if BPTYPCF0 ==.
tab BPTYPCF0
*Same for 6th instance CC (still ongoing or not)
count if BPSTLCF0 ==.
tab Responses_All if BPSTLCF0 ==.
replace BPSTLCF0=-1 if BPSTLCF0 ==.
tab BPSTLCF0

*looked at numbers with and without N/A (n=8,800 coded mains at wave 2: n=2 yes+type (n=8 ongoing), n=8 no, n=8,790 N/A responses for this variable)
tab BPOTHCF0 if BELIG00==1 
tab BPOTHCF0 if BELIG00==1 & BPOTHCF0 !=-1
tab BPTYPCF0 if BELIG00==1 
tab BPTYPCF0 if BELIG00==1 & BPTYPCF0 !=-1
tab BPSTLCF0 if BELIG00==1 
tab BPSTLCF0 if BELIG00==1 & BPSTLCF0 !=-1

*Generated a variable to have ongoing and ended as seperate for each childcare type (R6)
gen AnotherCCF =0 if BPTYPCB0 !=.
replace AnotherCCF =1 if BPTYPCF0 ==1 & BPSTLCF0 ==1 & BELIG00==1
replace AnotherCCF =2 if BPTYPCF0 ==1 & BPSTLCF0 ==-1 & BELIG00==1
replace AnotherCCF =3 if BPTYPCF0 ==2 & BPSTLCF0 ==1 & BELIG00==1
replace AnotherCCF =4 if BPTYPCF0 ==2 & BPSTLCF0 ==-1 & BELIG00==1
replace AnotherCCF =5 if BPTYPCF0 ==3 & BPSTLCF0 ==1 & BELIG00==1
replace AnotherCCF =6 if BPTYPCF0 ==3 & BPSTLCF0 ==-1 & BELIG00==1
replace AnotherCCF =7 if BPTYPCF0 ==4 & BPSTLCF0 ==1 & BELIG00==1
replace AnotherCCF =8 if BPTYPCF0 ==4 & BPSTLCF0 ==-1 & BELIG00==1
replace AnotherCCF =9 if BPTYPCF0 ==5 & BPSTLCF0 ==1 & BELIG00==1
replace AnotherCCF =10 if BPTYPCF0 ==5 & BPSTLCF0 ==-1 & BELIG00==1
replace AnotherCCF =11 if BPTYPCF0 ==6 & BPSTLCF0 ==1 & BELIG00==1
replace AnotherCCF =12 if BPTYPCF0 ==6 & BPSTLCF0 ==-1 & BELIG00==1
replace AnotherCCF =13 if BPTYPCF0 ==7 & BPSTLCF0 ==1 & BELIG00==1
replace AnotherCCF =14 if BPTYPCF0 ==7 & BPSTLCF0 ==-1 & BELIG00==1
replace AnotherCCF =15 if BPTYPCF0 ==8 & BPSTLCF0 ==1 & BELIG00==1
replace AnotherCCF =16 if BPTYPCF0 ==8 & BPSTLCF0 ==-1 & BELIG00==1
replace AnotherCCF =17 if BPTYPCF0 ==9 & BPSTLCF0 ==1 & BELIG00==1
replace AnotherCCF =18 if BPTYPCF0 ==9 & BPSTLCF0 ==-1 & BELIG00==1
replace AnotherCCF =19 if BPTYPCF0 ==10 & BPSTLCF0 ==1 & BELIG00==1
replace AnotherCCF =20 if BPTYPCF0 ==10 & BPSTLCF0 ==-1 & BELIG00==1
replace AnotherCCF =21 if BPTYPCF0 ==11 & BPSTLCF0 ==1 & BELIG00==1
replace AnotherCCF =22 if BPTYPCF0 ==11 & BPSTLCF0 ==-1 & BELIG00==1
replace AnotherCCF =23 if BPTYPCF0 ==12 & BPSTLCF0 ==1 & BELIG00==1
replace AnotherCCF =24 if BPTYPCF0 ==12 & BPSTLCF0 ==-1 & BELIG00==1
replace AnotherCCF =25 if BPTYPCF0 ==13 & BPSTLCF0 ==1 & BELIG00==1
replace AnotherCCF =26 if BPTYPCF0 ==13 & BPSTLCF0 ==-1 & BELIG00==1
replace AnotherCCF =27 if BPTYPCF0 ==14 & BPSTLCF0 ==1 & BELIG00==1
replace AnotherCCF =28 if BPTYPCF0 ==14 & BPSTLCF0 ==-1 & BELIG00==1
replace AnotherCCF =29 if BPTYPCF0 ==15 & BPSTLCF0 ==1 & BELIG00==1
replace AnotherCCF =30 if BPTYPCF0 ==15 & BPSTLCF0 ==-1 & BELIG00==1
replace AnotherCCF =31 if BPTYPCF0 ==16 & BPSTLCF0 ==1 & BELIG00==1
replace AnotherCCF =32 if BPTYPCF0 ==16 & BPSTLCF0 ==-1 & BELIG00==1
replace AnotherCCF =33 if BPTYPCF0 ==17 & BPSTLCF0 ==1 & BELIG00==1
replace AnotherCCF =34 if BPTYPCF0 ==17 & BPSTLCF0 ==-1 & BELIG00==1
replace AnotherCCF =35 if BPTYPCF0 ==18 & BPSTLCF0 ==1 & BELIG00==1
replace AnotherCCF =36 if BPTYPCF0 ==18 & BPSTLCF0 ==-1 & BELIG00==1
replace AnotherCCF = -1 if BELIG00!=1

*Labelling the variable
label values AnotherCCF ACC
label variable AnotherCCF "If additional CC arrangement and if its still ongoing R6"

*Checking the variable
tab AnotherCCF
tab AnotherCCF if AnotherCCF>=1 & BELIG00==1
count if AnotherCCF ==.
*"If additional arrangement since W1 completed and if its still ongoing R6"
tab AnotherCCF if AnotherCCF>=1 & BELIG00==1 & (AnotherCCF== 1 | AnotherCCF== 3 | AnotherCCF== 5 | AnotherCCF== 7 | AnotherCCF== 9 | AnotherCCF== 11 | AnotherCCF== 13 | AnotherCCF== 15 | AnotherCCF== 17 | AnotherCCF== 19 | AnotherCCF== 21 | AnotherCCF== 23 | AnotherCCF== 25 | AnotherCCF== 27 | AnotherCCF== 29 | AnotherCCF== 31 | AnotherCCF== 33 | AnotherCCF== 35)
*"If additional arrangement since W1 completed and if its ended R6"
tab AnotherCCF if AnotherCCF>=1 & BELIG00==1 & (AnotherCCF== 2 | AnotherCCF== 4 | AnotherCCF== 6 | AnotherCCF== 8 | AnotherCCF== 10 | AnotherCCF== 12 | AnotherCCF== 14 | AnotherCCF== 16 | AnotherCCF== 18 | AnotherCCF== 20 | AnotherCCF== 22 | AnotherCCF== 24 | AnotherCCF== 26 | AnotherCCF== 28 | AnotherCCF== 30 | AnotherCCF== 32 | AnotherCCF== 34 | AnotherCCF== 36)
		  

*Generating a variable to assign the different types into categories and if still ongoing R6
*Informal - local and other: 1,2,3,4,5,6,7,8,18
*Informal - non-local, non-audited: 9,10,11,16,17 
*Formal - audited arrangement: 12,13,14,15 
gen R6CCOng = 0 if AnotherCCF!=.
replace R6CCOng = -1 if AnotherCCF==-1
replace R6CCOng = 1 if AnotherCCF== 23 | AnotherCCF== 25 | AnotherCCF== 27 | AnotherCCF== 29
replace R6CCOng = 2 if AnotherCCF== 1 | AnotherCCF== 3 | AnotherCCF== 5 | AnotherCCF== 7 | AnotherCCF== 9 | AnotherCCF== 11 | AnotherCCF== 13 | AnotherCCF== 15 | AnotherCCF== 35
replace R6CCOng = 3 if AnotherCCF== 17 | AnotherCCF== 19 | AnotherCCF== 21 | AnotherCCF== 31 | AnotherCCF== 33
replace R6CCOng = 4 if AnotherCCF== 24 | AnotherCCF== 26 | AnotherCCF== 28 | AnotherCCF== 30
replace R6CCOng = 5 if AnotherCCF== 2 | AnotherCCF== 4 | AnotherCCF== 6 | AnotherCCF== 8 | AnotherCCF== 10 | AnotherCCF== 12 | AnotherCCF== 14 | AnotherCCF== 16 | AnotherCCF== 36
replace R6CCOng = 6 if AnotherCCF== 18 | AnotherCCF== 20 | AnotherCCF== 22 | AnotherCCF== 32 | AnotherCCF== 34
label values R6CCOng ACCA
label variable R6CCOng "Formal/informal arrangement + if still ongoing R6"
tab R6CCOng
tab R6CCOng if R6CCOng>=1
count if R6CCOng==.

*************R7**************

*Checked out R7 ns (n=0 states childcare here) -- so didn't include variable
tab BPOTHCG0
tab BPTYPCG0
tab BPSTLCG0
tab BPTYPCG0 if BELIG00==1
tab BPOTHCG0 if BELIG00==1
tab BPSTLCG0 if BELIG00==1
*All of the missing (n=12,081) in 7th instance CC (if there was arrangement) was people who were not mains or eligible but not interviewed at wave 2. So, put them all in -1 coding
count if BPOTHCG0 ==.
tab Responses_All if BPOTHCG0 ==.
replace BPOTHCG0 =-1 if BPOTHCG0 ==.
tab BPOTHCG0
*Same for 7th instance CC (type of arrangement)
count if BPTYPCG0 ==.
tab Responses_All if BPTYPCG0 ==.
replace BPTYPCG0 =-1 if BPTYPCG0 ==.
tab BPTYPCG0
*Same for 7th instance CC (still ongoing or not)
count if BPSTLCG0 ==.
tab Responses_All if BPSTLCG0 ==.
replace BPSTLCG0=-1 if BPSTLCG0 ==.
tab BPSTLCG0

*looked at numbers with and without N/A (n=8,800 coded mains at wave 2: n=8,800 N/A responses for this variable)
*No code given to n=2 who weren't mains -- I think coded in error
tab BPOTHCG0 if BELIG00==1 
tab BPOTHCG0 if BELIG00==1 & BPOTHCG0 !=-1
tab BPTYPCG0 if BELIG00==1 
tab BPTYPCG0 if BELIG00==1 & BPTYPCG0 !=-1
tab BPSTLCG0 if BELIG00==1 
tab BPSTLCG0 if BELIG00==1 & BPSTLCG0 !=-1
tab Responses_All BPOTHCG0 


*************Making an overall variable for childcare*******************
*Making a variable to list each of the three types of childcare (at least some formal, no formal but at least some informal (non-local), informal (local) only), and if they were ongoing or not at wave 2. I ordered the variable in this way because i think there could be a difference if a child has some informal, non-local childcare (with or without informal local childcare), than children who just had informal local childcare only (e.g. children may be more socialised, some learning may take place).
****n=8,800 had coding about childcare in these variables, so expecting n=8,800 overall main codes. Less than half (n=4,090) This is likely the new families at wave 2 and updates/corrections from some families in wave 1

gen CCTypeOngoing =0 if MCCOng !=.
replace CCTypeOngoing =-1 if BELIG00 !=1
replace CCTypeOngoing =1 if (MCCOng ==1 | R1CCOng ==1 | R2CCOng ==1 | R3CCOng ==1 | R4CCOng ==1 | R5CCOng ==1 | R6CCOng ==1)
replace CCTypeOngoing =2 if (MCCOng ==3 | R1CCOng ==3 | R2CCOng ==3 | R3CCOng ==3 | R4CCOng ==3 | R5CCOng ==3 | R6CCOng ==3) & CCTypeOngoing !=1
replace CCTypeOngoing =3 if (MCCOng ==2 | R1CCOng ==2 | R2CCOng ==2 | R3CCOng ==2 | R4CCOng ==2 | R5CCOng ==2 | R6CCOng ==2) & CCTypeOngoing !=1 & CCTypeOngoing !=2
replace CCTypeOngoing =4 if (MCCOng ==4 | R1CCOng ==4 | R2CCOng ==4 | R3CCOng ==4 | R4CCOng ==4 | R5CCOng ==4 | R6CCOng ==4) & CCTypeOngoing !=1 & CCTypeOngoing !=2 & CCTypeOngoing !=3
replace CCTypeOngoing =5 if (MCCOng ==6 | R1CCOng ==6 | R2CCOng ==6 | R3CCOng ==6 | R4CCOng ==6 | R5CCOng ==6 | R6CCOng ==6) & CCTypeOngoing !=1 & CCTypeOngoing !=2 & CCTypeOngoing !=3 & CCTypeOngoing !=4
replace CCTypeOngoing =6 if (MCCOng ==5 | R1CCOng ==5 | R2CCOng ==5 | R3CCOng ==5 | R4CCOng ==5 | R5CCOng ==5 | R6CCOng ==5) & CCTypeOngoing !=1 & CCTypeOngoing !=2 & CCTypeOngoing !=3 & CCTypeOngoing !=4 & CCTypeOngoing !=5 
*As these two categories of Responses_All fit under BELIG00, but were not an actual main (although eligible), I have moved them to -1 (Not main responder) - doesn't matter massively, but wanted to differentiate between actual main and not main non response
replace CCTypeOngoing =-1 if Responses_All ==13
replace CCTypeOngoing =-1 if Responses_All ==15
*Label variables
label define W2CC -1 "Not main responder" 0 "eligible main, no reponse given" 1 "Some formal childcare at wave 2 that is ongoing" 2 "Some informal (non-local, non audited) childcare at wave 2 that is ongoing" 3 "Informal (local) childcare only thats ongoing" 4 "Some formal childcare at wave 2 that has ended" 5 "Some informal (non-local, non audited) childcare at wave 2 that has ended" 6 "Informal (local) childcare only thats ended"
label values CCTypeOngoing W2CC
label variable CCTypeOngoing "Type of childcare reported at wave 2 and if this has ended or is ongoing"

*Check variables
tab CCTypeOngoing
tab CCTypeOngoing if BELIG00 ==1
tab CCTypeOngoing if CCTypeOngoing>=1 & BELIG00 ==1


*As this seemed to represent less than half the sample, I also checked the feed forward variable. This seemed to have every main assigned coded (n=8,735 in this sample). But, because there had been corrections and new families etc, I needed to merge this info and the stuff I had created together.
*9,632 CMs - 8,735 = 897. n=829 not at wave 2; n=65 eligible for main interview, but not interviewed; n=3 left (there is 8,803 CMs at wave 2) -- not sure what has happened to these...

tab BPFFCC00
tab BPFFCC00 Responses_W2
tab BPFFCC00 if Responses_W2 ==1
count if Responses_W2 ==1 & BPFFCC00 ==.
tab BPFFCC00 CCTypeOngoing if BPFFCC00>=1
tab W1SameChildcare BPFFCC00 if BPFFCC00>=1

*Sorted the n=12,081 into -99 coding if missing and not a main, and -2 for genuinely missing main data
count if BPFFCC00 ==.
tab Responses_All if BPFFCC00 ==.
replace BPFFCC00 =-99 if BPFFCC00 ==. 

*So first, I generated a variable to assign the different types into categories and if still ongoing from W1
*Decided to add in the no care (-1, 21) and unspecified to informal -- as I did with other in the other variables, and because the implication of no care is someone in the houshold is looking after child.
*Informal - local and other: -1, 1,2,4,6,10,11,20,21,95
*Informal - non-local, non-audited: 14,15,16,18
*Formal - audited arrangement: 17
*changed the FF data for anyone not a main to have a -99 code (n=6173 had -1 codes but were partners)
replace BPFFCC00 =-99 if Responses_W2 !=1

*Expectation that n=7,721 will be informal (local), n=991 informal (non-local, non-audited), n=23 formal; All adds up to n=8,735
tab BPFFCC00 

*Expectations right, breakdown of variable is Formal n=23 == Ongoing = 21, Changed =2; Informal (local) n=7,721 == Ongoing =7,721, Changed = 483, No response given = 17; Informal (non-local, non-audited) n=991 == Ongoing = 974, Changed =17
gen FFCCSameChang =0 if BPFFCC00 !=.
replace FFCCSameChang =-1 if BPFFCC00 ==-99
replace FFCCSameChang = 1 if BPFFCC00 ==17 & W1SameChildcare ==1
replace FFCCSameChang = 1 if BPFFCC00 ==17 & W1SameChildcare ==2
replace FFCCSameChang = 2 if BPFFCC00 ==17 & W1SameChildcare ==3
replace FFCCSameChang = 2 if BPFFCC00 ==17 & W1SameChildcare ==4
replace FFCCSameChang = 3 if (BPFFCC00 ==-1 | BPFFCC00 ==1 | BPFFCC00 ==2 | BPFFCC00 ==4 | BPFFCC00 ==6 | BPFFCC00 ==10 | BPFFCC00 ==11 | BPFFCC00 ==20 | BPFFCC00 ==21 | BPFFCC00 ==95) & W1SameChildcare ==1
replace FFCCSameChang = 3 if (BPFFCC00 ==-1 | BPFFCC00 ==1 | BPFFCC00 ==2 | BPFFCC00 ==4 | BPFFCC00 ==6 | BPFFCC00 ==10 | BPFFCC00 ==11 | BPFFCC00 ==20 | BPFFCC00 ==21 | BPFFCC00 ==95) & W1SameChildcare ==2
replace FFCCSameChang = 4 if (BPFFCC00 ==-1 | BPFFCC00 ==1 | BPFFCC00 ==2 | BPFFCC00 ==4 | BPFFCC00 ==6 | BPFFCC00 ==10 | BPFFCC00 ==11 | BPFFCC00 ==20 | BPFFCC00 ==21 | BPFFCC00 ==95) & W1SameChildcare ==3
replace FFCCSameChang = 4 if (BPFFCC00 ==-1 | BPFFCC00 ==1 | BPFFCC00 ==2 | BPFFCC00 ==4 | BPFFCC00 ==6 | BPFFCC00 ==10 | BPFFCC00 ==11 | BPFFCC00 ==20 | BPFFCC00 ==21 | BPFFCC00 ==95) & W1SameChildcare ==4
replace FFCCSameChang = 5 if (BPFFCC00 ==14 | BPFFCC00 ==15 | BPFFCC00 ==16 | BPFFCC00 ==18) & W1SameChildcare ==1
replace FFCCSameChang = 5 if (BPFFCC00 ==14 | BPFFCC00 ==15 | BPFFCC00 ==16 | BPFFCC00 ==18) & W1SameChildcare ==2
replace FFCCSameChang = 6 if (BPFFCC00 ==14 | BPFFCC00 ==15 | BPFFCC00 ==16 | BPFFCC00 ==18) & W1SameChildcare ==3
replace FFCCSameChang = 6 if (BPFFCC00 ==14 | BPFFCC00 ==15 | BPFFCC00 ==16 | BPFFCC00 ==18) & W1SameChildcare ==4
*Labelling the variables
label define FFCC -2 "Missing data from main" -1 "Not main responder" 0 "eligible main, no reponse given" 1 "Formal, standard/other type, same as W1" 2 "Formal, standard/other type, changed from W1" 3 "Informal (local), standard/other type, same as W1" 4 "Informal (local), standard/other type, changed from W1" 5 "Informal (non-local and non-audited), standard/other type, same as W1" 6 "Informal (non-local and non-audited), standard/other type, changed from W1"
label values FFCCSameChang FFCC
label variable FFCCSameChang "Type of childcare reported at wave 1 and if this has changed"
tab FFCCSameChang
tab FFCCSameChang if Responses_W2 ==1
count if FFCCSameChang ==.
tab FFCCSameChang CCTypeOngoing if Responses_W2 ==1

*So this variable transferred all the current reported data from CAPI, and then added in the numbers of fed forward childcare data that hadn't changed since wave 1 (as no new/additional arrangements seem to have been reported). There is n=204 which were not same type of main childcare reported at W1 -- This is likely the incorrectly noted data (I cannot be 100% sure as there is no detail for n of incorrect at wave 1). I think this because the data is spread across all 6 options (i.e. it had initially been incorrect, but the corrected reported childcare was still the same, or may have changed). N=707 were specified as childcare that changed and the type was other, but when checking it with each of the types reported for main and other variables, it was coded as not applicable in them. Therefore, no data can be obtained from these. A further n=25 were assigned N/A main eligible did not respond at wave 1 or wave 2. n=2 had a main not respond at wave 1, but there was data at wave 2 (both were informal, local ongoing at wave 2)

*Here I collapsed the formal (ongoing, changed) n=60, informal - local (ongoing, changed) n=202, and formal - non-local (ongoing, changed) n=337 into three categories. This is because if any had changed categories, then they would have been put in the one below. These may have just been going from the listed care to "no care" -- but would still have those exposures.
replace CCTypeOngoing =1 if CCTypeOngoing==4
replace CCTypeOngoing =2 if CCTypeOngoing==5
replace CCTypeOngoing =3 if CCTypeOngoing==6

*Generated the variable to update any FF childcare data and made it so it is categoried into some formal, some informal (non-local) and informal (local) only
****n=3,233 changes from this variable
generate CCW2 = FFCCSameChang 
*Is non-responder (0) if 0 at FF and this hasn't changed in update; or first time reporting in update variable with a 0
replace CCW2 =0 if CCTypeOngoing ==0 & (FFCCSameChang!=1 & FFCCSameChang!=3 & FFCCSameChang!=5)
*Has had some formal CC (1 in CCTypeOngoing) if FF had unchanging formal CC from W1 or has since had any type of formal CC at W2
replace CCW2 =1 if CCTypeOngoing ==1 
*Has had some informal CC - non-audited, non-local (5 in CCTypeOngoing) if FF had unchanging informal non-audited, non-local CC from W1 or has since had any type this CC at W2 (but no formal CC)
replace CCW2 =5 if CCTypeOngoing ==2 & CCTypeOngoing !=1
*Has had some informal CC - local (3 in CCTypeOngoing) if FF had unchanging informal local CC from W1 or newly/since reported thsi type at W2 (but no formal or informal - non-local, non-audited CC)
replace CCW2 =3 if CCTypeOngoing ==3 & CCTypeOngoing !=1 & CCTypeOngoing !=2
*Labelling the variables 
recode CCW2 (-1=-1) (0=0) (1=1) (5=2) (3=3)
label define W2CC2 -1 "Not main responder" 0 "eligible main, no reponse given" 1 "Some formal CC at wave 2" 2 "Some informal (non-local, non audited) CC W2" 3"Informal (local) CC only W2" 
label values CCW2 W2CC2
label variable CCW2 "Type of childcare at wave 2"
*Checks
****All looks ok. When tabbing CCW2 and TypeOngoing, the ones which fall under no response are either the ones which didn't respond at FF or in update (n=410), or didn't respond in update (n= 8, 606, 3,621 for the CC formal, informal - non-local, and informal - local at overall childcare variable CCW2 respectively)
tab CCW2
tab CCW2 if Responses_W2 ==1
tab CCW2 CCTypeOngoing if Responses_W2 ==1
tab W1SameChildcare CCW2 if Responses_W2 ==1
count if CCW2 ==.

********************************************************************************

************Home language status*********
*A family level variable (i.e. both the CMs and responders have this information on their line). 
****n=2 missing for children at both waves, n=829 missing info at this wave for those not at wave 2
tab BDHLAN00 
tab BDHLAN00 if PNUM ==100
tab WCMPresent if BDHLAN00==. & PNUM==100
****No missing data at wave 3 
tab CDHLAN00 
tab CDHLAN00 if PNUM ==100
tab WCMPresent if CDHLAN00==. & PNUM==100
*Generated a variable at wave 2 and 3 to move this just to CM line so nothing is double/triple/+ counted in analysis. Added -1 for those at wave n=2 who had missing data (-1) and -2 for n=892 of those not at wave 2. Also gave a code (-99 to non-CMs)
gen HHSpeakEng_W2 = BDHLAN00 if PNUM ==100
replace HHSpeakEng_W2 =-1 if BDHLAN00==. & PNUM==100 & WCMPresent!=5
replace HHSpeakEng_W2 =-2 if BDHLAN00==. & PNUM==100 & WCMPresent==5
replace HHSpeakEng_W2 =-99 if PNUM!=100
*No missing codes needed for wave 3, just the non-CM code
gen HHSpeakEng_W3 = CDHLAN00 if PNUM ==100
replace HHSpeakEng_W3 =-99 if PNUM!=100
*labelling
label define HHSpeakEng -99 "Not CM" -9 "Refusal" -8 "Don't know" -2 "CM Not at wave 2" -1 "Not applicable/Missing data" 1 "Yes - English only" 2 "Yes - mostly English, sometimes other" 3 "Yes - about half English, half other" 4 "No - mostly other, sometimes English" 5 "No - other languages only" 
label values HHSpeakEng_W2 HHSpeakEng_W3 HHSpeakEng
label variable HHSpeakEng_W2 "Language Spoken in household W2"
label variable HHSpeakEng_W3 "Language Spoken in household W3"
*Final checks
tab HHSpeakEng_W2
tab HHSpeakEng_W3
tab HHSpeakEng_W2 if PNUM ==100
tab HHSpeakEng_W3 if PNUM ==100
tab HHSpeakEng_W2 if BDHLAN00==. & PNUM ==100
tab HHSpeakEng_W3 if CDHLAN00==. & PNUM ==100
count if HHSpeakEng_W2 ==.
count if HHSpeakEng_W3 ==.

********************************************************************************

************HLE**************
*HLE index Variable creation
*Utilising and adapting the STATA syntax provided by one of the HLE index authors. This first part is changing all of the -1 "Not applicable" codes to missing values "." I made sure to tab each of the variables before doing this so that it was just -1 values I was getting rid of. 
****NOTE: THERE ARE A VERY SMALL TO LARGE NUMBER OF MAIN RESPONDERS WHO HAVE -1 VALUES IN QUESTIONS (n=11-3,011). 
****NOTE 2: IN ALL BUT THE FIRST CODE (BPOFRE00 - "How often do you read to the child?"), PARTNERS ARE GIVEN -1 CODES.
rename BPOFRE00CM1 BPOFRE00
rename BPREEL00CM1 BPREEL00
rename BPREOF00CM1 BPREOF00
rename BPTOLI00CM1 BPTOLI00
rename BPOFLI00CM1 BPOFLI00
rename BPDRAW00CM1 BPDRAW00
rename BPPAMA00CM1 BPPAMA00
rename BPALPH00CM1 BPALPH00
rename BPOFAB00CM1 BPOFAB00
rename BPNUMB00CM1 BPNUMB00
rename BPOFCO00CM1 BPOFCO00
rename BPSONG00CM1 BPSONG00
rename BPOFSO00CM1 BPOFSO00

replace BPOFRE00=. if BPOFRE00<0
replace BPREEL00=. if BPREEL00<0
replace BPREOF00=. if BPREOF00<0
replace BPTOLI00=. if BPTOLI00<0
replace BPOFLI00=. if BPOFLI00<0
replace BPDRAW00=. if BPDRAW00<0
replace BPPAMA00=. if BPPAMA00<0
replace BPALPH00=. if BPALPH00<0
replace BPOFAB00=. if BPOFAB00<0
replace BPNUMB00=. if BPNUMB00<0
replace BPOFCO00=. if BPOFCO00<0
replace BPSONG00=. if BPSONG00<0
replace BPOFSO00=. if BPOFSO00<0

tab BPOFRE00 
tab BPREEL00 
tab BPREOF00 
tab BPTOLI00 
tab BPOFLI00 
tab BPDRAW00 
tab BPPAMA00 
tab BPALPH00 
tab BPOFAB00 
tab BPNUMB00 
tab BPOFCO00 
tab BPSONG00 
tab BPOFSO00

*read to scale: Generates a score combining the main responder and others in the household frequency reading to the child (days per week) based on the recommended recoding by Mellhuish:
generate ReadMain=7 if BPOFRE00==1
replace ReadMain=6 if BPOFRE00==2
replace ReadMain=5 if BPOFRE00==3
replace ReadMain=3 if BPOFRE00==4
replace ReadMain=1 if BPOFRE00==5
replace ReadMain=0 if BPOFRE00==6

generate ReadAny=7 if BPREEL00==1 & BPREOF00==1
replace ReadAny=6 if BPREEL00==1 & BPREOF00==2
replace ReadAny=5 if BPREEL00==1 & BPREOF00==3
replace ReadAny=3 if BPREEL00==1 & BPREOF00==4
replace ReadAny=1 if BPREEL00==1 & BPREOF00==5
replace ReadAny=0 if BPREEL00==1 & BPREOF00==6
replace ReadAny=0 if BPREEL00==2 & BPREOF00==.
replace ReadAny=0 if BPREEL00==2 & BPREOF00==6

generate hleread =max(ReadMain,ReadAny) if ReadMain!=. & ReadAny!=.
replace hleread =7 if ReadMain==7 & ReadAny==.
replace hleread =7 if ReadMain==6 & ReadAny==6
replace hleread =6 if ReadMain==5 & ReadAny==5
drop ReadMain ReadAny
tab hleread
label var hleread "Scale read to in HLE / child wave 2"

* scale "going to the library": Generates a scale to fit with read to scale, includes if anyone in the household taking the child to the library (not at all -once a week) based on the recommended recoding by Mellhuish:
generate hlelibr=0 if BPTOLI00==2
replace hlelibr=1 if BPTOLI00==1 & BPOFLI00==1
replace hlelibr=3 if BPTOLI00==1 & BPOFLI00==2
replace hlelibr=5 if BPTOLI00==1 & BPOFLI00==3
replace hlelibr=7 if BPTOLI00==1 & BPOFLI00==4
tab hlelibr
label var hlelibr "Scale going to library to in HLE / child wave 2"
 
* scale "painting and drawing": Generates a 7 point scale for how much chldren were reported to paint/draw, and based on the recommended recoding by Mellhuish:
generate hlepaint=0 if BPDRAW00==2
replace hlepaint=1 if BPDRAW00==1 & BPPAMA00==1
replace hlepaint=2 if BPDRAW00==1 & BPPAMA00==2
replace hlepaint=3 if BPDRAW00==1 & BPPAMA00==3
replace hlepaint=4 if BPDRAW00==1 & BPPAMA00==4
replace hlepaint=5 if BPDRAW00==1 & BPPAMA00==5
replace hlepaint=6 if BPDRAW00==1 & BPPAMA00==6
replace hlepaint=7 if BPDRAW00==1 & BPPAMA00==7
tab hlepaint
label var hlepaint "Scale paint & draw in HLE / child wave 2"

*scale "being taught letters": Generates a 7 point scale for how much chldren were reported to be taught letters, and based on the recommended recoding by Mellhuish:
generate hlealph=0 if BPALPH00==2
replace hlealph=1 if BPALPH00==1 & BPOFAB00==1
replace hlealph=2 if BPALPH00==1 & BPOFAB00==2
replace hlealph=3 if BPALPH00==1 & BPOFAB00==3
replace hlealph=4 if BPALPH00==1 & BPOFAB00==4
replace hlealph=5 if BPALPH00==1 & BPOFAB00==5
replace hlealph=6 if BPALPH00==1 & BPOFAB00==6
replace hlealph=7 if BPALPH00==1 & BPOFAB00==7
tab hlealph
label var hlealph "Scale taught letters in HLE / child wave 2"

*scale "being taught numbers": Generates a 7 point scale for how much chldren were reported to be taught numbers, and based on the recommended recoding by Mellhuish:
generate hlenumb=0 if BPNUMB00==2
replace hlenumb=1 if BPNUMB00==1 & BPOFCO00==1
replace hlenumb=2 if BPNUMB00==1 & BPOFCO00==2
replace hlenumb=3 if BPNUMB00==1 & BPOFCO00==3
replace hlenumb=4 if BPNUMB00==1 & BPOFCO00==4
replace hlenumb=5 if BPNUMB00==1 & BPOFCO00==5
replace hlenumb=6 if BPNUMB00==1 & BPOFCO00==6
replace hlenumb=7 if BPNUMB00==1 & BPOFCO00==7
tab hlenumb
label var hlenumb "Scale taught numbers in HLE / child wave 2"

*scale "songs/poems/rhymes": Generates a 7 point scale for how much chldren were reported to be taught songs/poems, and based on the recommended recoding by Mellhuish:
generate hlesong=0 if BPSONG00==2
replace hlesong=1 if BPSONG00==1 & BPOFSO00==1
replace hlesong=2 if BPSONG00==1 & BPOFSO00==2
replace hlesong=3 if BPSONG00==1 & BPOFSO00==3
replace hlesong=4 if BPSONG00==1 & BPOFSO00==4
replace hlesong=5 if BPSONG00==1 & BPOFSO00==5
replace hlesong=6 if BPSONG00==1 & BPOFSO00==6
replace hlesong=7 if BPSONG00==1 & BPOFSO00==7
tab hlesong
label var hlesong "Scale songs, etc in HLE / child wave 2"

*Generates the HLE index
generate HLEINDEX=hleread+hlelibr+hlepaint+hlealph+hlenumb+hlesong if hleread!=. & hlelibr!=. & hlepaint!=. & hlealph!=. & hlenumb!=. & hlesong!=.
*Adding in -6 (CMs at wave 2) and -4 codes (n=829 CMs missing at wave 2)
replace HLEINDEX =-4 if HLEINDEX==. & PNUM==100 & WCMPresent==5
replace HLEINDEX =-6 if HLEINDEX==. & PNUM==100 & WCMPresent!=5
*When adding this in, it makes the n=7,835 of the other responder-level (for mains) add up to that number (n=8 missing and assigned -1). The rest are non-mains (and so wouldn't have a HLEINDEX score added to their line). Checking shows those who didn't respond to HLEINDEX were the n=829 missing CMs and the n=8,803 CMs in addition to the main responders. 
replace HLEINDEX=-1 if HLEINDEX==. & PNUM!=100 & Responses_W2 ==1
tab HLEINDEX
tab HLEINDEX if HLEINDEX>=-1
tab Responses_W2 if HLEINDEX==.
tab Responses_W2 if HLEINDEX!=.
label define HLE -6 "CMs at wave 2" -4 "CM not at wave 2" -1 "Missing data" 
label values HLEINDEX HLE
label var HLEINDEX "HLE index at wave 2"

*Putting the HLE into Quintiles: The quintiles were defined as below:
*quintile 1 = HLE varied from 0 to 19
*quintile 2 = HLE varied from 20 to 24
*quintile 3 = HLE varied from 25 to 28
*quintile 4 = HLE varied from 29 to 32
*quintile 5 = HLE varied from 33 to 42
xtile HLEINDEXGr=HLEINDEX, n(5)
label var HLEINDEX "Home Learn Environ (group quintiles)"
tabulate HLEINDEXGr
tabulate HLEINDEX HLEINDEXGr, missing
drop HLEINDEXGr

save "CleanDataJM"

*******************************************************************************
*******Putting the Main, natural mother responder level data on one line*******
*******************************************************************************
cd "H:\0000.MCS\July merge datasets"
use "CleanDataJM", clear
*Decision 1: Decided to go for any main responder. Other than the maternal education variable, there would be no reasons why reporting LHTC, SLC or HLE is has any need to be for theoretical reasons or requires a mother to be accurate. 
*Decision 2: 'Maternal' education was chosen because that and 'paternal' education (not much info on gender non-conforming parents) have differing impacts on children's outcomes. 

*Checking to see if any children have missing responders (who haven't been accounted for)
tab Responses_W2 if BDDREL00==.

*N=8,735 mains. This was made up of natural mother (n=8,577), natural father (n=127), adoptive mother (n=12), grandmother (n=17) and other, female (n=2) make up the sample
tab BDDREL00 if Responses_W2==1
*The 'Other, female' category seemed a bit strange, so I decided to see if they gained a label at wave 3
****They did not get labels. Instead, n=1 labelled natural mother at W2 was an adoptive mother at W3, and one adoptive mother at W2 was a grandmother at W3. 
tab BDDREL00 CDDREL00 if Responses_W2==1
*I edited these in the data as it wouldn't matter for one (natural>adoptive mother) but would for the other (adoptive mother>grandmother) in terms of NVQ data
list MCSID if BDDREL00 == 1 & CDDREL00 == 4
replace BDDREL00 =4 if BDDREL00 == 1 & MCSID == "M31728L"
list MCSID if BDDREL00 == 4 & CDDREL00 == 13
replace BDDREL00 =13 if BDDREL00 == 4 & MCSID == "M31243U"
tab BDDREL00 CDDREL00 if Responses_W2==1

*When tabbing together, there is an expectation that n=8,735 will remian if anyone is dropped for not being main. 
****n=829 did not have responses at wave 2
*9,632: 8,735 (mains) + 829 (not at wave 2) = n=9,564 = n=68 deficit -- 
*n=66 did not have a main interviewed (the total was n=8,801) -- again not sure where the n=2 is and who they are.
tab BDMINT00 if Responses_W2 ==3

save "CleanDataJM", replace

***Optional decision 3 if using any wave 3 data that isn't FSP.
*However, having a main which is consistently prominent in the child's life may affect the accuracy of these reports, and so I have only selected mains which are in that role from wave 2 to 3.
****From looking at the tabbed data, n=8,450 were mains at both waves.
*tab Responses_All ==1
*keep if Responses_All ==1
**This has variables from both waves
*keep MCSID PNUM PnumID LTHC_Present_W2 LTHC_Limit_W2 LTHC_Status_W2 LTHC_Present_W3 LTHC_Limit_W3 LTHC_Status_W3 NoConcern SlowDevLang NotUnderstOth PronWordsPoor Hearing Stutters Lisp SeeingSLT DiffCertLetter TongueTied NoSpeaking Other Irrelevant CCW2 HLEINDEX
*order MCSID PNUM PnumID LTHC_Present_W2 LTHC_Limit_W2 LTHC_Status_W2 LTHC_Present_W3 LTHC_Limit_W3 LTHC_Status_W3 NoConcern SlowDevLang NotUnderstOth PronWordsPoor Hearing Stutters Lisp SeeingSLT DiffCertLetter TongueTied NoSpeaking Other Irrelevant CCW2 HLEINDEX
*tab LTHC_Present_W3 
*tab LTHC_Limit_W3 
*tab LTHC_Status_W3 
*rename LTHC_Present_W3 LTHC_Present_W3_M
*rename LTHC_Limit_W3 LTHC_Limit_W3_M
*rename LTHC_Status_W3 LTHC_Status_W3_M

********************************************************************************
*************************Merging main data to CM line***************************
********************************************************************************
*[NOTE: FOR W2 VARIABLES ONLY HERE]
cd "H:\0000.MCS\July merge datasets"
use "CleanDataJM", clear

keep if Responses_W2==1
tab Responses_W2

keep MCSID PNUM PnumID LTHC_Present_W2 LTHC_Limit_W2 LTHC_Status_W2 NoConcern SlowDevLang NotUnderstOth PronWordsPoor Hearing Stutters Lisp SeeingSLT DiffCertLetter TongueTied NoSpeaking Other Irrelevant CCW2 HLEINDEX
order MCSID PNUM PnumID LTHC_Present_W2 LTHC_Limit_W2 LTHC_Status_W2 NoConcern SlowDevLang NotUnderstOth PronWordsPoor Hearing Stutters Lisp SeeingSLT DiffCertLetter TongueTied NoSpeaking Other Irrelevant CCW2 HLEINDEX
save "MainOnlyAnswersJM"

*Set up and checks
cd "H:\0000.MCS\July merge datasets"
use "MainOnlyAnswersJM", clear
*N=8,735 who were main responders from wave 2; only 1 person per family
*Determining all families are unique
****They are
tab PNUM
sort MCSID PnumID
by MCSID PnumID: assert _N==1
sort MCSID
by MCSID: assert _N==1

*n=8 N/A / n=1,380 Yes / n=7,347 No
tab LTHC_Present_W2 
count if LTHC_Present_W2 ==.
*n=7,355 N/A / n=280 Yes, n=1,100 No
tab LTHC_Limit_W2 
count if LTHC_Limit_W2 ==.
*n=8 N/A / n=280 Y,Y / n=1,100 Y,N / n=7,347 No condition
tab LTHC_Status_W2 
count if LTHC_Status_W2 ==.

*No Concern n=7 N/A / n=1,153 No / n=7,575 Yes
tab NoConcern
count if NoConcern ==. 
*Language developing slowly n=7 N/A / n=8,157 No / n=571 Yes
tab SlowDevLang 
count if SlowDevLang==. 
*Doesn't understand others n=7 N/A / n=8,689 No / n=39 Yes
tab NotUnderstOth 
count if NotUnderstOth ==. 
*Pronounces words poorly n=7 N/A / n=8,254 No / n=474 Yes
tab PronWordsPoor 
count if PronWordsPoor ==. 
*Doesn't hear well n=7 N/A / n=8,673 No / n=55 Yes
tab Hearing 
count if Hearing ==. 
*Sutters n=7 N/A / n=8,620 No / n=108 Yes
tab Stutters 
count if Stutters==. 
*Lisp n=0 N/A / n=8,679 No / n=56 Yes
tab Lisp 
count if Lisp ==. 
*Seeing an SLT n=0 N/A / n=8,713 No / n=22 Yes
tab SeeingSLT 
count if SeeingSLT ==. 
*Has difficulty with certain letters n=0 N/A / n=8,701 No / n=34 Yes
tab DiffCertLetter 
count if DiffCertLetter ==. 
*Tongue tied n=0 N/A / n=8,727 No / n=8 Yes
tab TongueTied 
count if TongueTied ==. 
*Doesn't speak - not started n=0 N/A / n=8,709 No / n=26 Yes
tab NoSpeaking 
count if NoSpeaking ==. 
*Other speech and language concerns not covered in previous variables n=8,735 No
tab Other 
count if Other ==. 
*Irrelevant concerns n=0 N/A / n=8,696 No / n=39 Yes
tab Irrelevant 
count if Irrelevant ==. 

*Childcare *n=410 no response given, n=1,207 some formal given, n=2,168 no formal, n=2,168 some informal (non-local, non-audited) given, n=4,950 informal (local) only  
tab CCW2
count if CCW2==.

*HLE index
*n=8727, n=8 missing
tab HLEINDEX 

rename LTHC_Present_W2 LTHC_Present_W2_M
rename LTHC_Limit_W2 LTHC_Limit_W2_M 
rename LTHC_Status_W2 LTHC_Status_W2_M

rename NoConcern NoConcern_M 
rename SlowDevLang SlowDevLang_M
rename NotUnderstOth NotUnderstOth_M
rename PronWordsPoor PronWordsPoor_M
rename Hearing Hearing_M
rename Stutters Stutters_M
rename Lisp Lisp_M
rename SeeingSLT SeeingSLT_M
rename DiffCertLetter DiffCertLetter_M
rename TongueTied TongueTied_M
rename NoSpeaking NoSpeaking_M
rename Other Other_M
rename Irrelevant Irrelevant_M
rename HLEINDEX HLEINDEX_M
rename CCW2 CCW2_M
save "MainOnlyAnswersJM", replace

***Merging

cd "H:\0000.MCS\July merge datasets"
use "CleanDataJM", clear
sort MCSID
merge m:1 MCSID using "MainOnlyAnswersJM"
sort MCSID PnumID
*Did a check to see if the ones not merged were not for the expected number of CMS
****897 CMs were not matched, which is the amount expected (9,632 overall CMs, -8,735 mains W2 = 897 [829 + 68 with no inteview main (n=65) or something else (n=3)])
tab PNUM if _merge==1 & PNUM ==100

*Finally figured out what was happening with the n=3 CMs
*Did a maula cross between the n=68 CMs who weren't merged and the n=65 eligible for main but not interviewed via Responses_W2 (this should cross over, as one represents CM data lines, and the other represents non-CM data lines).
****n=65 matched up in MCSIDs except for 3 (as suspected)
****one only had someone not eligible for interview, a partner/proxy interview along with the CM; one had someone not eligible for interview and CM, and another had CM only. Therefore, main data could not be gained from these.
list MCSID if _merge==1 & Responses_W2 == 3
list MCSID if _merge==1 & Responses_W2 == 4

list Responses_W2 if MCSID == "M27117J"
list Responses_W2 if MCSID == "M28676Q"
list Responses_W2 if MCSID == "M31587R"

rename _merge Clean_Main
save "CleanDataJM", replace

********************************************************************************
**********************Merging mother NVQ data to CM line************************
********************************************************************************
*[NOTE: This includes both natural and adoptive mothers - no reason to exclude adoptive mothers as I have no strong genetic theory for why this would differ]
cd "H:\0000.MCS\July merge datasets"
use "CleanDataJM", clear

keep if BDDREL00==1 | BDDREL00==4

****There was data for n=8,710 mothers (n=12 adoptive). n=8,588 were main responders at wave 2, with n=80 being partner/proxy responders, n=32 being eligible main but no interview, and n=10 being eligible partner/proxy but no interview.
****Despite no interviews/ being a partner responder, NVQ data was available for the majority of them (N/A responses: Main = 11; Elig main, no interview = 3; Elig partner, no interview = 4) -- this could have been fed forward from wave 1 data for those who weren't interviewed.
tab BDDREL00
tab Responses_W2 BDDREL00 
tab RespNVQ_W2 Responses_W2
tab BHPAGE00 Responses_W2
tab BDKESS00 Responses_W2

keep MCSID PNUM PnumID RespNVQ_W2 BHPAGE00 BDKESS00


save "MaternalW2NVQJ"

*Set up and checks
cd "H:\0000.MCS\July merge datasets"
use "MaternalW2NVQJ", clear
*N=8,710 who were mothers from wave 2; only 1 person per family
tab PNUM
sort MCSID PnumID
by MCSID PnumID: assert _N==1
sort MCSID
by MCSID: assert _N==1

*n=18 N/A / n=712 NVQ 1 / n=2,446 NVQ 2 / n=1,161 NVQ 3 / n=2,495 NVQ 4 / n=350 NVQ 5 / n=322 Overseas qualifications only / n=1,206 none of these
tab RespNVQ_W2
count if RespNVQ_W2 ==.
rename RespNVQ_W2 MatEdu_W2

*n=4 DOB/interview missing / range between 17 and 52 at wave 2
tab BHPAGE00
count if BHPAGE00 ==.
rename BHPAGE00 MatAgeW2

*n=1,181 N/A / range between 0-24
tab BDKESS00
count if BDKESS00 ==.
rename BDKESS00 MatK6MH_W2

save "MaternalW2NVQJ", replace

***Merging

cd "H:\0000.MCS\July merge datasets"
use "CleanDataJM", clear
sort MCSID
merge m:1 MCSID using "MaternalW2NVQJ"
sort MCSID PnumID
*Did a check to see if the ones not merged were not for the expected number of CMS
****922 CMs were not matched, which is the amount expected (9,632 overall CMs, -8,710 mothers = 922)
tab PNUM if _merge==1 & PNUM ==100
rename _merge Clean_Main_MatEduAgeMH

save "CleanDataJM", replace

********************************************************************************
*************Further edits once merges have happened****************************
********************************************************************************
cd "H:\0000.MCS\July merge datasets"
use "CleanDataJM", clear

*Initial checks and relabelling the variables to accurately represent they are the main response only
tab LTHC_Present_W2_M if PNUM==100
label variable LTHC_Present_W2_M "If LTH condition is present (W2, Main response)"
tab LTHC_Limit_W2_M if PNUM==100
label variable LTHC_Limit_W2_M "If LTH condition limits normal activities (W2, Main response)"
*Double checking the missing responses -- all non-mains as expected
count if LTHC_Present_W2_M ==.
count if LTHC_Limit_W2_M ==.
tab Responses_W2 if LTHC_Present_W2_M ==.
tab Responses_W2 if LTHC_Limit_W2_M ==.
*This means any of those who did not have a main responder or were the 829 who were not at wave 3 are coded
label define LTHpresentlimit -98 "No main/W2 data available", add
replace LTHC_Present_W2_M = -98 if LTHC_Present_W2_M==.
replace LTHC_Limit_W2_M = -98 if LTHC_Limit_W2_M==.
*Final check
tab LTHC_Present_W2_M if PNUM ==100
tab LTHC_Limit_W2_M if PNUM ==100

*Initial checks and relabelling the variables to accurately represent they are the main response only
tab LTHC_Status_W2_M if PNUM==100
label variable LTHC_Status_W2_M "Presence and affect of long term health condition (W2, main response)"
*Double checking the missing responses -- all non-mains as expected
count if LTHC_Status_W2_M ==.
tab Responses_W2 if LTHC_Status_W2_M ==.
*This means any of those who did not have a main responder or were the 829 who were not at wave 3 are coded
label define LTHC -98 "No main/W2 data available", add
replace LTHC_Status_W2_M = -98 if LTHC_Status_W2_M==.
*Final check
tab LTHC_Status_W2_M if PNUM ==100

*Initial checks and relabelling the variables to accurately represent they are the main response only
tab NoConcern_M if PNUM==100
tab SlowDevLang_M if PNUM==100
tab NotUnderstOth_M if PNUM==100
tab PronWordsPoor_M if PNUM==100
tab Hearing_M if PNUM==100
tab Stutters_M if PNUM==100
tab Lisp_M if PNUM==100
tab SeeingSLT_M if PNUM==100
tab DiffCertLetter_M if PNUM==100
tab TongueTied_M if PNUM==100
tab NoSpeaking_M if PNUM==100
tab Other_M if PNUM==100
tab Irrelevant_M if PNUM==100
label variable NoConcern_M "Speech/language concerns - None (W2, main response)"
label variable SlowDevLang_M "Speech/language concerns - Language developing slowly (W2, main response)"
label variable NotUnderstOth_M "Speech/language concerns - Doesnt understand others (W2, main response)"
label variable PronWordsPoor_M "Speech/language concerns - Pronounces words poorly (W2, main response)"
label variable Hearing_M "Speech/language concerns - Doesnt hear well (W2, main response)"
label variable Stutters_M "Speech/language concerns - Stutters (W2, main response)"
label variable Lisp_M "Speech/language concerns - Lisp (W2, main response)"
label variable SeeingSLT_M "Speech/language concerns - Seeing speech therapist (W2, main response)"
label variable DiffCertLetter_M "Speech/language concerns - Difficulty with certain letters (W2, main response)"
label variable TongueTied_M "Speech/language concerns - Tongue tied (W2, main response)"
label variable NoSpeaking_M "Speech/language concerns - Doesn't speak - not started (W2, main response)"
label variable Other_M "Speech/language concerns - Other answer (W2, main response)"
label variable Irrelevant_M "Speech/language concerns - irrelevant (W2, main response)"

*Double checking the missing responses -- all non-mains as expected
count if NoConcern_M ==.
count if SlowDevLang_M ==.
count if NotUnderstOth_M ==.
count if PronWordsPoor_M ==.
count if Hearing_M ==.
count if Stutters_M ==.
count if Lisp_M ==.
count if SeeingSLT_M ==.
count if DiffCertLetter_M ==.
count if TongueTied_M ==.
count if NoSpeaking_M ==.
count if Other_M ==.
count if Irrelevant_M==.
tab Responses_W2 if NoConcern_M ==.
tab Responses_W2 if SlowDevLang_M ==.
tab Responses_W2 if NotUnderstOth_M ==.
tab Responses_W2 if PronWordsPoor_M ==.
tab Responses_W2 if Hearing_M ==.
tab Responses_W2 if Stutters_M ==.
tab Responses_W2 if Lisp_M ==.
tab Responses_W2 if SeeingSLT_M ==.
tab Responses_W2 if DiffCertLetter_M ==.
tab Responses_W2 if TongueTied_M ==.
tab Responses_W2 if NoSpeaking_M ==.
tab Responses_W2 if Other_M ==.
tab Responses_W2 if Irrelevant_M ==.
*This means any of those who did not have a main responder or were the 829 who were not at wave 3 are coded
label define SLCpresent -98 "No main/W2 data available", add
replace NoConcern_M = -98 if NoConcern_M==.
replace SlowDevLang_M = -98 if SlowDevLang_M==.
replace NotUnderstOth_M = -98 if NotUnderstOth_M==.
replace PronWordsPoor_M = -98 if PronWordsPoor_M==.
replace Hearing_M = -98 if Hearing_M==.
replace Stutters_M = -98 if Stutters_M==.
replace Lisp_M = -98 if Lisp_M==.
replace SeeingSLT_M = -98 if SeeingSLT_M==.
replace DiffCertLetter_M = -98 if DiffCertLetter_M==.
replace TongueTied_M = -98 if TongueTied_M==.
replace NoSpeaking_M = -98 if NoSpeaking_M==.
replace Other_M = -98 if Other_M ==.
replace Irrelevant_M  = -98 if Irrelevant_M==.
*Final check
tab NoConcern_M if PNUM==100
tab SlowDevLang_M if PNUM==100
tab NotUnderstOth_M if PNUM==100
tab PronWordsPoor_M if PNUM==100
tab Hearing_M if PNUM==100
tab Stutters_M if PNUM==100
tab Lisp_M if PNUM==100
tab SeeingSLT_M if PNUM==100
tab DiffCertLetter_M if PNUM==100
tab TongueTied_M if PNUM==100
tab NoSpeaking_M if PNUM==100
tab Other_M if PNUM==100
tab Irrelevant_M if PNUM==100


*Initial checks and relabelling the variables to accurately represent they are the main response only
tab CCW2_M if PNUM==100
label variable CCW2_M "Type of childcare (W2, main response)"
*Double checking the missing responses -- all non-mains as expected
count if CCW2_M ==.
tab Responses_W2 if CCW2_M ==.
*This means any of those who did not have a main responder or were the 829 who were not at wave 3 are coded
label define W2CC2 -98 "No main/W2 data available", add
replace CCW2_M = -98 if CCW2_M==.
*Final check
tab CCW2_M if PNUM ==100

*Initial checks and relabelling the variables to accurately represent they are the main response only
tab HLEINDEX_M if PNUM==100
label variable HLEINDEX_M "HLE Index (W2, main response)"
*Double checking the missing responses -- all non-mains as expected
count if HLEINDEX_M  ==.
tab Responses_W2 if HLEINDEX_M ==.
*This means any of those who did not have a main responder or were the 829 who were not at wave 3 are coded
label define HLE -98 "No main/W2 data available", add
replace HLEINDEX_M = -98 if HLEINDEX_M==.
*Final check
tab HLEINDEX_M if PNUM ==100

*Initial checks and relabelling the variables to accurately represent they are the main response only
tab MatEdu_W2 if PNUM==100
label variable MatEdu_W2 "Mother's education at wave 2"
*Double checking the missing responses -- all non-mains as expected
count if MatEdu_W2  ==.
tab BDDREL00 if MatEdu_W2 ==. & Responses_W2 ==1 & BDDREL00 !=-10
*This means any of those who did not have a main responder or were the 829 who were not at wave 3 are coded
label define NVQ -98 "No mother/W2 data available", add
replace MatEdu_W2 = -98 if MatEdu_W2==.
*Final check
tab MatEdu_W2 if PNUM ==100


*Initial checks and relabelling the variables to accurately represent they are the main response only
tab MatAgeW2 if PNUM==100
label variable MatAgeW2 "Mother's age at wave 2"
*Double checking the missing responses -- all non-mains as expected
count if MatAgeW2  ==.
tab PNUM if MatAgeW2 ==.
label define BHPAGE00 -97 "Other family member", add
label define BHPAGE00 -98 "No mother/W2 data available", add
replace MatAgeW2 = -97 if MatAgeW2==. & PNUM != 100
replace MatAgeW2 = -98 if MatAgeW2==. & PNUM == 100
*Final check
tab MatAgeW2 if PNUM ==100
count if MatAgeW2 ==. & PNUM ==100
*Creates a variable which puts the actual age of the mother at the child's birth (mother age at wave 2 - child age at wave 2)
gen Age_InYears_W2 = Age_InMonths_W2 / 12 if Age_InMonths_W2 !=. & Age_InMonths_W2 !=-1 & Age_InMonths_W2 !=-2 & Age_InMonths_W2 !=-99
tab Age_InYears_W2 if PNUM ==100
gen MatAgeBirth = MatAgeW2 - Age_InYears_W2 if MatAgeW2 !=. & MatAgeW2 !=-98 & MatAgeW2 !=-97 & MatAgeW2 !=-3 & Age_InYears_W2 !=. & Age_InMonths_W2 !=-1 & Age_InMonths_W2 !=-2 & Age_InMonths_W2 !=-99
tab MatAgeBirth if PNUM ==100
*As there are so many ages, it wouldn't fit on the data screen, so ran this to check the range
sum(MatAgeBirth) if MatAgeBirth>=0, detail

*Initial checks and relabelling the variables to accurately represent they are the main response only
tab MatK6MH_W2 if PNUM==100
label variable MatK6MH_W2 "Mother's mental health at wave 2"
*Double checking the missing responses -- all non-mains as expected
count if MatK6MH_W2  ==.
tab PNUM if MatK6MH_W2 ==.
label define BDKESS00 -97 "Other family member", add
label define BDKESS00 -98 "No mother/W2 data available", add
replace MatK6MH_W2 = -97 if MatK6MH_W2==. & PNUM != 100
replace MatK6MH_W2 = -98 if MatK6MH_W2==. & PNUM == 100
*Final check
tab MatK6MH_W2 if PNUM ==100
count if MatK6MH_W2 ==. & PNUM ==100

*To get number of mains per relationship
tab Responses_W2 BDDREL00

*At this point, the CMs should have data regardless of wave (if they have it) for family level and CM level variables (BAS, BRACKEN, Age, Gender, SDQ, OECD, IMD, HH language). The only anticipated losses at W2 which are "universal" is the n=829 CMs who were not at wave 2. In addition to these n=829, extra data is lost for responder level data if no main interviewed (n=68) or no mother data provided for NVQ (n=60)
save "CleanDataJM", replace

*******************************************************************************
**********************Keeping just CMs for analysis****************************
*******************************************************************************
*Now all important data for analysis is on the CM line, I drop the rest.
drop if PNUM !=100
tab PNUM

*Because I would not be able to impute the data properly (they would likely all just take a mean value), I am dropping CMs if not present at wave 2 (n=829). I am also going to drop any CMs who did not have outcome data (n=1,037). This leaves me with n=7,766 CMs for final analysis (prior to any casewise deletion)
drop if WCMPresent ==5
drop if FSPT ==.
tab PNUM

save "CleanData_JM"

*******************************************************************************
*************Keeping just the variables needed for analysis********************
*******************************************************************************
cd "H:\0000.MCS\July merge datasets"
use "CleanData_JM", clear
*This is where I remove everything but the predictor, moderator [childcare may need adding], covariate, [outcome] variables, and additional variables of interest (weighting, entry into MCS, stratum within country, ethnicity, present at wave info)

*Chose te third wave variable for ethnicity as this variable has a code for all CMs.
rename CDC06E00 Ethnicity
keep MCSID Ethnicity WCMPresent BAS_NV_Standard_W2 BSRAR_Standard BSRAR_NormClas BASNV_BSRAR_TestOutcome_W2 BAS_NV_Standard_W3 Age_InDays_W2 Age_InMonths_W2 Age_InDays_W3 GENDERAAB LTHC_Present_W2_M LTHC_Limit_W2_M LTHC_Status_W2_M NoConcern_M SlowDevLang_M NotUnderstOth_M PronWordsPoor_M Hearing_M Stutters_M Lisp_M SeeingSLT_M DiffCertLetter_M TongueTied_M NoSpeaking_M Other_M Irrelevant_M BEMOTION BCONDUCT BHYPER BPEER BPROSOC SDQTotal_W2 Family60MedW2 FamIMDLEDD_W2 MatEdu_W2 CCW2_M HHSpeakEng_W2 HLEINDEX_M CC_DA CC_SD CC_ED PSE CC_LCT CC_LSL CC_R CC_W CLL CC_NLC CC_C CC_SSM MD KUW PD CD FSPT FSPZ PSEZ CC_ZDA CC_ZSD CC_ZED CLLZ CC_ZLCT CC_ZLSL CC_ZREADING CC_ZWRITE MDZ CC_ZNLC CC_ZCALC CC_ZSSM KUWZ PDZ CDZ MatK6MH_W2 MatAgeBirth PTTYPE2 BOVWT1 COVWT1 BDWGT100 WEIGHT1 
order MCSID Ethnicity WCMPresent BAS_NV_Standard_W2 BSRAR_Standard BSRAR_NormClas BASNV_BSRAR_TestOutcome_W2 BAS_NV_Standard_W3 Age_InDays_W2 Age_InMonths_W2 Age_InDays_W3 GENDERAAB LTHC_Present_W2_M LTHC_Limit_W2_M LTHC_Status_W2_M NoConcern_M SlowDevLang_M NotUnderstOth_M PronWordsPoor_M Hearing_M Stutters_M Lisp_M SeeingSLT_M DiffCertLetter_M TongueTied_M NoSpeaking_M Other_M Irrelevant_M BEMOTION BCONDUCT BHYPER BPEER BPROSOC SDQTotal_W2 Family60MedW2 FamIMDLEDD_W2 MatEdu_W2 CCW2_M HHSpeakEng_W2 HLEINDEX_M FSPT FSPZ CC_DA CC_SD CC_ED PSE CC_LCT CC_LSL CC_R CC_W CLL CC_NLC CC_C CC_SSM MD KUW PD CD PSEZ CC_ZDA CC_ZSD CC_ZED CLLZ CC_ZLCT CC_ZLSL CC_ZREADING CC_ZWRITE MDZ CC_ZNLC CC_ZCALC CC_ZSSM KUWZ PDZ CDZ MatK6MH_W2 MatAgeBirth PTTYPE2 BOVWT1 COVWT1 BDWGT100 WEIGHT1  
desc

order MCSID
save "CleanData_FCMJ", replace

